2008-06-16  Alexandre Julliard <julliard@winehq.org>

	* AUTHORS:
	Updated the authors list.

2008-06-13  Francois Gouget <fgouget@free.fr>

	* programs/winecfg/Zh.rc:
	winecfg: Remove spaces before '...'.

	* programs/regedit/Bg.rc, programs/regedit/Ja.rc:
	regedit: Remove spaces before '...'.

	* dlls/oledlg/oledlg_Da.rc, dlls/setupapi/Da.rc, programs/cmdlgtst/Da.rc,
	  programs/oleview/Da.rc, programs/progman/Da.rc,
	  programs/taskmgr/Da.rc, programs/winefile/Da.rc,
	  programs/wordpad/Da.rc:
	Remove spaces before '...' in the Danish resources.

2008-06-15  Jaime Rave <jaime@rave>

	* programs/wineconsole/wineconsole_Es.rc:
	wineconsole: Update Spanish translation.

2008-06-13  Matthias Kupfer <matthias.kupfer@informatik.tu-chemnitz.de>

	* programs/wordpad/De.rc:
	wordpad: Small typo fix for German translation.

2008-06-13  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, VERSION, configure, documentation/ChangeLog.BETA:
	Release 1.0-rc5.

----------------------------------------------------------------
2008-06-13  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/kernel32/tests/file.c:
	kernel32/tests: Skip tests if function is not implemented.

	* dlls/kernel32/tests/file.c:
	kernel32/tests: Fix a few typos.

	* dlls/credui/credui_Nl.rc:
	credui: Typo and minor correction in Dutch resource.

2008-06-13  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/wininet/rsrc.rc, dlls/wininet/wininet_Ro.rc:
	wininet: Add the Romanian translation.

	* dlls/shell32/shell32_Ro.rc, dlls/shell32/shres.rc:
	shell32: Add initial Romanian translation.

2008-06-13  Detlef Riekenberg <wine.dev@web.de>

	* tools/makedep.c:
	makedep: Fix a typo in the usage output.

2008-06-12  Rob Shearman <robertshearman@gmail.com>

	* dlls/rpcrt4/tests/ndr_marshall.c:
	rpcrt4: Clear a hole in the ps1 structure in test_simple_struct.

	* dlls/rpcrt4/tests/ndr_marshall.c:
	rpcrt4: Initialise the array to be marshalled in test_conformant_array.

2008-06-12  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/wined3d/context.c:
	wined3d: Only read back offscreen targets on a target change.
	This avoids calling PreLoad needlessly on a thread change during offscreen
	rendering and breaks up the endless recursion due to lastTID != newTID.

	* dlls/wined3d/context.c:
	wined3d: Do not PreLoad the new render target.
	There is no reason to do that, now that the SetGLTextureDesc bug is
	fixed. This avoids an infinite recursion because PreLoad calls
	ActivateContext at some point.

	* dlls/wined3d/surface.c:
	wined3d: Remove a broken AddDirtyRect call.

2008-06-12  Francois Gouget <fgouget@free.fr>

	* dlls/sane.ds/sane_Da.rc, dlls/sane.ds/sane_Ko.rc:
	sane.ds: Remove spaces before '...'.

	* dlls/shdoclc/Da.rc, dlls/shdoclc/Si.rc:
	shdoclc: Remove spaces before '...'.

	* dlls/user32/resources/user32_Bg.rc, dlls/user32/resources/user32_Da.rc,
	  dlls/user32/resources/user32_De.rc,
	  dlls/user32/resources/user32_En.rc,
	  dlls/user32/resources/user32_Eo.rc,
	  dlls/user32/resources/user32_Es.rc,
	  dlls/user32/resources/user32_Fr.rc,
	  dlls/user32/resources/user32_Hu.rc,
	  dlls/user32/resources/user32_It.rc,
	  dlls/user32/resources/user32_Ja.rc,
	  dlls/user32/resources/user32_Ko.rc,
	  dlls/user32/resources/user32_Nl.rc,
	  dlls/user32/resources/user32_Pt.rc,
	  dlls/user32/resources/user32_Ro.rc,
	  dlls/user32/resources/user32_Ru.rc,
	  dlls/user32/resources/user32_Si.rc,
	  dlls/user32/resources/user32_Sv.rc,
	  dlls/user32/resources/user32_Tr.rc,
	  dlls/user32/resources/user32_Uk.rc,
	  dlls/user32/resources/user32_Wa.rc,
	  dlls/user32/resources/user32_Zh.rc:
	user32: Remove spaces before '...'.

	* dlls/browseui/rsrc_Si.rc:
	browseui: Remove spaces before '...'.

	* dlls/comdlg32/cdlg_Bg.rc, dlls/comdlg32/cdlg_Cn.rc,
	  dlls/comdlg32/cdlg_Da.rc, dlls/comdlg32/cdlg_De.rc,
	  dlls/comdlg32/cdlg_El.rc, dlls/comdlg32/cdlg_En.rc,
	  dlls/comdlg32/cdlg_Fr.rc, dlls/comdlg32/cdlg_Hu.rc,
	  dlls/comdlg32/cdlg_It.rc, dlls/comdlg32/cdlg_Ko.rc,
	  dlls/comdlg32/cdlg_Nl.rc, dlls/comdlg32/cdlg_Pt.rc,
	  dlls/comdlg32/cdlg_Ro.rc, dlls/comdlg32/cdlg_Ru.rc,
	  dlls/comdlg32/cdlg_Si.rc, dlls/comdlg32/cdlg_Sv.rc,
	  dlls/comdlg32/cdlg_Tr.rc, dlls/comdlg32/cdlg_Uk.rc:
	comdlg32: Remove spaces before '...'.

	* programs/xcopy/Da.rc, programs/xcopy/De.rc, programs/xcopy/En.rc,
	  programs/xcopy/Fr.rc, programs/xcopy/Ko.rc, programs/xcopy/Nl.rc,
	  programs/xcopy/No.rc, programs/xcopy/Pl.rc, programs/xcopy/Ru.rc,
	  programs/xcopy/Si.rc:
	xcopy: Remove spaces before '\n' in resource strings.

2008-06-12  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/rpcrt4/tests/rpc.c:
	rpcrt4/tests: Fix test failures for win9x, NT4, W2K and XP-SP1.

2008-06-11  Michael Stefaniuc <mstefani@redhat.de>

	* programs/winecfg/Pt.rc:
	winecfg: Fix the Portuguese Brazilian translation.
	Thanks to Mauricio Teixeira <mteixeira@webset.net> for the translation.

2008-06-11  Alexandre Julliard <julliard@winehq.org>

	* programs/net/De.rc:
	net: Add missing #pragma codepage in utf-8 resources.

2008-06-11  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* programs/xcopy/De.rc:
	xcopy: Fix non-translation of a string.

2008-06-11  Francois Gouget <fgouget@free.fr>

	* programs/notepad/Bg.rc, programs/notepad/Cs.rc, programs/notepad/Da.rc,
	  programs/notepad/De.rc, programs/notepad/En.rc,
	  programs/notepad/Es.rc, programs/notepad/Fr.rc,
	  programs/notepad/It.rc, programs/notepad/Ja.rc,
	  programs/notepad/Nl.rc, programs/notepad/No.rc,
	  programs/notepad/Pt.rc, programs/notepad/Si.rc,
	  programs/notepad/Sv.rc, programs/notepad/Tr.rc,
	  programs/notepad/Wa.rc:
	notepad: Remove spaces before '\n' in resource strings.

	* programs/cmd/Cs.rc, programs/cmd/Da.rc, programs/cmd/De.rc,
	  programs/cmd/En.rc, programs/cmd/Es.rc, programs/cmd/Fr.rc,
	  programs/cmd/Ja.rc, programs/cmd/Ko.rc, programs/cmd/Nl.rc,
	  programs/cmd/No.rc, programs/cmd/Pl.rc, programs/cmd/Pt.rc,
	  programs/cmd/Ru.rc, programs/cmd/Si.rc, programs/cmd/Tr.rc:
	cmd: Remove spaces before '\n' in resource strings.

	* dlls/winmm/winmm_Cs.rc, dlls/winmm/winmm_Da.rc, dlls/winmm/winmm_De.rc,
	  dlls/winmm/winmm_En.rc, dlls/winmm/winmm_It.rc,
	  dlls/winmm/winmm_Ko.rc, dlls/winmm/winmm_No.rc,
	  dlls/winmm/winmm_Ru.rc, dlls/winmm/winmm_Si.rc,
	  dlls/winmm/winmm_Sk.rc:
	winmm: Remove spaces before '\n' in resource strings.

	* programs/winecfg/Zh.rc:
	winecfg: Remove spaces before '\n' in resource strings.

	* programs/net/Ko.rc:
	net: Remove spaces before '\n' in resource strings.

	* dlls/credui/credui_Ko.rc:
	credui: Remove spaces before '\n' in resource strings.

	* dlls/comdlg32/cdlg_xx.rc:
	comdlg32: Remove spaces before '\n' (and some after) in resource strings.

	* dlls/comdlg32/cdlg_Bg.rc, dlls/comdlg32/cdlg_Cn.rc,
	  dlls/comdlg32/cdlg_Cs.rc, dlls/comdlg32/cdlg_Da.rc,
	  dlls/comdlg32/cdlg_El.rc, dlls/comdlg32/cdlg_En.rc,
	  dlls/comdlg32/cdlg_Eo.rc, dlls/comdlg32/cdlg_Es.rc,
	  dlls/comdlg32/cdlg_Fi.rc, dlls/comdlg32/cdlg_Fr.rc,
	  dlls/comdlg32/cdlg_It.rc, dlls/comdlg32/cdlg_Ja.rc,
	  dlls/comdlg32/cdlg_Ko.rc, dlls/comdlg32/cdlg_Pl.rc,
	  dlls/comdlg32/cdlg_Pt.rc, dlls/comdlg32/cdlg_Ro.rc,
	  dlls/comdlg32/cdlg_Ru.rc, dlls/comdlg32/cdlg_Si.rc,
	  dlls/comdlg32/cdlg_Sk.rc, dlls/comdlg32/cdlg_Sv.rc,
	  dlls/comdlg32/cdlg_Tr.rc, dlls/comdlg32/cdlg_Uk.rc,
	  dlls/comdlg32/cdlg_Zh.rc:
	comdlg32: Remove spaces before '\n' in resource strings.

2008-06-11  Alexandre Julliard <julliard@winehq.org>

	* dlls/msxml3/domdoc.c:
	msxml3: Fix a compile error without xml headers.

2008-06-11  Mikołaj Zalewski <mikolaj@zalewski.pl>

	* programs/xcopy/De.rc:
	xcopy: German should use SUBLANG_NEUTRAL.

2008-06-11  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Fix some test failures on W2K.

	* dlls/d3d9/tests/device.c:
	d3d9/tests: Fix a few typos.

	* dlls/shlwapi/tests/istream.c:
	shlwapi/tests: Don't create testfile at a fixed location.

2008-06-11  Michael Stefaniuc <mstefani@redhat.de>

	* programs/regedit/Da.rc:
	regedit: Fix the Danish translation.

	* programs/winecfg/It.rc, programs/winecfg/winecfg.rc:
	winecfg: Fix and re-enable the Italian translation.

	* programs/regedit/Si.rc:
	regedit: Fix the Slovenian translation.

	* programs/regedit/Tr.rc:
	regedit: Fix the Turkish translation.

2008-06-10  Michael Karcher <karcher@physik.fu-berlin.de>

	* programs/xcopy/De.rc, programs/xcopy/rsrc.rc:
	xcopy: Add German translation.

2008-06-10  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/action.c, dlls/msi/files.c:
	msi: Set the source path for uncompressed files when loading the file.

2008-06-10  James Hawkins <truiken@gmail.com>

	* dlls/msi/action.c:
	msi: Load folders first.

2008-06-10  Zac Brown <zac@zacbrown.org>

	* dlls/dsound/tests/dsound8.c:
	dsound/tests: Improve test for IDirectSound8_CreateSoundBuffer.

2008-06-10  Francois Gouget <fgouget@free.fr>

	* dlls/advapi32/tests/registry.c:
	advapi32/tests: Make sure Wine implements all tested APIs.

	* include/wine/test.h:
	tests: Add a win_skip() function to allow for missing Windows functionality
	that must be present in Wine.

2008-06-10  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/msi/tests/install.c:
	msi/tests: Cleanup registry after test.

2008-06-10  Vladimir Pankratov <scriptkid@mail.ru>

	* dlls/shdoclc/Ru.rc:
	shdoclc: Update Russian translation.

2008-06-10  Francois Gouget <fgouget@codeweavers.com>

	* programs/winecfg/Pt.rc:
	winecfg: Update the Portuguese and Brazillian translations, based on a patch
	by Americo Jose Melo.

2008-06-10  Francois Gouget <fgouget@free.fr>

	* dlls/comdlg32/cdlg_En.rc, dlls/credui/credui_En.rc,
	  dlls/hhctrl.ocx/En.rc, programs/oleview/En.rc, programs/start/En.rc,
	  programs/taskmgr/En.rc, programs/uninstaller/En.rc,
	  programs/wineboot/wineboot_En.rc, programs/winecfg/En.rc,
	  programs/winefile/En.rc, programs/winemine/En.rc:
	Replace SUBLANG_ENGLISH_US with SUBLANG_DEFAULT.

	* programs/progman/Fr.rc:
	progman: Update the license and warranty French translation.

	* programs/winecfg/Fr.rc:
	winecfg: Update the license French translation.

	* programs/clock/Fr.rc:
	clock: Update the license and warranty French translation.

	* programs/progman/En.rc, programs/progman/Es.rc, programs/progman/Ko.rc,
	  programs/progman/Nl.rc, programs/progman/Pl.rc,
	  programs/progman/Si.rc:
	progman: Progman is a program, not a library. So tweak the license and warranty
	messages accordingly.

	* programs/winecfg/Bg.rc, programs/winecfg/Cs.rc, programs/winecfg/En.rc,
	  programs/winecfg/Es.rc, programs/winecfg/Fi.rc,
	  programs/winecfg/It.rc, programs/winecfg/Ja.rc,
	  programs/winecfg/Nl.rc, programs/winecfg/Pt.rc,
	  programs/winecfg/Ro.rc, programs/winecfg/Ru.rc,
	  programs/winecfg/Si.rc, programs/winecfg/Tr.rc:
	winecfg: Winecfg is a program, not a library. So tweak the license and warranty
	messages accordingly.

	* programs/clock/En.rc, programs/clock/Es.rc, programs/clock/Ko.rc,
	  programs/clock/Pl.rc, programs/clock/Si.rc, programs/clock/Sv.rc,
	  programs/clock/Tr.rc:
	clock: Clock is a program, not a library. So tweak the license and warranty
	messages accordingly.

2008-06-10  Alexandre Julliard <julliard@winehq.org>

	* programs/winetest/main.c:
	winetest: Fix the printf format for the version numbers.

	* dlls/msvcrt/tests/printf.c:
	msvcrt/tests: Fix a couple of tests on Vista.

	* dlls/kernel32/tests/virtual.c:
	kernel32/tests: Use Local instead of Global prefix to avoid permission issues.

	* dlls/kernel32/tests/change.c:
	kernel32/tests: Fix the change notification test on Vista.

2008-06-10  Dan Kegel <dank@kegel.com>

	* dlls/d3dx8/tests/math.c:
	d3dx8/tests: Initialize matrix before testing its value.

	* dlls/shell32/tests/shlfileop.c:
	shell32/tests: Avoid buffer overflow during test.

2008-06-10  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/mshtml/tests/dom.c:
	mshtml: Stop test crash on error condition.

	* dlls/shell32/tests/shlfolder.c:
	shell32: Stop shlfolder tests crashing under win98.

2008-06-10  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/ole32/tests/ole2.c:
	ole32/tests: Only skip the tests if we are on NT4 or below.

	* dlls/ntdll/tests/port.c:
	ntdll/tests: Free memory after use.

2008-06-10  Francois Gouget <fgouget@codeweavers.com>

	* programs/notepad/main.c:
	notepad: Improve handling of quoted filenames.

2008-06-10  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/win.c:
	user32/tests: Fix a window style check on Vista.

	* dlls/kernel32/tests/locale.c:
	kernel32/tests: Limit the number of failures in the ligatures test.

2008-06-10  Francois Gouget <fgouget@free.fr>

	* programs/start/Cs.rc, programs/start/De.rc, programs/start/En.rc,
	  programs/start/Es.rc, programs/start/Fr.rc, programs/start/It.rc,
	  programs/start/Ko.rc, programs/start/Nl.rc, programs/start/No.rc,
	  programs/start/Pl.rc, programs/start/Pt.rc, programs/start/Ru.rc,
	  programs/start/Si.rc, programs/start/Tr.rc:
	start: Remove spaces before '\n' in resource strings.

	* dlls/advapi32/tests/registry.c:
	advapi32/tests: Don't allow Wine to reproduce Windows' bugs.

2008-06-10  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/msg.c:
	user32/tests: Fix formatting of a trace.

	* dlls/kernel32/tests/toolhelp.c:
	kernel32/tests: Make the toolhelp test less verbose by default.

	* dlls/ntdll/tests/error.c:
	ntdll/tests: Fix a few tests on Vista.

2008-06-10  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/ole32/tests/ole2.c:
	ole32/tests: Fix crash on NT4 and below.

	* dlls/ole32/tests/ole2.c:
	ole32/tests: Fix crash on W2K and below.

2008-06-08  Louis Lenders <xerox_xerox2000@yahoo.co.uk>

	* dlls/mscoree/mscoree.spec, dlls/mscoree/mscoree_main.c:
	mscoree: Add stub for CorBindToCurrentRuntime.

2008-06-09  Rob Shearman <robertshearman@gmail.com>

	* dlls/rpcrt4/tests/server.c:
	rpcrt4: Use RpcServerRegisterIfEx with RPC_IF_ALLOW_CALLBACKS_WITH_NO_AUTH in
	the server test.
	This allows the test to run correctly on XP SP2 upwards instead of
	failing with ERROR_ACCESS_DENIED.

	* include/rpcndr.h:
	include: Add declaration for RpcSmDestroyClientContext to rpcndr.h.

	* dlls/rpcrt4/rpc_binding.c, include/rpcdce.h:
	include: Add some missing defines and function declarations to rpcdce.h.

2008-06-08  Dan Kegel <dank@kegel.com>

	* dlls/oleaut32/tests/usrmarshal.c:
	oleaut32/tests: Initialize reserved fields to unique values.

	* dlls/kernel32/tests/change.c:
	kernel32/tests: Initialize buffer.

2008-06-09  Alexandre Julliard <julliard@winehq.org>

	* dlls/kernel32/virtual.c:
	kernel32: Add support for the execute protection values in CreateFileMappingW.

2008-06-07  Zhangrong Huang <hzhrong@gmail.com>

	* dlls/gdi32/freetype.c:
	gdi32: Add more Asian codepages to get default fallback fonts.

2008-06-09  Francois Gouget <fgouget@free.fr>

	* dlls/shell32/shell32_Fr.rc:
	shell32: Tweak the French license message to better match the English one.

2008-06-09  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/tests/xmldoc.c, dlls/msxml3/tests/xmlelem.c:
	msxml3: Stop tests crashing under windows 98.

2008-06-09  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/init.c:
	winex11: Add a trace in ExtEscape to make wgl problems easier to diagnose.

2008-06-09  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Fix two more tests on Windows 2000.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Fix a test on Windows 2000.

	* dlls/comdlg32/tests/printdlg.c:
	comdlg32/tests: Use GetModuleHandle instead of LoadLibrary.

2008-06-09  Alexandre Julliard <julliard@winehq.org>

	* dlls/rpcrt4/rpc_transport.c:
	rpcrt4: Properly handle the case of a client having disconnected in
	rpcrt4_conn_listen_pipe.

2008-06-09  David Adam <david.adam.cnrs@gmail.com>

	* dlls/amstream/mediastream.c:
	Revert "amstream: Fix the condition of existence of the IMediaStream interface."
	This reverts commit 653c7e7dcaf7ebee2cfc8a6e356779dc8974aac6.

2008-06-08  Jacek Caban <jacek@codeweavers.com>

	* dlls/shdocvw/tests/webbrowser.c, dlls/shdocvw/webbrowser.c:
	shdocvw: Fixed DISPID_ONTOOLBAR test on IE7.

2008-06-08  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/gdi32/dib.c, dlls/gdi32/tests/bitmap.c:
	gdi32: Respect DIB_PAL_COLORS in every case.

2008-06-08  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/directx.c, include/wine/wined3d_gl.h:
	wined3d: Update ATI GPUs.

	* dlls/wined3d/directx.c, include/wine/wined3d_gl.h:
	wined3d: Update nvidia GPUs.

2008-06-08  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/kernel32/tests/timer.c:
	kernel32/tests: Add a skip message for win95.

	* dlls/advpack/tests/advpack.c:
	advpack/tests: Add a FreeLibrary and a skip message.

2008-06-07  Hans Leidekker <hans@it.vu.nl>

	* programs/winebrowser/main.c:
	winebrowser: Convert URL obtained through DdeGetData to Unicode.

2008-06-07  Jonathan Ernst <jonathan@ernstfamily.ch>

	* dlls/kernel32/nls/winerr_fra.mc:
	kernel: Updated French translation.

	* programs/notepad/Bg.rc, programs/notepad/Da.rc, programs/notepad/De.rc,
	  programs/notepad/En.rc, programs/notepad/Eo.rc,
	  programs/notepad/Es.rc, programs/notepad/Fi.rc,
	  programs/notepad/Fr.rc, programs/notepad/Hu.rc,
	  programs/notepad/It.rc, programs/notepad/Ja.rc,
	  programs/notepad/Nl.rc, programs/notepad/No.rc,
	  programs/notepad/Pl.rc, programs/notepad/Pt.rc,
	  programs/notepad/Ro.rc, programs/notepad/Ru.rc,
	  programs/notepad/Si.rc, programs/notepad/Sv.rc,
	  programs/notepad/Th.rc, programs/notepad/Tr.rc,
	  programs/notepad/Wa.rc, programs/notepad/Zh.rc:
	notepad: Updated About menu entry.

2008-06-06  Rico Schüller <kgbricola@web.de>

	* dlls/shell32/shell32_De.rc:
	shell32: Fix German shortcuts in the menu.

	* programs/winecfg/De.rc:
	winecfg: Fix German translation.

2008-06-06  Jacek Caban <jacek@codeweavers.com>

	* dlls/urlmon/tests/protocol.c:
	urlmon/tests: Always clear expect_* variables.

	* dlls/mshtml/protocol.c:
	mshtml: Added FIXME about QUERY_USES_HISTORYFOLDER in about protocol.

2008-06-06  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/iphlpapi/tests/iphlpapi.c:
	iphlpapi/tests: Fix test on Vista.

	* dlls/iphlpapi/tests/iphlpapi.c:
	iphlpapi/tests: Fix crash on Vista.

2008-06-06  Austin English <austinenglish@gmail.com>

	* dlls/rsaenh/tests/rsaenh.c:
	rsaenh: Fix a couple failing tests on 2k.

2008-06-06  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/parser.c:
	setupapi/tests: Fix test for win9x and Vista.

2008-06-06  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, VERSION, configure, documentation/ChangeLog.BETA:
	Release 1.0-rc4.

----------------------------------------------------------------
2008-06-06  Jonathan Ernst <jonathan@ernstfamily.ch>

	* programs/notepad/Fr.rc:
	notepad: Updated French translation.

	* dlls/shell32/shell32_Fr.rc:
	shell32: Updated French translation.

2008-06-06  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/mshtml/tests/protocol.c:
	urlmon/tests: Fix test on IE7.

	* include/urlmon.idl:
	urlmon: Add new IE7 QUERYOPTION.

	* dlls/shlwapi/tests/istream.c:
	shlwapi/tests: Don't create testfile at a fixed location.

2008-06-06  Marcus Meissner <meissner@suse.de>

	* include/dsound.h:
	include: Add winelib names for some dsound A/W function / types.

2008-06-06  Alexandre Julliard <julliard@winehq.org>

	* fonts/tahoma.sfd, fonts/tahoma.ttf, fonts/tahomabd.sfd,
	  fonts/tahomabd.ttf:
	fonts: Add a non-breaking space glyph to the Tahoma fonts.

	* ChangeLog, documentation/ChangeLog.BETA:
	ChangeLog: Moved to documentation/ChangeLog.BETA.

2008-06-04  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/d3d9/tests/d3d9ex.c, dlls/d3d9/tests/shader.c,
	  dlls/d3d9/tests/stateblock.c, dlls/d3d9/tests/surface.c,
	  dlls/d3d9/tests/texture.c, dlls/d3d9/tests/vertexdeclaration.c,
	  dlls/d3d9/tests/visual.c, dlls/d3d9/tests/volume.c:
	d3d9: Avoid a not needed address-of operator.

	* dlls/d3d8/tests/surface.c, dlls/d3d8/tests/texture.c,
	  dlls/d3d8/tests/visual.c, dlls/d3d8/tests/volume.c:
	d3d8: Avoid a not needed address-of operator.

	* dlls/ddraw/tests/visual.c:
	ddraw: Avoid a not needed address-of operator.

2008-06-02  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/browseui/browseui_main.c:
	browseui: Remove duplicate initguid.h include.

2008-06-05  Dan Kegel <dank@kegel.com>

	* dlls/oleaut32/tests/vartest.c:
	oleaut32/tests: VariantInit() isn't enough, you have to give a value, too.

	* dlls/msxml3/tests/domdoc.c:
	msxml/tests: Use VariantInit, not VariantClear, to initialize new variants.

	* dlls/msi/tests/source.c:
	msi/tests: Initialize buffer lengths before calling MsiSourceListEnumMediaDisks.

2008-06-06  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/wined3d/arb_program_shader.c, include/wine/wined3d_gl.h:
	wined3d: Avoid float->string conversion in arb shaders.

2008-06-06  Michael Stefaniuc <mstefani@redhat.de>

	* programs/notepad/Da.rc:
	notepad: Fix the Danish translation.

	* programs/wordpad/Tr.rc:
	wordpad: Fix the Turkish translation.

	* dlls/shell32/shell32_Tr.rc:
	shell32: Fix the Turkish translation.

	* programs/net/De.rc, programs/net/En.rc, programs/net/Ru.rc,
	  programs/net/Si.rc:
	net: Use consistent whitespace placement in the usage and help strings.

	* programs/net/Da.rc, programs/net/Fr.rc, programs/net/Ko.rc,
	  programs/net/Nl.rc, programs/net/No.rc, programs/net/Pl.rc:
	net: Add the USE subcommand to the translations that are missing it.
	Spotted by Mikolaj Zalewski.

2008-06-05  Mikołaj Zalewski <mikolaj@zalewski.pl>

	* programs/regedit/Bg.rc, programs/regedit/Cs.rc, programs/regedit/Da.rc,
	  programs/regedit/De.rc, programs/regedit/En.rc,
	  programs/regedit/Es.rc, programs/regedit/Fr.rc,
	  programs/regedit/Hu.rc, programs/regedit/It.rc,
	  programs/regedit/Ja.rc, programs/regedit/Ko.rc,
	  programs/regedit/Nl.rc, programs/regedit/No.rc,
	  programs/regedit/Pl.rc, programs/regedit/Pt.rc,
	  programs/regedit/Ru.rc, programs/regedit/Si.rc,
	  programs/regedit/Tr.rc:
	regedit: Add/remove favorite opens a dialog, thus should have ellipsis.

	* programs/regedit/Pl.rc:
	regedit: Update Polish translation.

2008-06-05  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/wineps.drv/wps_Nl.rc:
	wineps.drv: Fix the Dutch translation.

2008-06-05  Francois Gouget <fgouget@free.fr>

	* dlls/gdi32/tests/bitmap.c:
	gdi32/tests: Take into account several Win9x bugs in GetObject().

2008-06-05  Francois Gouget <fgouget@codeweavers.com>

	* dlls/gphoto2.ds/gphoto2_Da.rc, dlls/gphoto2.ds/gphoto2_En.rc,
	  dlls/gphoto2.ds/gphoto2_Fr.rc, dlls/gphoto2.ds/gphoto2_Ko.rc,
	  dlls/gphoto2.ds/gphoto2_Nl.rc, dlls/gphoto2.ds/gphoto2_Pl.rc,
	  dlls/gphoto2.ds/gphoto2_Ru.rc, dlls/gphoto2.ds/gphoto2_Si.rc,
	  dlls/gphoto2.ds/gphoto2_Sv.rc, dlls/sane.ds/sane_De.rc,
	  dlls/sane.ds/sane_En.rc, dlls/sane.ds/sane_Fi.rc,
	  dlls/sane.ds/sane_Fr.rc, dlls/sane.ds/sane_Nl.rc,
	  dlls/sane.ds/sane_Pl.rc, dlls/sane.ds/sane_Ro.rc,
	  dlls/sane.ds/sane_Ru.rc, dlls/sane.ds/sane_Si.rc,
	  dlls/sane.ds/sane_Sv.rc, dlls/shdoclc/Bg.rc:
	resources: Fix some overly long '...' instances.

	* programs/start/Fr.rc:
	start: Some updates and fixes to the French translation.

	* dlls/browseui/rsrc_No.rc, dlls/comdlg32/cdlg_No.rc,
	  dlls/gphoto2.ds/gphoto2_No.rc, dlls/msacm32/msacm_Da.rc,
	  dlls/msacm32/msacm_No.rc, dlls/mshtml/No.rc,
	  dlls/msvfw32/msvfw32_Da.rc, dlls/msvfw32/msvfw32_No.rc,
	  dlls/oledlg/oledlg_No.rc, dlls/sane.ds/sane_No.rc,
	  dlls/setupapi/No.rc, dlls/shdoclc/Da.rc, dlls/shdoclc/No.rc,
	  dlls/shell32/shell32_No.rc, dlls/user32/resources/user32_No.rc,
	  programs/clock/No.rc, programs/cmd/Da.rc, programs/cmd/No.rc,
	  programs/cmdlgtst/No.rc, programs/notepad/No.rc,
	  programs/oleview/No.rc, programs/progman/No.rc,
	  programs/regedit/Da.rc, programs/regedit/Ko.rc,
	  programs/regedit/Nl.rc, programs/regedit/No.rc,
	  programs/taskmgr/No.rc, programs/winecfg/No.rc,
	  programs/winefile/No.rc, programs/winhlp32/No.rc,
	  programs/wordpad/Hu.rc, programs/wordpad/Ko.rc,
	  programs/wordpad/Nl.rc, programs/wordpad/No.rc,
	  programs/wordpad/Tr.rc:
	Fix the resources to remove extraneous spaces in '...'.

2008-06-05  Alexandre Julliard <julliard@winehq.org>

	* dlls/shell32/shell32_Fr.rc:
	shell32: Fixed the French about box.

	* dlls/user32/tests/dde.c:
	user32/tests: Fix the dde test race correctly this time.

2008-06-05  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/wintrust/tests/softpub.c:
	wintrust/tests: Fix test on win9x.

2008-06-03  Matthew D'Asaro <matthew@thinkpad.home>

	* dlls/winmm/mmio.c:
	mmio: Do not zero current file position whenever mmioSetBuffer is called.

2008-06-04  Rico Schüller <kgbricola@web.de>

	* programs/net/De.rc, programs/net/rsrc.rc:
	net: Add German translation.

	* dlls/shell32/shell32_De.rc:
	shell32: Update German translation.

	* programs/winecfg/De.rc:
	winecfg: Update German translation.

2008-06-04  Michael Stefaniuc <mstefani@redhat.com>

	* dlls/mlang/tests/mlang.c:
	mlang: Fix compile warning introduced by a6cdd538.

	* programs/progman/Hu.rc:
	progman: Fix the Hungarian translation.

2008-06-03  Dan Kegel <dank@kegel.com>

	* dlls/secur32/tests/main.c:
	secur32/tests: Don't free if not allocated.

	* dlls/oleaut32/tests/vartype.c:
	oleaut32/tests: Use VariantInit, not VariantClear, to initialize new variants.

	* dlls/msi/source.c:
	msi: MsiSourceListEnumMediaDisksW: free original string, not substring.

2008-06-04  Alexandre Julliard <julliard@winehq.org>

	* dlls/gdi32/tests/font.c:
	gdi32/tests: Reduce the size of the test output a little.

	* dlls/mlang/tests/mlang.c:
	mlang/tests: Reduce the size of the test output a little.

2008-06-03  Zac Brown <zac@zacbrown.org>

	* dlls/winmm/mci.c:
	winmm: msiSendStringW: Don't free substring after original string has already
	been freed.

2008-06-03  Dan Kegel <dank@kegel.com>

	* dlls/userenv/tests/userenv.c:
	userenv/tests: Fix buffer overrun.

2008-05-30  Austin English <austinenglish@gmail.com>

	* dlls/advpack/tests/advpack.c:
	advpack: Fix a test failure on 9x.

2008-06-03  Vijay Kiran Kamuju <infyquest@gmail.com>

	* dlls/rsaenh/rsaenh.c:
	rsaenh: Fix AES provider keys for Windows XP.

2008-06-04  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/win.c:
	user32/tests: Abstract the printing of minmax info and do it all on one line.

	* dlls/user32/tests/msg.c:
	user32/tests: Don't add a newline before dumping the flag values.

	* dlls/kernel32/tests/locale.c:
	kernel32/tests: Don't check every single Unicode char if the tables are clearly
	not compatible.

	* dlls/crypt32/tests/protectdata.c:
	crypt32/tests: Fix an end of line character.

	* include/wine/test.h:
	test.h: Add a space after the file name prefix.

2008-06-04  Michael Stefaniuc <mstefani@redhat.de>

	* programs/start/Cs.rc, programs/start/Es.rc, programs/start/It.rc,
	  programs/start/Si.rc, programs/start/Tr.rc:
	start: Fix the Cs, Es, It, Si and Tr translations.

	* dlls/comdlg32/cdlg_Cs.rc:
	comdlg32: Fix the Czech translation.

	* dlls/oledlg/oledlg_It.rc:
	oledlg: Fix the Italian translation.

	* programs/cmd/Tr.rc:
	cmd: Fix the Turkish translation.

	* programs/cmd/Cs.rc:
	cmd: Fix the Czech translation.

	* programs/cmdlgtst/It.rc:
	cmdlgtst: Fix the Italian translation.

	* programs/cmdlgtst/Cs.rc:
	cmdlgtst: Fix the Czech translation.

	* programs/notepad/Sv.rc:
	notepad: Fix the Swedish translation.

2008-06-03  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/snmpapi/tests/util.c:
	snmpapi: Correct snmpapi tests under win98.

2008-06-02  Zac Brown <zac@zacbrown.org>

	* dlls/ntdll/tests/file.c:
	ntdll/tests: Actually verify right bytes received in aio test.

2008-06-02  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c:
	wined3d: Add a WineD3D_ChoosePixelFormat line.

	* dlls/wined3d/directx.c, dlls/wined3d/wined3d_main.c,
	  dlls/wined3d/wined3d_private.h:
	wined3d: Add a registry key to allow/disallow multisampling.
	Right now it is set to disabled due to an Nvidia GLXBadDrawable
	bug. Second there is some issue (driver bug too?) in FBO mode.

2008-06-02  Stefan Dösinger <stefandoesinger@gmx.at>

	* dlls/wined3d/glsl_shader.c:
	wined3d: Hardcode local constants with glUniform4fvARB.

	* dlls/wined3d/glsl_shader.c:
	wined3d: Give local constants a shader type prefix.

2008-06-02  H. Verbeet <hverbeet@gmail.com>

	* dlls/wined3d/device.c, dlls/wined3d/surface.c:
	wined3d: Set the surface location to SFLAG_INSYSMEM for depth stencils on Reset.

	* dlls/wined3d/utils.c:
	wined3d: Fix WINED3DTOP_MULTIPLYADD for ATI cards.

2008-06-02  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/d3d9/tests/stateblock.c:
	d3d9/tests: Keep swapchain while its backbuffer is in use.

2008-06-02  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/shell32/shell32_It.rc:
	shell32: Fix the Italian translation.

	* programs/regedit/It.rc:
	regedit: Fix the Italian translation.

	* dlls/shell32/shell32_Sv.rc:
	shell32: Fix the Swedish translation.

	* programs/regedit/Cs.rc:
	regedit: Fix the Czech translation.

	* dlls/shell32/shell32_Cs.rc:
	shell32: Fix the Czech translation.

	* dlls/crypt32/crypt32_Sv.rc:
	crypt32: Fix the Swedish translation.

2008-06-02  Jonathan Ernst <jonathan@ernstfamily.ch>

	* programs/reg/Fr.rc:
	reg: Updated French translation.

2008-06-02  Kirill K. Smirnov <lich@math.spbu.ru>

	* dlls/mshtml/nsembed.c:
	mshtml: Fix yet another copy/paste typo.

2008-06-02  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/user32/tests/input.c:
	user32: Fix input tests failing on WinXP+.

2008-06-02  Francois Gouget <fgouget@free.fr>

	* programs/wordpad/Ru.rc:
	wordpad: Remove extraneous spaces in '...'.

	* programs/winefile/Fr.rc:
	winefile: Fix the French translation (with some help from Michael Stefaniuc).

	* programs/regedit/Fr.rc:
	regedit: Update the French translation.

	* programs/reg/Fr.rc, programs/reg/rsrc.rc:
	reg: Add French resources.

2008-06-02  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/dde.c:
	user32/tests: Fix race condition in DDE server startup.

2008-05-30  Austin English <austinenglish@gmail.com>

	* README:
	README: A few more updates.

2008-05-31  Hans Leidekker <hans@it.vu.nl>

	* dlls/wininet/http.c, dlls/wininet/tests/http.c:
	wininet: Don't send a "Connection: Close" header.

	* dlls/wininet/internet.c:
	wininet: Return success from the
	InternetSetOption(INTERNET_OPTION_DISABLE_AUTODIAL) stub.

	* dlls/wininet/internet.c, dlls/wininet/tests/http.c:
	wininet: Don't send a handle closing callback for session handles created
	with InternetOpenUrl.

	* dlls/wininet/http.c, dlls/wininet/utility.c:
	wininet: Make resolving hostnames thread-safe.

2008-05-30  Jon Griffiths <jon_p_griffiths@yahoo.com>

	* dlls/oleaut32/tests/vartest.c:
	oleaut32/tests: Fix memory leaks reported by valgrind.

2008-06-02  Jonathan Ernst <jonathan@ernstfamily.ch>

	* dlls/shell32/shell32_Fr.rc:
	shell32: Updated French translation.

	* programs/start/Fr.rc:
	start.exe: Updated French translation.

2008-05-31  James Hawkins <jhawkins@codeweavers.com>

	* dlls/ddraw/tests/dsurface.c:
	ddraw: Delete the temporarily attached surface.

2008-05-31  Simon Richter <Simon.Richter@hogyros.de>

	* libs/wine/port.c:
	libwine: Fix wine_switch_to_stack on ppc.
	The PowerPC ABI expects the caller to allocate space for the return
	address on the stack, above the current stack pointer, even if the
	address is passed in the link register (usually the address is stored at
	SP+4 by the callee).

	* libs/wine/port.c:
	libwine: Implement wine_call_on_stack for ppc.

	* tools/winebuild/import.c:
	winebuild: Fix import stub on ppc.
	The address calculation was wrong, as the addition of the lower 16 bits
	is a signed addition, so if bit 15 is set, the upper 16 bits need to be
	incremented by one (so the hi portion of the symbol always references
	the symbol + 0x8000).

	* tools/winebuild/spec32.c:
	winebuild: Fix branch mnemonic on ppc.

2008-06-02  Hwang YunSong(황윤성) <hys545@dreamwiz.com>

	* dlls/shell32/shell32_Ko.rc:
	shell32: Updated Korean resource.

2008-05-31  James Hawkins <jhawkins@codeweavers.com>

	* dlls/urlmon/tests/protocol.c:
	urlmon: Fix a few failing tests in win2k3.

2008-05-31  José Manuel Ferrer Ortiz <jmfo1982@yahoo.es>

	* dlls/comdlg32/cdlg_Es.rc, dlls/credui/credui_Es.rc,
	  dlls/gphoto2.ds/gphoto2_Es.rc, dlls/msvfw32/msvfw32_Es.rc,
	  dlls/shell32/shell32_Es.rc, programs/progman/Es.rc,
	  programs/regedit/Es.rc, programs/start/Es.rc, programs/winecfg/Es.rc:
	Spanish translations updates.

2008-06-02  Alexandre Julliard <julliard@winehq.org>

	* dlls/wininet/internet.h, dlls/wininet/netconnection.c:
	wininet: Include openssl/ssl.h before Windows headers.

	* dlls/ntdll/signal_i386.c:
	ntdll: Add local defines for VIF and VIP flags.

2008-06-01  Vitaliy Margolen <wine-patches@kievinfo.com>

	* programs/regedit/Ru.rc, programs/start/Ru.rc:
	Update Russian translations.

2008-06-01  Eric Pouech <eric.pouech@orange.fr>

	* dlls/msvcrt/console.c:
	msvcrt: Fix for getch() and special characters.

2008-06-01  Michael Stefaniuc <mstefani@redhat.de>

	* programs/winecfg/Cs.rc, programs/winecfg/Sv.rc:
	winecfg: Fix the Czech and Swedish translations.

	* programs/winecfg/Pt.rc, programs/winecfg/winecfg.rc:
	winecfg: Fix the Portuguese translations and re-enable them.

	* programs/winefile/Cs.rc:
	winefile: Fix the Czech translation.
	Thanks to Marek Mahut for the translation.

	* programs/winefile/It.rc:
	winefile: Fix the Italian translation.

	* programs/winefile/Sv.rc:
	winefile: Fix the Swedish translation.

	* programs/cmdlgtst/Pt.rc:
	cmdlgtst: Fix the Portuguese translations.

	* programs/winefile/Pt.rc:
	winefile: Fix the Portuguese translations.

	* programs/start/Pt.rc:
	start: Fix the Portuguese translations.

	* programs/cmd/Pt.rc:
	cmd: Fix the Portuguese translations.

2008-05-31  Michael Stefaniuc <mstefani@redhat.de>

	* programs/regedit/Pt.rc:
	regedit: Fix the Portugese translations.
	Thanks to Mauricio Teixeira <mteixeira@webset.net> for the translations.

	* dlls/shell32/shell32_Pt.rc:
	shell32: Fix the Portugese translations.
	Thanks to Mauricio Teixeira <mteixeira@webset.net> for the translations.

2008-05-30  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/oleaut32/tests/tmarshal.c:
	oleaut32/tests: Cleanup typelib after the test.

2008-05-30  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, ChangeLog, VERSION, configure:
	Release 1.0-rc3.

----------------------------------------------------------------
2008-05-30  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/ole32/tests/compobj.c:
	ole32/tests: Prevent a crash.

2008-05-30  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/dsound/capture.c:
	dsound: Fix double free in dsound capture.

2008-05-29  Vitaly Lipatov <lav@etersoft.ru>

	* tools/wine.inf.in:
	wine.inf: Create default spool dir.

2008-05-30  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/tests/msg.c:
	user32: CBT hook doesn't send window messages.

2008-05-30  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/painting.c:
	user32: We no longer need to ensure that the BeginPaint window belongs to the
	current thread.

	* include/dbt.h, include/dxdiag.h, include/mapidefs.h, include/msiquery.h,
	  include/setupapi.h, include/shlwapi.h, include/winbase.h,
	  include/winnt.h, include/winuser.h:
	include: Use WINE_NO_UNICODE_MACROS instead of __WINESRC__ where appropriate.

2008-05-30  Michael Stefaniuc <mstefani@redhat.de>

	* programs/notepad/Hu.rc:
	notepad: Fix the Hungarian translation.

	* dlls/shell32/shell32_Hu.rc:
	shell32: Fix the Hungarian translation.

	* dlls/mshtml/Hu.rc:
	mshtml: Fix the Hungarian translation.

	* dlls/comdlg32/cdlg_En.rc:
	comdlg32: Fix some control sizes in the default English resource.

	* dlls/comdlg32/cdlg_Hu.rc:
	comdlg32: Fix the Hungarian translation.

	* programs/cmd/Ja.rc:
	cmd: Fix the Japanese translation.

	* programs/winecfg/Ja.rc:
	winecfg: Fix the placement of a checkbox in the Japanese translation.

	* programs/winecfg/Bg.rc:
	winecfg: Fix the Bulgarian translation.

	* programs/winecfg/Hu.rc:
	winecfg: Fix the Hungarian translation.

	* programs/regedit/Hu.rc:
	regedit: Fix the Hungarian translation.

	* programs/regedit/Ja.rc:
	regedit: Fix the Japanese translation.

	* programs/regedit/Bg.rc:
	regedit: Fix the Bulgarian translation.

2008-05-29  Francois Gouget <fgouget@free.fr>

	* programs/regedit/En.rc:
	regedit: Remove extraneous spaces in '...'.

	* include/wine/test.h:
	tests: Add a broken() function to make it possible to handle Windows misbehaviors
	that we don't want to reproduce in Wine.

	* dlls/ddraw/texture.c:
	ddraw: Remove trailing spaces in Wine traces.

	* dlls/shell32/shell32_En.rc:
	shell32: s/library/Wine/ for consistency in the license message.

2008-05-29  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/advpack/advpack.c, dlls/advpack/tests/advpack.c:
	advpack: Fix buffer sizes for possibly quoted strings.

2008-05-29  James Hawkins <jhawkins@codeweavers.com>

	* dlls/user32/tests/win.c:
	user32: win2k3's GetWindowModuleFileName does return ERROR_INSUFFICIENT_BUFFER.

2008-05-28  James Hawkins <jhawkins@codeweavers.com>

	* dlls/oleaut32/tests/olefont.c:
	oleaut32: Disable olefont tests that fail on all platforms.

	* dlls/user32/tests/sysparams.c:
	user32: Fix two tests that fail in win2k3 and above.

	* dlls/kernel32/tests/toolhelp.c:
	kernel32: Remove two tests that produce different results for win9x and NT
	platforms.

2008-05-29  Alexandre Julliard <julliard@winehq.org>

	* programs/start/start.c:
	start: Fall back to ShellExecute for unknown binaries in /unix mode.

2008-05-29  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/mshtml/Fi.rc:
	mshtml: Fix the Finnish translation.

	* dlls/comdlg32/cdlg_Eo.rc:
	comdlg32: Fix the Esperanto translation.

	* dlls/comdlg32/cdlg_Ja.rc:
	comdlg32: Fix the Japanese translation.

	* programs/winhlp32/Sk.rc:
	winhlp32: Fix the Slovak translation.

	* programs/notepad/Fi.rc:
	notepad: Fix the Finnish translation.

	* programs/notepad/Sk.rc, programs/notepad/rsrc.rc:
	notepad: Remove the Slovak "translation" as it is basically only a stale copy
	of the English resource.

	* dlls/shell32/shell32_Ja.rc:
	shell32: Fix the Japanese translation.

	* dlls/shell32/shell32_Bg.rc:
	shell32: Fix the Bulgarian translation.

	* dlls/shell32/shell32_Fi.rc:
	shell32: Fix the Finnish translation.

	* dlls/shell32/shell32_Eo.rc:
	shell32: Fix the Esperanto translation.

	* dlls/shell32/shell32_Sk.rc:
	shell32: Fix the Slovak translation.

	* programs/regedit/En.rc:
	regedit: Fix the English (NEUTRAL) translation. Rename SUBLANG_ENGLISH_US
	to SUBLANG_DEFAULT.

2008-05-29  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/ddraw/ddraw.c:
	ddraw: Do not return modes differing only by refresh rate without
	DDEDM_REFRESHRATES.

2008-05-28  Austin English <austinenglish@gmail.com>

	* dlls/gdi32/tests/bitmap.c:
	gdi32: Fix a test failure in 2k.

2008-05-28  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/d3d9/tests/device.c:
	d3d9: Add a test to see whether offscreen surfaces can be locked while a
	reset occurs.

2008-05-28  Louis Lenders <xerox_xerox2000@yahoo.co.uk>

	* tools/wine.inf.in:
	wine.inf: Add fake glu32.

2008-05-28  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/win.c, dlls/user32/win.c:
	user32: Check for wraparound in the initial window coordinates.

	* dlls/winex11.drv/x11drv_main.c:
	winex11: XInitThreads is hopeless, remove it again.

	* dlls/msftedit/msftedit_main.c:
	msftedit: Explicitly load riched20 to make sure the window classes are created.

2008-05-28  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Remove leftovers from old tests.

2008-05-28  Jon Griffiths <jon_p_griffiths@yahoo.com>

	* dlls/msvcrt/tests/printf.c:
	msvcrt: Fix a test that fails on win95.

2008-05-27  Jon Griffiths <jon_p_griffiths@yahoo.com>

	* dlls/msvcrt/tests/file.c:
	msvcrt: Fix file test which fails on Vista.

2008-05-28  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/user32/tests/cursoricon.c:
	user32/tests: Prevent writing to not allocated memory.

	* dlls/user32/tests/win.c:
	user32/tests: Run tests on win95 again.

2008-05-28  Igor Tarasov <tarasov.igor@gmail.com>

	* fonts/tahomabd.sfd, fonts/tahomabd.ttf:
	fonts: Tahoma Bold Cyrillic glyphs added.

2008-04-24  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/keyboard.c, dlls/dinput/tests/keyboard.c:
	dinput: Convert keyboard buffer from internal data format to user data format.

2008-05-27  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dxdiagn/container.c:
	dxdiagn: A number of FIXMEs can be replaced with TRACEs.

2008-05-22  Jens Albretsen <jens@albretsen.dk>

	* dlls/ddraw/tests/d3d.c:
	ddraw: Test for IDirect3DTexture_Load of Texture into itself.

	* dlls/ddraw/texture.c:
	ddraw: IDirect3DTextureImpl_Load failed when texture was loading onto itself.

2008-05-28  Alexandre Julliard <julliard@winehq.org>

	* dlls/opengl32/tests/opengl.c:
	opengl32/tests: Add a couple of test cases for pixel format handle on window DCs.

	* dlls/winex11.drv/init.c, dlls/winex11.drv/opengl.c,
	  dlls/winex11.drv/window.c, dlls/winex11.drv/x11drv.h:
	winex11: Add support for performing GL calls on a top-level window DC.

	* dlls/winex11.drv/opengl.c, dlls/winex11.drv/window.c:
	winex11: Make sure that all glX functions are called under the X11 lock.

	* dlls/winex11.drv/opengl.c:
	winex11: Change the pixel format initialisation to make sure it happens under
	the X11 lock.

2008-05-28  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/netapi32/tests/access.c:
	netapi32: Fix tests when the machine is on DOMAIN.

2008-05-27  Eric Pouech <eric.pouech@orange.fr>

	* tools/winedump/msc.c:
	winedump: Fully dump the compiland (V3) structure out of .pdb files.

2008-05-28  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/ddraw/tests/ddrawmodes.c:
	ddraw/tests: Don't crash on win9x.

2008-05-28  Kai Blin <kai.blin@gmail.com>

	* dlls/ws2_32/socket.c:
	ws2_32: Change back magic 127.12.34.56 to loopback on connect().

2008-05-28  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/ws2_32/tests/sock.c:
	ws2_32/tests: Fix crash on win98.

2008-05-28  Michael Stefaniuc <mstefani@redhat.de>

	* programs/notepad/Zh.rc:
	notepad: Fix the Chinese (Simplified) translation.

	* programs/winecfg/Zh.rc:
	winecfg: Fix the Chinese (Traditional) translation.

	* programs/notepad/Wa.rc:
	notepad: Fix the Walon translation.

	* dlls/user32/resources/user32_Zh.rc:
	user32: Fix the Chinese translations.

	* dlls/shell32/shell32_Cn.rc, dlls/shell32/shell32_Zh.rc:
	shell32: Fix the Chinese translations.

2008-05-27  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/shell32/shell32_Uk.rc:
	shell32: Fix the Ukrainian translation.

	* dlls/comdlg32/cdlg_Uk.rc:
	comdlg32: Fix the Ukrainian translation.

	* dlls/comdlg32/cdlg_El.rc:
	comdlg32: Fix the Greek translation.

	* dlls/comdlg32/cdlg_Th.rc:
	comdlg32: Fix the Thai translation.

	* dlls/shell32/shell32_Wa.rc:
	shell32: Fix the Walon translation.

	* dlls/comdlg32/cdlg_Wa.rc:
	comdlg32: Fix the Walon translation.

2008-05-27  Jon Griffiths <jon_p_griffiths@yahoo.com>

	* dlls/msvcrt/tests/cpp.c:
	msvcrt: Fix an RTTI test Failure on Vista.

2008-05-27  Dylan Smith <dylan.ah.smith@gmail.com>

	* programs/wordpad/wordpad.c:
	wordpad: Added a null terminator needed for a unicode string.

2008-05-23  Dylan Smith <dylan.ah.smith@gmail.com>

	* programs/wordpad/En.rc:
	wordpad: Removed spaces between dots in ellipses for english menu text.

2008-05-23  Igor Tarasov <tarasov.igor@gmail.com>

	* dlls/user32/menu.c:
	user32: Further implementation of MNS_NOTIFYBYPOS.

2008-05-26  Dan Kegel <dank@kegel.com>

	* dlls/advapi32/service.c:
	advapi32: Don't test buffer length if buffer is null.

2008-05-27  James Hawkins <jhawkins@codeweavers.com>

	* dlls/usp10/tests/usp10.c:
	usp10: Fix several failing test in win2k3.

2008-05-26  Jon Griffiths <jon_p_griffiths@yahoo.com>

	* dlls/msvcrt/wcs.c:
	msvcrt: Follow Vista behaviour in wcscpy_s.

	* dlls/msvcrt/tests/string.c:
	msvcrt/tests: Fix 3 tests that always fail on Vista.

2008-05-26  Dan Kegel <dank@kegel.com>

	* dlls/fusion/assembly.c:
	fusion: Use HeapAlloc, not strdup, to avoid malloc/HeapFree mismatch.

2008-05-27  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/shell32/tests/shelllink.c:
	shell32/tests: Run tests again on win95.

2008-05-27  Dan Kegel <dank@kegel.com>

	* dlls/fusion/tests/asmcache.c:
	fusion: UninstallAssembly test: Fix typo, avoid undefined value.

2008-05-27  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/oleaut32/tests/vartype.c:
	oleaut32/tests: Call functions via manually obtained pointers.

2008-05-27  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Test to show cleanup should not be needed.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Add another test.

2008-05-27  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/msvcrt/console.c:
	msvcrt: Mark some data as constant.

2008-05-23  Tomasz Jezierski - Tefnet <developers@tefnet.pl>

	* dlls/comctl32/tests/listview.c:
	comctl32/tests: Fix for setting wrong initial position in listbox.

2008-05-26  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/tests/win.c:
	user32: Add the tests for GetWindowModuleFileName.

2008-05-13  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/user32.spec, dlls/user32/win.c:
	user32: Implement GetWindowModuleFileName.

2008-05-26  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Cleanup after testCreateDeviceInterface.

2008-05-26  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/winex11.drv/ime.c:
	winex11: Use memmove for possibly overlapping memory areas.

	* dlls/shell32/classes.c:
	shell32: Don't print not initialized value.

2008-05-27  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c:
	winex11: Support detection of tablet devices from XExtensionKeyboard type.

2008-05-26  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c:
	winex11: Detect acecad tablet as stylus device.

2008-05-27  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/shell32/shell32_Ca.rc:
	shell32: Fix the Catalan translation.

	* dlls/comdlg32/cdlg_Ca.rc:
	comdlg32: Fix the Catalan translation including some size fixes too.

2008-05-26  Jon Griffiths <jon_p_griffiths@yahoo.com>

	* dlls/msvcrt/tests/cpp.c:
	msvcrt/tests: Fix 4 tests that always fail on Vista.

2008-05-26  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/oleaut32/tests/vartype.c, dlls/oleaut32/vartype.c:
	oleaut32: Currency to BSTR must use local decimal separator.

2008-05-25  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/enhmetafile.c, dlls/gdi32/metafile.c,
	  dlls/gdi32/tests/metafile.c:
	gdi32: Make generated EMFs fully match Windows ones.

	* dlls/gdi32/enhmfdrv/graphics.c:
	gdi32: If there is no clipping rect, EMREXTTEXTOUT shouldn't have a bounding
	rect.

	* dlls/gdi32/tests/metafile.c:
	gdi32: Ignore exScale/eyScale when comparing EMREXTTEXTOUT EMF records.

2008-05-24  H. Verbeet <hverbeet@gmail.com>

	* dlls/d3d9/tests/visual.c:
	d3d9: Test our texop implementation.

	* dlls/d3d8/tests/visual.c:
	d3d8: Test our texop implementation.

	* dlls/wined3d/utils.c:
	wined3d: Fix the nvrc implementation of WINED3DTOP_MULTIPLYADD and
	WINED3DTOP_LERP.

	* dlls/wined3d/utils.c:
	wined3d: Add WINED3DTOP_ADDSIGNED2X to debug_d3dtop().

	* dlls/d3d8/tests/visual.c, dlls/d3d9/tests/visual.c:
	d3d: Use an alpha capable backbuffer format in the visual tests.

2008-05-23  Detlef Riekenberg <wine.dev@web.de>

	* dlls/avifil32/avifile_Cs.rc, dlls/avifil32/avifile_Da.rc,
	  dlls/avifil32/avifile_De.rc, dlls/avifil32/avifile_En.rc,
	  dlls/avifil32/avifile_Es.rc, dlls/avifil32/avifile_Fr.rc,
	  dlls/avifil32/avifile_Hu.rc, dlls/avifil32/avifile_It.rc,
	  dlls/avifil32/avifile_Ja.rc, dlls/avifil32/avifile_Ko.rc,
	  dlls/avifil32/avifile_Nl.rc, dlls/avifil32/avifile_No.rc,
	  dlls/avifil32/avifile_Pl.rc, dlls/avifil32/avifile_Pt.rc,
	  dlls/avifil32/avifile_Ru.rc, dlls/avifil32/avifile_Si.rc,
	  dlls/avifil32/avifile_Sv.rc, dlls/avifil32/avifile_Tr.rc:
	avifil32: Resize the dialog to avoid truncated texts.

2008-05-23  Eric Pouech <eric.pouech@orange.fr>

	* programs/winedbg/debugger.h, programs/winedbg/memory.c,
	  programs/winedbg/types.c:
	winedbg: Fixed the print_basic command when dealing with long long values.

	* programs/winedbg/debugger.h, programs/winedbg/memory.c,
	  programs/winedbg/types.c:
	winedbg: Removed unneeded variable from print_basic.

	* dlls/msvcrt/console.c:
	msvcrt: Properly handle the extended keys in getch().

2008-05-27  Alexandre Julliard <julliard@winehq.org>

	* programs/winetest/main.c:
	winetest: Don't submit test results if we don't have a valid git build id.

	* programs/winetest/Makefile.in, programs/winetest/dist.rc,
	  programs/winetest/main.c, programs/winetest/maketest,
	  programs/winetest/resource.h:
	winetest: Remove the per-file revision info, we now use the global commit id.

2008-05-26  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Test registry after testDeviceRegistryProperty.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Cleanup after testGetDeviceInterfaceDetail.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Cleanup after testRegisterAndGetDetail.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Cleanup after testDevRegKey.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Skip tests on win9x.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Turn guid into a global variable.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Fix a test on NT4.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Close registry key after use.

2008-05-26  Dan Kegel <dank@kegel.com>

	* dlls/winmm/tests/capture.c:
	winmm: Use HeapAlloc in the capture test instead of using strdup.

2008-05-26  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/htmldoc.c:
	mshtml: Fixed copy&paste typo.

2008-05-26  Francois Gouget <fgouget@free.fr>

	* include/winsock.h:
	ws2_32: Make sure INVALID_SOCKET is correctly typed.

2008-05-26  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/msi/action.c, dlls/msi/automation.c, dlls/msi/database.c:
	msi: Mark some data as constant.

	* dlls/wininet/internet.c:
	wininet: INTERNET_InternetOpenUrlW is an internal helper.

2008-05-26  Hwang YunSong(황윤성) <hys545@dreamwiz.com>

	* programs/winecfg/Ko.rc:
	winecfg: Updated Korean resource.

2008-05-25  Eric Pouech <eric.pouech@orange.fr>

	* dlls/dbghelp/module.c:
	dbghelp: Fix for SymGetModuleInfo().

2008-05-25  Kirill K. Smirnov <lich@math.spbu.ru>

	* dlls/mshtml/htmlwindow.c:
	mshtml: Fix copy/paste error.

2008-05-24  Gregor Münch <greg87@online.de>

	* programs/winhlp32/De.rc:
	winhlp32: Update German translation.

	* dlls/shell32/shell32_De.rc:
	shell32: Update German translation.

2008-05-26  Alexandre Julliard <julliard@winehq.org>

	* dlls/Maketest.rules.in, dlls/msvcrt/tests/Makefile.in,
	  dlls/msvcrtd/tests/Makefile.in:
	tests: Use the Wine import libraries when compiling with MinGW.

	* programs/Makeprog.rules.in, programs/notepad/Makefile.in,
	  programs/regedit/Makefile.in, programs/taskmgr/Makefile.in,
	  programs/wordpad/Makefile.in, programs/xcopy/Makefile.in:
	programs: Use the Wine import libraries when compiling with MinGW.

	* programs/winedbg/gdbproxy.c:
	winedbg: Fix compile when poll() is not available.

	* configure, configure.ac, include/config.h.in, include/wine/exception.h,
	  include/wine/port.h, libs/port/Makefile.in, libs/port/sigsetjmp.c:
	libport: Move the sigsetjmp replacement to exception.h to make it available
	for Winelib too.

2008-05-25  Francois Gouget <fgouget@free.fr>

	* dlls/kernel32/tests/sync.c:
	kernel32/tests: Get the tests running again on Win95.

2008-05-23  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* include/rpcdce.h:
	include: Add missing RpcMgmtIsServerListening declaration.

2008-05-26  Kai Blin <kai.blin@gmail.com>

	* dlls/ws2_32/socket.c, dlls/ws2_32/tests/sock.c, include/winsock2.h:
	ws2_32: Add support for FROM_PROTOCOL_INFO to WSASocket().

2008-05-26  James Hawkins <jhawkins@codeweavers.com>

	* dlls/rpcrt4/tests/rpc.c:
	rpcrt4: Trace the results of two statuses that return different results across
	platforms.

	* dlls/shell32/tests/shelllink.c:
	shell32: Test against the long form of the path.

	* programs/winetest/main.c:
	winetest: Use the win32 API to extract the tests.

	* dlls/mshtml/tests/htmldoc.c:
	mshtml: Fix a test failure in win2k3.

	* include/docobj.idl:
	mshtml: Add missing OLECMDID definitions.

2008-05-25  Eric Pouech <eric.pouech@orange.fr>

	* dlls/dbghelp/dwarf.c:
	dbghelp: Don't crash when parsing the forward declaration of a function.

2008-05-25  Andrej Sinicyn <Andrej.Sinicyn@gmx.de>

	* programs/regedit/De.rc:
	regedit: Update the German translation.

2008-05-25  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	crypt32: CertGetPublicKeyLength should check only cert encoding type.
	pktextract calls CertGetPublicKeyLength with dwCertEncodingType
	of X509_ASN_ENCODING | PKCS_7_ASN_ENCODING, MSDN explicitly
	allows it.

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c:
	crypt32: Pass on aiKeyAlg on RSA key import.

	* dlls/crypt32/encode.c:
	crypt32: Fix order-of-evaluation dependence.

2008-05-25  Michael Karcher <karcher@physik.fu-berlin.de>

	* dlls/crypt32/encode.c:
	crypt32: Fix integer overflow.

2008-05-25  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/task.c, dlls/mshtml/tests/htmldoc.c:
	mshtml: Fixed more tests on IE 7.

	* dlls/mshtml/task.c:
	mshtml: Make Wine behave like IE 7.

	* dlls/mshtml/tests/htmldoc.c:
	mshtml: Fixed some tests on IE 7.

2008-05-24  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/tests/domdoc.c:
	msxml3: Stopped tests from crashing and a Win98 fix.

2008-05-23  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, ChangeLog, VERSION, configure:
	Release 1.0-rc2.

----------------------------------------------------------------
2008-05-23  Alexandre Julliard <julliard@winehq.org>

	* README:
	README: Updated.

2008-05-23  James Hawkins <jhawkins@codeweavers.com>

	* dlls/opengl32/tests/opengl.c:
	opengl32: Trace a test result that fails inconsistently across different drivers.

	* dlls/mshtml/tests/htmldoc.c:
	mshtml: Fix a few test failures in win2k3.

	* dlls/kernel32/tests/locale.c:
	kernel32: Don't test the invalid locale 0 if it is enumerated.

2008-05-08  Alam Arias <Alam.GBC@gmail.com>

	* include/winnt.h:
	include: Modify UNREFERENCED macros to cast to void.

2008-05-23  Markus Weiland <kde@graph-ix.net>

	* dlls/dxdiagn/provider.c:
	dxdiagn: Implemented OS version properties for DXDiagSystemInfoContainer.

2008-05-22  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/comctl32/listview.c, dlls/comctl32/toolbar.c:
	comctl32: Indentation fix.

2008-05-22  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/winmm/lolvldrv.c:
	winmm: Fix valgrind warnings on exit.

2008-05-21  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* include/aviriff.h:
	include: Update aviriff header to use the right alignment.

2008-05-22  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/msacm32.drv/wavemap.c:
	msacm32.drv: Check for message type before comparing handles.
	Fixes a valgrind warning.

	* dlls/winmm/tests/wave.c:
	winmm: Use HeapAlloc in the wave test instead of using strdup.

2008-05-22  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/mouse.c:
	winex11: Add support for X11 mouse buttons 8 and 9.

	* tools/wineinstall:
	wineinstall: Remove a lot of no longer needed code.

	* dlls/gdi32/path.c:
	gdi32: Use atan2 to compute angles in WidenPath without triggering floating
	point errors.

	* dlls/gdi32/bitblt.c, dlls/gdi32/dc.c, dlls/gdi32/enhmetafile.c,
	  dlls/gdi32/font.c, dlls/gdi32/freetype.c, dlls/gdi32/gdi_private.h,
	  dlls/gdi32/mapping.c, dlls/gdi32/path.c, dlls/gdi32/region.c:
	gdi32: Perform coordinate transformations using doubles instead of floats to
	avoid precision loss.

	* dlls/user32/winpos.c:
	user32: Return reasonable values in GetWindowPlacement for the desktop window.

2008-05-21  James Hawkins <jhawkins@codeweavers.com>

	* dlls/mlang/tests/mlang.c:
	mlang: Fix all test failures for NT+ platforms.

	* dlls/mlang/mlang.c, dlls/mlang/tests/Makefile.in,
	  dlls/mlang/tests/mlang.c:
	mlang: Only return the locale language name if no country name exists.

2008-05-21  Vitaliy Margolen <wine-patches@kievinfo.com>

	* server/main.c, server/wineserver.man.in:
	wineserver: Add support for long command line options.

2008-05-22  Alexandre Julliard <julliard@winehq.org>

	* dlls/kernel32/profile.c, dlls/kernel32/tests/profile.c:
	kernel32: Don't require write access on profile file when only reading.

2008-05-21  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/videorenderer.c:
	quartz: Initialize some uninitialized variables in the video renderer.

	* dlls/quartz/avidec.c:
	quartz: Do timekeeping in the avi decoder.
	Fixes the timestamps generated.

	* dlls/quartz/nullrenderer.c:
	quartz: Don't free memory twice in null renderer.
	_Release already frees it.

	* dlls/ntdll/heap.c:
	ntdll: Give earlier notify to valgrind that HeapFree is trying to free some
	memory.

2008-05-21  Lei Zhang <thestig@google.com>

	* dlls/wininet/http.c:
	wininet: Send https scheme to proxy server when appropriate.

	* dlls/mshtml/nsembed.c:
	mshtml: Added ProxyEnable / ProxyServer handling.

2008-05-22  Francois Gouget <fgouget@free.fr>

	* dlls/wininet/tests/urlcache.c:
	wininet/tests: Get the tests running again on Win98.

	* dlls/wininet/tests/http.c:
	wininet/tests: Remove a stray reference to InternetSetStatusCallback().

	* dlls/advapi32/tests/crypt.c:
	advapi32/tests: Remove a stray reference to CryptReleaseContext(). This gets
	the test to run again on Win95.

	* dlls/ole32/tests/compobj.c:
	ole32/tests: Add a trailing '\n' to ok() calls.

2008-05-21  James Hawkins <jhawkins@codeweavers.com>

	* dlls/user32/tests/listbox.c:
	user32: Fix a test that fails in almost all reports.

	* dlls/secur32/tests/schannel.c:
	secur32: Fix a few tests that fail in win2k3.

	* dlls/msi/files.c, dlls/msi/helpers.c, dlls/msi/msipriv.h:
	msi: Search the last used source if the cabinet to extract cannot be found.

2008-05-22  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/regedit/framewnd.c:
	regedit: Set selected key name as default favourite name.

2008-05-21  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/regedit/framewnd.c:
	regedit: Allow modifying values of root keys.

2008-05-21  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/dplayx/dplay.c, dlls/dplayx/dplaysp.c, dlls/dplayx/dplobby.c:
	dplayx: Remove unneeded "extern" from function definitions.

	* dlls/wined3d/surface.c:
	wined3d: Remove unneeded "extern" from function definition.

	* dlls/ws2_32/socket.c:
	ws2_32: Remove unused function.

2008-05-21  Alexandre Julliard <julliard@winehq.org>

	* dlls/kernel32/tests/virtual.c, dlls/kernel32/virtual.c:
	kernel32: File mapping names are case sensitive.

	* dlls/kernel32/sync.c, dlls/kernel32/tests/sync.c:
	kernel32: Waitable timer names are case sensitive.

	* dlls/kernel32/sync.c, dlls/kernel32/tests/sync.c:
	kernel32: Semaphore names are case sensitive.

	* dlls/kernel32/sync.c, dlls/kernel32/tests/sync.c:
	kernel32: Event names are case sensitive.

	* dlls/kernel32/sync.c, dlls/kernel32/tests/sync.c:
	kernel32: Mutex names are case sensitive.

2008-05-21  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/image.c, dlls/gdiplus/tests/image.c:
	gdiplus: GdipBitmapLockBits should allow a NULL rect argument.

	* dlls/user32/text.c:
	user32: Correct termination of returning string in Text_Ellipsify.

2008-05-21  Jeremy White <jwhite@codeweavers.com>

	* dlls/ntdll/tests/info.c:
	ntdll/tests: Only test the readcount for a read below 0x10000 if  the return
	code indicates a partial copy result.

	* programs/winebrowser/main.c:
	winebrowser: Route default url handlers to /usr/bin/open on Mac OS X.

2008-05-21  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Fix typos.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Fix typo.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Skip some tests if we are on win9x.

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Remove a duplicate function call.

2008-05-21  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/tests/metafile.c:
	gdi32: Slightly relax EMF record comparisons allowing rounding errors.

2008-05-21  Alexandre Julliard <julliard@winehq.org>

	* configure, configure.ac:
	configure: Upgrade notices to warnings for some important libraries.

	* configure, configure.ac:
	configure: Make the lack of FreeType an error, and add a --without option for it.

	* aclocal.m4, configure, configure.ac:
	configure: Added an ERROR_WITH macro for packages that we can't do without.

2008-05-19  Tomasz Jezierski <developers@tefnet.pl>

	* dlls/comctl32/tests/listview.c:
	comctl32: Conformance test for multiple selection in listbox.

2008-05-21  Alexandre Julliard <julliard@winehq.org>

	* dlls/comctl32/listview.c:
	comctl32: Fix extending a multiple listview selection.

2008-05-16  Ken Thomases <ken@codeweavers.com>

	* dlls/user32/tests/input.c, dlls/winex11.drv/keyboard.c:
	winex11: Bias MapVirtualKeyEx(MAPVK_VSC_TO_VK) against numpad vkeys.
	The scan codes for the numeric keypad keys and those for the arrow keys and
	keys like Home, End, etc. often match (ignoring the extended key bit).
	However, if you map from one of those scan codes to a vkey, Windows reliably
	prefers the non-numpad vkey.

2008-05-21  Alexandre Julliard <julliard@winehq.org>

	* dlls/kernel32/tests/profile.c:
	kernel32: Add some test cases for profile file sharing modes.
	Based on a patch by Louis Lenders.

	* dlls/kernel32/profile.c:
	kernel32: Fix the profile file sharing modes.
	Based on a patch by Louis Lenders.

	* dlls/user32/scroll.c, dlls/user32/tests/class.c, dlls/user32/winproc.c:
	user32: Add an ASCII window procedure for scrollbars.

2008-05-21  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/kernel32/nls/eox.nls:
	kernel32: Update locale info for Esperanto.

2008-05-21  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/cursoricon.c, dlls/user32/tests/cursoricon.c:
	user32: Support creating cursors and icons from DIB section bitmaps.

2008-05-21  Hwang YunSong(황윤성) <hys545@dreamwiz.com>

	* programs/regedit/Ko.rc:
	regedit: Updated Korean resource.

2008-05-20  Dan Kegel <dank@kegel.com>

	* dlls/d3d9/tests/visual.c:
	d3d9/tests: Another wee bit of slop.

2008-05-20  James Hawkins <jhawkins@codeweavers.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi: Fix a few test failures in win2k3.

	* dlls/user32/tests/broadcast.c:
	user32: Fix the BSM_ALL_RECIPS test flag.

2008-05-20  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/rsaenh/aes.c:
	rsaenh: Remove unused file-static variable.

	* dlls/user32/message.c:
	user32: Remove unused function.

	* dlls/shell32/shellole.c:
	shell32: Remove unused file-static variable.

2008-05-20  Juan Lang <juan.lang@gmail.com>

	* dlls/iphlpapi/iphlpapi_main.c:
	iphlpapi: Set the adapter's description to its name in GetAdaptersInfo.

2008-05-20  Francois Gouget <fgouget@free.fr>

	* dlls/ddraw/tests/d3d.c:
	ddraw/tests: Fix compilation on systems that don't support nameless unions.

2008-05-20  Jörg Höhle <hoehle@users.sourceforge.net>

	* dlls/dsound/mixer.c:
	dsound: Fix off by 1 heap error in DSOUND_MixerVol.

2008-05-20  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/ole32/tests/compobj.c:
	ole32/tests: Test StringFromGUID2.

	* dlls/ole32/tests/compobj.c:
	ole32/tests: Do not call Release if CoCreateInstance failed.

2008-05-20  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/shell32/tests/shelllink.c:
	shell32/tests: SHGetPathFromIDListA returns a BOOL not a HRESULT.

2008-05-20  James Hawkins <jhawkins@codeweavers.com>

	* dlls/ntdll/virtual.c:
	ntdll: Remove NULL checks for attr, which has already been dereferenced.

	* dlls/hhctrl.ocx/hhctrl.c:
	hhctrl.ocx: Check the filename param before dereferencing it.

	* dlls/msi/action.c:
	msi: Check that the file key is valid before installing the assembly.

	* dlls/kernel32/tests/process.c:
	kernel32: Remove a test that fails on all platforms.

2008-05-19  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/cryptnet/cryptnet_main.c:
	cryptnet: Remove unused function.

	* dlls/mshtml/txtrange.c:
	mshtml: Remove unused function.

	* dlls/advapi32/service.c:
	advapi32: Remove unused file-static variables.

2008-05-20  Alexandre Julliard <julliard@winehq.org>

	* dlls/ntdll/loader.c:
	ntdll: Move signal unmasking to make sure injected code runs on the correct
	stack.

2008-05-19  Alexandre Julliard <julliard@winehq.org>

	* dlls/ntdll/tests/exception.c:
	ntdll/tests: Make sure to clear the DF flag on return from the exception.

2008-05-19  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/shell32/tests/shelllink.c:
	shell32/tests: Fix test when running on Wine.

	* programs/regedit/Nl.rc:
	regedit: Sync Dutch resource with latest changes.

	* dlls/quartz/tests/filtergraph.c, dlls/quartz/tests/memallocator.c,
	  dlls/quartz/tests/misc.c, dlls/quartz/tests/referenceclock.c,
	  dlls/quartz/tests/videorenderer.c, dlls/shell32/tests/string.c,
	  dlls/shlwapi/tests/string.c:
	janitorial: Close COM after tests.

2008-05-19  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/class.c:
	user32: Moved the class extra bytes check to catch uninitialised data sooner.

2008-05-18  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c:
	wined3d: Request a WGL depth stencil capable pixel format by default until we
	have proper SetDepthStencilSurface support.

2008-05-16  Juan Lang <juan.lang@gmail.com>

	* dlls/snmpapi/main.c, dlls/snmpapi/tests/util.c:
	snmpapi: Test and correct SnmpUtilOidNCmp when count is less than Oid length.

	* dlls/snmpapi/main.c, dlls/snmpapi/tests/util.c:
	snmpapi: Test and correct SnmpUtilOidNCmp when Oid lengths don't match.

2008-05-15  Kai Blin <kai.blin@gmail.com>

	* dlls/ws2_32/tests/sock.c:
	ws2_32: Test for invalid hostnames again.

2008-05-15  Michael Karcher <wine@mkarcher.dialup.fu-berlin.de>

	* dlls/oleaut32/variant.c:
	oleaut32: Cache localised number chars.

2008-05-19  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/ntdll/tests/port.c:
	ntdll/tests: Skip test when we don't have enough rights.

	* dlls/ntdll/tests/port.c:
	ntdll/tests: Free library after use.

2008-05-19  James Hawkins <jhawkins@codeweavers.com>

	* dlls/kernel32/tests/debugger.c:
	kernel32: Fix a debugger test that fails in win2k3.

2008-05-16  Lei Zhang <thestig@google.com>

	* tools/wine.inf.in:
	wine.inf: Open xml files using winebrowser.

2008-05-15  Mikołaj Zalewski <mikolaj@zalewski.pl>

	* dlls/avifil32/avifile_Sv.rc, dlls/comctl32/comctl_Sv.rc,
	  dlls/comdlg32/cdlg_Sv.rc, dlls/credui/credui_Sv.rc,
	  dlls/crypt32/crypt32_Sv.rc, dlls/gphoto2.ds/gphoto2_Sv.rc,
	  dlls/hhctrl.ocx/Sv.rc, dlls/iccvid/iccvid_Sv.rc,
	  dlls/localspl/spl_Sv.rc, dlls/localui/ui_Sv.rc, dlls/mpr/mpr_Sv.rc,
	  dlls/msacm32/msacm_Sv.rc, dlls/mshtml/Sv.rc, dlls/msi/msi_Sv.rc,
	  dlls/msrle32/msrle_Sv.rc, dlls/msvfw32/msvfw32_Sv.rc,
	  dlls/msvidc32/msvidc32_Sv.rc, dlls/oleaut32/oleaut32_Sv.rc,
	  dlls/oledlg/oledlg_Sv.rc, dlls/sane.ds/sane_Sv.rc,
	  dlls/serialui/Sv.rc, dlls/setupapi/Sv.rc, dlls/shdoclc/Sv.rc,
	  dlls/shell32/shell32_Sv.rc, dlls/shlwapi/shlwapi_Sv.rc,
	  dlls/user32/resources/user32_Sv.rc, dlls/wineps.drv/wps_Sv.rc,
	  dlls/wininet/wininet_Sv.rc, dlls/winspool.drv/Sv.rc,
	  dlls/wldap32/wldap32_Sv.rc, programs/clock/Sv.rc,
	  programs/notepad/Sv.rc, programs/uninstaller/Sv.rc,
	  programs/wineboot/wineboot_Sv.rc, programs/winecfg/Sv.rc,
	  programs/wineconsole/wineconsole_Sv.rc, programs/winefile/Sv.rc,
	  programs/winhlp32/Sv.rc:
	Make Swedish use SUBLANG_NEUTRAL.

2008-05-18  Vitaliy Margolen <wine-patches@kievinfo.com>

	* programs/winecfg/audio.c, programs/winecfg/drivedetect.c,
	  programs/winecfg/main.c, programs/winecfg/properties.h,
	  programs/winecfg/winecfg.h:
	winecfg: Remove mostly unused properties.h.

2008-05-18  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/regedit/En.rc, programs/regedit/No.rc:
	regedit: Improve dialog layout.

2008-05-18  Hans Leidekker <hans@it.vu.nl>

	* dlls/wininet/http.c, dlls/wininet/tests/http.c:
	wininet: Fix buffer size query for HttpQueryInfo(HTTP_QUERY_RAW_HEADERS_CRLF).

2008-05-16  Lei Zhang <thestig@google.com>

	* programs/explorer/explorer.c:
	explorer: Allow explorer with no arguments to run winefile.

2008-05-19  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/helpers.c:
	msi: Reset the hasLocalFeature flag when updating components.

	* dlls/msi/action.c, dlls/msi/tests/install.c:
	msi: Don't enable a feature's components if that feature is disabled.

	* dlls/user32/tests/broadcast.c:
	user32: Fix a few tests that fail in win2k3.

	* dlls/gdi32/tests/font.c:
	gdi32: Fix two tests that fail in win2k3.

2008-05-17  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/regedit/En.rc, programs/regedit/No.rc,
	  programs/regedit/framewnd.c, programs/regedit/resource.h:
	regedit: Add Export option to context menu.

2008-05-18  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/sysparams.c, dlls/user32/tests/monitor.c:
	user32: Make ChangeDisplaySettingsA/W reset dmDriverExtra to 0 like XP and
	Vista do.

2008-05-18  Eric Pouech <eric.pouech@orange.fr>

	* dlls/dbghelp/dwarf.c:
	dbghelp: Protect dwarf parsing against NULL function names.

2008-05-16  Dan Kegel <dank@kegel.com>

	* dlls/d3d9/tests/visual.c:
	d3d9/tests: Add missing skip().

2008-05-16  Hans Leidekker <hans@it.vu.nl>

	* dlls/wininet/http.c, dlls/wininet/tests/http.c:
	wininet: INTERNET_STATUS_REQUEST_COMPLETE callback must supply a handle.

2008-05-15  Rob Shearman <rob@codeweavers.com>

	* dlls/wininet/http.c:
	wininet: Fix a typo in is_basic_auth_value.
	This fixes basic authentication when the server uses a realm string.

2008-05-15  Huw Davies <huw@codeweavers.com>

	* dlls/gdiplus/region.c:
	gdiplus: Add some notes about the format of the data blob returned by
	GdipGetRegionData.

2008-05-15  Mikołaj Zalewski <mikolaj@zalewski.pl>

	* dlls/shell32/shell32_Pl.rc, programs/start/Pl.rc,
	  programs/winecfg/Pl.rc, programs/winhlp32/Pl.rc:
	Update Polish translation.

2008-05-15  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/cabinet/fdi.c:
	cabinet: Fix the regression caused by 4046075462c00f4479f185d1c0514584ff851223.

2008-05-14  James Hawkins <jhawkins@codeweavers.com>

	* dlls/ntdll/tests/exception.c:
	ntdll: Fix a test that fails in win2k3.

	* dlls/ntdll/tests/rtlstr.c:
	ntdll: Fix a few tests that fail in win2k3.

2008-05-14  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/wined3d/surface_gdi.c:
	wined3d: Only copy front buffer to screen in gdi RealizePalette.

2008-05-14  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/dialog.c, dlls/msi/msi_main.c:
	msi: Create the MSI hidden window on demand.

2008-05-14  Austin English <austinenglish@gmail.com>

	* tools/wine.inf.in:
	wine.inf: Add a fake dll for sensapi.dll.

2008-05-14  Marcus Meissner <marcus@jet.franken.de>

	* server/window.c:
	server: Remove superflous empty region allocation.

2008-05-14  Dan Kegel <dank@kegel.com>

	* dlls/ws2_32/tests/sock.c:
	ws2_32/tests: Cannot reliably detect bad hostnames in "modern" internet.

	* dlls/kernel32/tests/comm.c:
	kernel32: comm.c: increase time slop.

2008-05-14  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/opengl.c:
	wgl: Don't call ExtEscape if we don't have a GL context.

	* tools/wineprefixcreate.in:
	wineprefixcreate: Added a deprecation warning.

	* tools/wineprefixcreate.in:
	wineprefixcreate: Avoid redundant update on initial wineprefix creation.

2008-05-14  Igor Tarasov <tarasov.igor@gmail.com>

	* dlls/comctl32/commctrl.c:
	comctl32: Fix statusbar text alignment bug.

2008-05-13  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/action.c:
	msi: Set the OutOfDiskSpace property.

	* dlls/msi/action.c:
	msi: Copy the assembly file directly if it's not compressed.

2008-05-14  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/comdlg32/cdlg_Ko.rc:
	comdlg32: Updated Korean translation.

2008-05-13  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/cabinet/fdi.c:
	cabinet: Remove order-of-evaluation dependencies.

2008-05-13  James Hawkins <jhawkins@codeweavers.com>

	* dlls/ntdll/tests/file.c:
	ntdll: Fix a few failing tests in win2k3.

2008-05-13  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/systray.c, programs/explorer/systray.c:
	explorer: Use a different return value to indicate that the x11 system tray
	is not available, so that x11drv can return errors too.

	* programs/regedit/edit.c, programs/regedit/regproc.c:
	regedit: Fix editing and exporting of zero-size strings.

	* programs/winemenubuilder/winemenubuilder.c:
	winemenubuilder: Copy the icon data before modifying it, resources are read-only.

	* dlls/kernel32/process.c:
	kernel32: Move the wineboot event wait so that 16-bit processes wait too.

2008-05-13  Andrej Sinicyn <Andrej.Sinicyn@gmx.de>

	* programs/uninstaller/De.rc:
	uninstaller: German translation.

	* programs/reg/De.rc, programs/reg/rsrc.rc:
	reg: German translation.

	* programs/wineconsole/wineconsole_De.rc:
	wineconsole: German translation.

	* programs/taskmgr/De.rc:
	taskmgr: German translation.

	* programs/cmd/De.rc:
	cmd: German translation.

2008-05-13  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linuxinput.c:
	dinput: Clamp joystick position values to min-max range.

2008-05-13  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/freetype.c, dlls/gdi32/tests/font.c:
	gdi32: Add more font substitution tests, make them pass under Wine.

2008-05-13  Huw Davies <huw@codeweavers.com>

	* dlls/gdi32/bitblt.c:
	gdi32: Move a couple of TRACEs to the beginning of functions.

2008-05-13  Alexandre Julliard <julliard@winehq.org>

	* .gitignore, dlls/Makefile.in, dlls/kernel32/Makefile.in,
	  dlls/kernel32/kernel16.c:
	kernel32: Add a builtin 16-bit winhelp.exe.
	This should be moved to winhlp32.exe once we support 16-bit modules in
	executables.

	* .gitignore, Makefile.in, configure, configure.ac, dlls/user32/winhelp.c,
	  programs/Makefile.in, programs/winhelp/Bg.rc, programs/winhelp/Cs.rc,
	  programs/winhelp/Da.rc, programs/winhelp/De.rc,
	  programs/winhelp/En.rc, programs/winhelp/Eo.rc,
	  programs/winhelp/Es.rc, programs/winhelp/Fi.rc,
	  programs/winhelp/Fr.rc, programs/winhelp/Hu.rc,
	  programs/winhelp/It.rc, programs/winhelp/Ko.rc,
	  programs/winhelp/Makefile.in, programs/winhelp/Nl.rc,
	  programs/winhelp/No.rc, programs/winhelp/Pl.rc,
	  programs/winhelp/Pt.rc, programs/winhelp/Rm.rc,
	  programs/winhelp/Ru.rc, programs/winhelp/Si.rc,
	  programs/winhelp/Sk.rc, programs/winhelp/Sv.rc,
	  programs/winhelp/Tr.rc, programs/winhelp/Wa.rc,
	  programs/winhelp/Zh.rc, programs/winhelp/callback.c,
	  programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/macro.c, programs/winhelp/macro.h,
	  programs/winhelp/macro.lex.l, programs/winhelp/rsrc.rc,
	  programs/winhelp/string.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h, programs/winhelp/winhelp.ico,
	  programs/winhelp/winhelp.svg, programs/winhelp/winhelp_res.h,
	  programs/winhlp32/Bg.rc, programs/winhlp32/Cs.rc,
	  programs/winhlp32/Da.rc, programs/winhlp32/De.rc,
	  programs/winhlp32/En.rc, programs/winhlp32/Eo.rc,
	  programs/winhlp32/Es.rc, programs/winhlp32/Fi.rc,
	  programs/winhlp32/Fr.rc, programs/winhlp32/Hu.rc,
	  programs/winhlp32/It.rc, programs/winhlp32/Ko.rc,
	  programs/winhlp32/Makefile.in, programs/winhlp32/Nl.rc,
	  programs/winhlp32/No.rc, programs/winhlp32/Pl.rc,
	  programs/winhlp32/Pt.rc, programs/winhlp32/Rm.rc,
	  programs/winhlp32/Ru.rc, programs/winhlp32/Si.rc,
	  programs/winhlp32/Sk.rc, programs/winhlp32/Sv.rc,
	  programs/winhlp32/Tr.rc, programs/winhlp32/Wa.rc,
	  programs/winhlp32/Zh.rc, programs/winhlp32/callback.c,
	  programs/winhlp32/hlpfile.c, programs/winhlp32/hlpfile.h,
	  programs/winhlp32/macro.c, programs/winhlp32/macro.h,
	  programs/winhlp32/macro.lex.l, programs/winhlp32/rsrc.rc,
	  programs/winhlp32/string.c, programs/winhlp32/winhelp.c,
	  programs/winhlp32/winhelp.h, programs/winhlp32/winhelp.ico,
	  programs/winhlp32/winhelp.svg, programs/winhlp32/winhelp_res.h,
	  tools/make_makefiles, tools/wine.inf.in:
	winhelp.exe: Renamed to winhlp32.exe.

2008-05-12  Dan Kegel <dank@kegel.com>

	* dlls/d3d9/tests/visual.c:
	d3d9: shademode_test: Increase slop in color comparison.

2008-05-13  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  dlls/gdiplus/tests/graphicspath.c, include/gdiplusflat.h:
	gdiplus: Added GdipAddPathRectangle with tests.

	* dlls/gdiplus/pen.c:
	gdiplus: Make GdipSetPenDashArray return OutOfMemory on (count <= 0).

	* dlls/gdiplus/matrix.c:
	gdiplus: Check count argument in GdipVectorTransformMatrixPoints.

	* dlls/gdiplus/matrix.c:
	gdiplus: Check count argument in GdipTransformMatrixPoints.

	* dlls/gdiplus/font.c:
	gdiplus: GdipCreateFontFromLogfontA: no reason to put CHAR to WCHAR array.

2008-05-09  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/mpegsplit.c:
	quartz: Reset time when rejecting sample in the mpeg splitter.

2008-05-12  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/acmwrapper.c:
	quartz: Silence a fixme.

2008-05-12  Lei Zhang <thestig@google.com>

	* dlls/quartz/filtergraph.c, dlls/quartz/tests/filtergraph.c:
	quartz: Check input in MediaControl_GetState.

2008-05-12  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/cond.y, dlls/msi/tests/package.c:
	msi: Convert string variables to ints when appropriate.

	* dlls/msi/tests/Makefile.in, dlls/msi/tests/package.c:
	msi: Test the ScreenX/Y properties.

2008-05-13  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/window.c, dlls/winex11.drv/x11drv.h:
	winex11: When re-creating a client window check the new visual against the
	current one instead of the default one.

	* configure, configure.ac, dlls/wininet/netconnection.c:
	configure: Improve the libcrypto checks.

2008-05-13  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/tests/msg.c:
	user32: Add tests for painting minimized/clipped windows.

2008-05-13  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/install.c:
	mshtml: Fixed a typo.

2008-05-12  Eric Pouech <eric.pouech@orange.fr>

	* programs/winedbg/source.c:
	winedbg: Fix the path traversal.

2008-05-12  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/secur32/ntlm.c:
	secur32: Memory allocation size fix.

	* dlls/ddraw/direct3d.c:
	ddraw: Memory allocation size fix.

2008-05-12  Jens Albretsen <jens@albretsen.dk>

	* programs/view/Da.rc, programs/view/viewrc.rc:
	view: Danish translation.

	* programs/taskmgr/Da.rc, programs/taskmgr/taskmgr.rc:
	taskmgr: Danish translation.

	* programs/wineboot/wineboot.rc, programs/wineboot/wineboot_Da.rc:
	wineboot: Danish translation.

	* programs/uninstaller/Da.rc, programs/uninstaller/rsrc.rc:
	uninstaller: Danish translation.

	* programs/winefile/Da.rc, programs/winefile/rsrc.rc:
	winefile: Danish translation.

	* programs/winemine/Da.rc, programs/winemine/rsrc.rc:
	winemine: Danish translation.

2008-05-09  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/imm32/imm.c:
	imm32: Add the all GCS_* value check.

	* dlls/imm32/imm.c:
	imm32: Add the missing is_himc_ime_unicode() check.

2008-05-12  Petr Dlouhý <petr.dlouhy@email.cz>

	* dlls/shdocvw/shdocvw.h, dlls/shdocvw/webbrowser.c:
	shdocvw: Partial implementation of WebBrowser_put_RegisterAsBrowser and
	WebBrowser_get_RegisterAsBrowser.

2008-05-12  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/opengl.c:
	winex11: Silence a harmless error.

	* dlls/gdi32/opengl.c, dlls/gdi32/painting.c:
	gdi32: Make sure the DC is up-to-date before accessing the pixel format.

2008-05-12  Huw Davies <huw@codeweavers.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Stub for GdipGetClip.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Stubs for GdipGetDC and GdipReleaseDC.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/region.c, include/gdiplusflat.h:
	gdiplus: Add some stubs for region functions.

2008-05-11  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/ddraw/device.c:
	ddraw: Fix some code unprotected by ddraw lock.

2008-05-12  Alexandre Julliard <julliard@winehq.org>

	* dlls/winealsa.drv/alsa.c, dlls/winealsa.drv/dscapture.c,
	  dlls/winealsa.drv/dsoutput.c, dlls/winealsa.drv/wavein.c,
	  dlls/winealsa.drv/waveout.c:
	Revert "winealsa: Remove calls to deprecated functions."
	This reverts commit c8bdebde3dc94baf1439697306e6f797ca5c7ad2.
	To be revisited after 1.0.

	* dlls/winex11.drv/window.c:
	winex11: Create a dummy parent window for composite child windows to avoid
	using the root.

	* dlls/winex11.drv/window.c:
	winex11: Create all the GL drawables using the gdi_display to avoid
	synchronization issues.

2008-05-09  Hans Leidekker <hans@it.vu.nl>

	* dlls/wininet/internet.c, dlls/wininet/tests/internet.c:
	wininet: Implement INTERNET_OPTION_USER_AGENT for InternetQueryOption.

	* dlls/wininet/http.c:
	wininet: HTTP_BuildProxyRequestUrl returns a pointer.

	* dlls/wininet/cookie.c:
	wininet: Partial implementation of InternetGet/SetCookieEx.

	* dlls/wininet/tests/http.c:
	wininet: Make a test pass on IE6.

	* dlls/wininet/http.c, dlls/wininet/tests/http.c:
	wininet: Don't overwrite content length header in HttpSendRequest.

2008-05-09  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  dlls/gdiplus/tests/graphics.c, include/gdiplusflat.h:
	gdiplus: Added GdipCreateFromHWNDICM (no icm yet) with test.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/image.c,
	  dlls/gdiplus/tests/image.c:
	gdiplus: Added GdipLoadImageFromFileICM (no icm yet).

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/gdiplus_private.h,
	  dlls/gdiplus/image.c, dlls/gdiplus/tests/image.c:
	gdiplus: GdipGetImageFlags simple stub with test.

	* include/gdiplusenums.h, include/gdiplusflat.h:
	gdiplus: ImageFlags enum defined.

2008-05-10  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdi32/dib.c, dlls/gdi32/tests/bitmap.c:
	gdi32: Avoid null pointer dereference in CreateDIBSection.

2008-05-10  Jacek Caban <jacek@codeweavers.com>

	* dlls/urlmon/file.c, dlls/urlmon/tests/protocol.c:
	urlmon: Better error handling in file protocol.

	* dlls/urlmon/file.c, dlls/urlmon/tests/protocol.c:
	urlmon: Correctly handle file URLs with '|' instead of ':' after drive letter.

2008-05-12  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/winpos.c:
	user32: Invalidate the DCE in SetWindowPos before we attempt to move the
	window bits.

2008-05-12  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/wined3d/surface.c:
	wined3d: Activate context for the right target in surface_blt_to_drawable.

	* dlls/wined3d/surface.c:
	wined3d: glFlush when updating front buffer.
	Fixes screen not updating or getting updated inconsistently when apps blit to
	front buffer or lock it when RenderTargetLockMode=readtex, as happens in e.g.
	Red Alert 2 and also in p8_primary_test in ddraw tests.

2008-05-12  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/msg.c, server/window.c:
	server: Crop the invalidate region against the rectangles of all parents.

	* dlls/user32/tests/msg.c, server/window.c:
	server: Also crop the update region of children when moving a window.

	* dlls/user32/tests/msg.c, server/window.c:
	server: When moving/resizing a window crop the update region against the new
	rectangle of the parents.

	* dlls/winedos/int21.c:
	winedos: Don't disable long filename functions on NT versions.

2008-05-12  Hwang YunSong(황윤성) <hys545@dreamwiz.com>

	* dlls/shell32/shell32_Ko.rc:
	shell32: Updated Korean Resource.

2008-05-11  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/dinput_main.c, dlls/dinput/tests/device.c:
	dinput: Implement GetDeviceStatus.

	* dlls/dxdiagn/version.rc:
	dxdiagn: Update dx version to 9.0c.

	* dlls/dmime/version.rc:
	dmime: Update dx version to 9.0c.

2008-05-11  Jens Albretsen <jens@albretsen.dk>

	* programs/winhelp/Da.rc:
	winhelp: Danish translation additions, fixes.

	* dlls/user32/resources/user32_Da.rc:
	user32: Danish spelling fixes.

	* dlls/wineps.drv/wps_Da.rc:
	wineps.drv: Danish spelling fixes.

2008-05-10  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/shell32/dialogs.c:
	shell32: Fix calling convention of LPFNOFN, don't use static buffers.

	* dlls/user32/mdi.c:
	user32: Make sure that we send proper notifications in all cases.

2008-05-10  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/shdocvw/factory.c:
	shdocvw: Plug memory leak introduced in 1.0-rc1 (Smatch).

2008-05-09  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/filesource.c:
	quartz: Don't return a pin in filesource when there is none.
	Based on a patch by Olivier Samyn.

2008-05-10  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/qmgr/file.c:
	qmgr: Memory allocation size fix.

	* dlls/wineoss.drv/dscapture.c, dlls/wineoss.drv/dsrender.c:
	wineoss.drv: Memory allocation sizes fix.

	* dlls/dsound/buffer.c, dlls/dsound/capture.c:
	dsound: Memory allocation sizes fix.

2008-05-09  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/wined3d/basetexture.c:
	wined3d: Remove test for value of unsigned variable being less than zero.

2008-05-09  Jonathan Ernst <jonathan@ernstfamily.ch>

	* programs/winhelp/Fr.rc:
	winhelp: Updated French translation.

2008-05-09  Ben Mayhew <ben-dev@gmx.net>

	* dlls/wined3d/drawprim.c:
	wined3d: Only display Missing vbo streams fixme once.

2008-05-09  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/kernel32/tests/locale.c:
	kernel32/tests: Skip tests if codepage is not installed/available.

2008-05-09  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, ChangeLog, VERSION, configure:
	Release 1.0-rc1.

----------------------------------------------------------------
2008-05-09  Alexandre Julliard <julliard@winehq.org>

	* dlls/gdi32/enhmfdrv/objects.c:
	gdi32: Add missing braces in EMFDRV_SelectPalette.

2008-05-09  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/imm32/imm.c:
	imm32: Avoid false FIXMEs.

2008-05-09  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/wined3d/surface.c:
	wined3d: Set alpha to index even when there is no palette.
	Fixes a failure in p8_primary_test when running with opengl ddraw renderer.

	* dlls/ddraw/tests/visual.c:
	ddraw/tests: Add KEYSRCOVERRIDE test in p8_primary_test.

	* dlls/wined3d/surface.c:
	wined3d: Use source colorkey when passed KEYSRC or KEYSRCOVERRIDE.
	Fixes failure in p8_primary_test when using opengl ddraw renderer.

2008-05-09  Alexandre Julliard <julliard@winehq.org>

	* programs/winefile/winefile.c:
	winefile: Fix the printf formats for file sizes.

2008-05-08  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/winealsa.drv/alsa.c, dlls/winealsa.drv/dscapture.c,
	  dlls/winealsa.drv/dsoutput.c, dlls/winealsa.drv/wavein.c,
	  dlls/winealsa.drv/waveout.c:
	winealsa: Remove calls to deprecated functions.

2008-05-08  Aric Stewart <aric@codeweavers.com>

	* dlls/shdocvw/Makefile.in, dlls/shdocvw/factory.c:
	shdocvw: Do not do our iexplore.exe registration if native Internet Explorer
	is detected to be present.

2008-05-08  Lei Zhang <thestig@google.com>

	* dlls/wininet/tests/urlcache.c, dlls/wininet/urlcache.c:
	wininet: Handle NULL input for FindCloseUrlCache.

2008-05-08  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/device.c, dlls/dinput/tests/joystick.c:
	dinput: Default value for unassigned POVs should be -1.

2008-05-08  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/crypt32/tests/oid.c:
	crypt32/tests: Cleanup registry after tests.

2008-05-08  Kirill K. Smirnov <lich@math.spbu.ru>

	* programs/winhelp/winhelp.c:
	winhelp: Pointer coordinates are relative to richedit text window, not the
	main window.

	* programs/winhelp/Ru.rc:
	winhelp: Updated Russian translation.

2008-05-08  Alexandre Julliard <julliard@winehq.org>

	* dlls/advapi32/service.c, include/wine/svcctl.idl,
	  programs/services/rpc.c, programs/services/services.c:
	services: Send the service name in the control requests.
	Only start a single dispatcher thread for all services.

2008-05-07  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c, dlls/wintab32/wintab32.c:
	winex11.drv: Move hardware tablet proximity into x11 layer.

2008-05-08  Paul Vriens <paul.vriens.wine@gmail.com>

	* programs/services/services.c:
	services.exe: Spelling fixes.

2008-05-08  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/tests/win.c, dlls/user32/win.c:
	user32: The client rectangle is in screen coordinates for the initial
	WM_NCCALCSIZE.

2008-05-08  Guy Albertelli <galberte@neo.rr.com>

	* dlls/comctl32/listview.c, dlls/comctl32/tests/listview.c:
	listview: Return correct value from WM_NOTIFYFORMAT with test.

2008-05-08  Dylan Smith <dylan.ah.smith@gmail.com>

	* programs/wordpad/wordpad.c:
	wordpad: Empty the richedit undo buffer on creation.

2008-05-07  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/kernel32/tests/path.c:
	kernel32: Fix temporary path test.

	* dlls/kernel32/tests/process.c:
	kernel32: Fix process tests to pass in Windows.

2008-05-07  Frans Kool <Frans.Kool@gmail.com>

	* programs/winhelp/Nl.rc:
	winhelp: Added missing Dutch translations.

2008-05-08  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/graphics.c:
	gdiplus: Let GdipDrawArcI use float args version.

2008-05-07  Vitaly Lipatov <lav@etersoft.ru>

	* programs/wineboot/wineboot.c:
	wineboot: Add missed short option -u.

2008-05-07  Alexandre Julliard <julliard@winehq.org>

	* dlls/ntdll/serial.c:
	ntdll: Ignore failures to retrieve serial status for events we are not
	interested in.
	Based on a patch by Valentine Sinitsyn.

2008-05-07  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/ntdll/tests/file.c:
	ntdll: Fix file test to not free memory allocated on the stack.

	* dlls/ntdll/tests/exception.c:
	ntdll: Fix some exception tests to pass on Windows.

2008-05-06  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/rpcrt4/tests/ndr_marshall.c:
	rpcrt4: Fix ndr_marshall test failures.
	Created with help from Robert Shearman.

2008-05-07  Rob Shearman <rob@codeweavers.com>

	* dlls/crypt32/cert.c, dlls/crypt32/crypt32.spec:
	crypt32: Add stub for CertVerifyCTLUsage.

2008-05-07  Alexandre Julliard <julliard@winehq.org>

	* dlls/ntdll/file.c:
	ntdll: Don't consider a 0-byte read from a serial port as a broken pipe.

	* dlls/ntdll/serial.c:
	ntdll: Always set VTIME to 0 to avoid blocking, don't try to set it from the
	comm timeouts.

2008-05-07  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/enhmfdrv/enhmetafiledrv.h, dlls/gdi32/enhmfdrv/init.c,
	  dlls/gdi32/enhmfdrv/objects.c:
	gdi32: Implement EMFDRV_SelectPalette.

	* dlls/gdi32/tests/metafile.c:
	gdi32: More carefully compare EMF records in tests.

	* dlls/gdi32/enhmfdrv/init.c:
	gdi32: Set offPalEntries member of EMREOF to what XP sets it to.

2008-05-06  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linux.c:
	dinput: Ignore events from extra joystick buttons.

2008-05-03  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linux.c:
	dinput: Limit number of axes in a different way - map all extra axes to -1.
	We can't stop device from sending us extra axes so have to keep axes mapping
	around for them.

	* dlls/dinput/joystick_linux.c:
	dinput: Remove redundant variable.

2008-05-07  Hans Leidekker <hans@it.vu.nl>

	* dlls/wininet/http.c, dlls/wininet/tests/http.c:
	wininet: Deal with bogus accept types array passed into HttpOpenRequestA.

2008-05-07  Kai Blin <kai.blin@gmail.com>

	* dlls/secur32/tests/ntlm.c:
	secur32: Fix ntlm tests on Vista.

2008-05-07  Rob Shearman <rob@codeweavers.com>

	* dlls/rpcrt4/tests/server.c:
	rpcrt4: Add better traces for the server test.
	Handle failure to use one or more protocol sequences more gracefully, as
	ncacn_np servers aren't support on Win9x and ncacn_ip_tcp fails on some
	machines.

	* include/wine/test.h:
	winetest: Detect if an unhandled exception occurred in a child process and
	print an appropriate message.
	Avoid getting caught incrementing the failure count in this case, as it
	could take a very long time to complete.

2008-05-07  Alexandre Julliard <julliard@winehq.org>

	* dlls/kernel32/wowthunk.c, dlls/winedos/dosmem.c, dlls/winedos/dosvm.c,
	  dlls/winedos/module.c:
	winedos: Print better diagnostics when a DOS app fails to start.

	* dlls/winedos/module.c:
	winedos: Make sure that the main message queue exists before the DOS thread
	starts.

	* dlls/winedos/dosvm.c:
	winedos: Only read input from the stdin handle if it is a console.

	* programs/wineconsole/curses.c:
	wineconsole: Don't use a Win32 wait on a Unix file descriptor.

	* dlls/ntdll/file.c:
	ntdll: Serial with ReadIntervalTimeout set to MAXDWORD should return immediately
	even if nothing was read.

2008-05-06  Detlef Riekenberg <wine.dev@web.de>

	* dlls/comdlg32/tests/printdlg.c, dlls/winspool.drv/info.c:
	winspool: Set PrinterPorts for win3.x/win9.x compatibility.

2008-05-07  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/ddraw/executebuffer.c:
	ddraw: Indentation fix.

2008-05-06  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c:
	winex11.drv: Wintab packet serial numbers are passed via WPARAM.

2008-05-06  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/wininet/tests/http.c, include/wininet.h:
	wininet: Ignore INTERNET_STATUS_DETECTING_PROXY messages in the http test.

	* programs/winetest/main.c:
	winetest: Fix CreateProcess so that debugger tests run without timing out.

2008-05-05  Jens Albretsen <jens@albretsen.dk>

	* dlls/serialui/Da.rc, dlls/serialui/serialui_rc.rc:
	serialui: Danish translation.

	* dlls/setupapi/Da.rc, dlls/setupapi/setupapi.rc:
	setupapi: Danish translation.

	* dlls/msvfw32/msvfw32_Da.rc, dlls/msvfw32/rsrc.rc:
	msvfw32: Danish translation.

2008-05-06  Jens Albretsen <jens@albretsen.dk>

	* programs/reg/Da.rc, programs/reg/rsrc.rc:
	reg: Danish translation.

	* programs/oleview/Da.rc, programs/oleview/rsrc.rc:
	oleview: Danish translation.

	* dlls/wininet/rsrc.rc, dlls/wininet/wininet_Da.rc:
	wininet: Danish translation.

	* dlls/shdoclc/Da.rc, dlls/shdoclc/rsrc.rc:
	shdoclc: Danish translation.

	* dlls/winmm/winmm_Da.rc, dlls/winmm/winmm_res.rc:
	winmm: Danish translation.

	* dlls/wldap32/wldap32.rc, dlls/wldap32/wldap32_Da.rc:
	wldap32: Danish translation.

	* programs/notepad/Da.rc:
	notepad: Danish spelling fixes.

	* programs/clock/Da.rc:
	clock: Danish spelling fixes.

	* dlls/winspool.drv/Da.rc, dlls/winspool.drv/winspool.rc:
	winspool.drv: Danish translation.

	* programs/progman/Da.rc, programs/progman/rsrc.rc:
	progman: Danish translation.

	* programs/cmdlgtst/Da.rc, programs/cmdlgtst/cmdlgr.rc:
	cmdlgtst: Danish translation.

	* programs/regedit/Da.rc, programs/regedit/rsrc.rc:
	regedit: Danish translation.

2008-05-05  Jens Albretsen <jens@albretsen.dk>

	* dlls/oledlg/oledlg_Da.rc, dlls/oledlg/rsrc.rc:
	oledlg: Danish translation.

	* dlls/sane.ds/rsrc.rc, dlls/sane.ds/sane_Da.rc:
	sane.ds: Danish translation.

	* dlls/msvidc32/msvidc32_Da.rc, dlls/msvidc32/rsrc.rc:
	msvidc32: Danish translation.

	* dlls/localspl/localspl.rc, dlls/localspl/spl_Da.rc:
	localspl: Danish translation.

	* dlls/hhctrl.ocx/Da.rc, dlls/hhctrl.ocx/hhctrl.rc:
	hhctrl.ocx: Danish translation.

	* dlls/msacm32/msacm.rc, dlls/msacm32/msacm_Da.rc:
	msacm: Danish translation.

	* dlls/msi/msi.rc, dlls/msi/msi_Da.rc:
	msi: Danish translation.

	* dlls/msrle32/msrle_Da.rc, dlls/msrle32/rsrc.rc:
	msrle: Danish translation.

	* dlls/mshtml/Da.rc, dlls/mshtml/rsrc.rc:
	mshtml: Danish translation.

	* dlls/mpr/mpr.rc, dlls/mpr/mpr_Da.rc:
	mpr: Danish translation.

	* dlls/gphoto2.ds/gphoto2_Da.rc, dlls/gphoto2.ds/rsrc.rc:
	gphoto2: Danish translation.

	* dlls/localui/localui.rc, dlls/localui/ui_Da.rc:
	localui: Danish translation.

	* dlls/iccvid/iccvid_Da.rc, dlls/iccvid/rsrc.rc:
	iccvid: Danish translation.

	* dlls/oleaut32/oleaut32.rc, dlls/oleaut32/oleaut32_Da.rc,
	  dlls/oleaut32/oleaut32_Dk.rc:
	oleaut32: Renamed oleaut32_Dk.rc to oleaut32_Da.rc.

2008-05-06  Marcus Meissner <marcus@jet.franken.de>

	* tools/widl/utils.c, tools/widl/utils.h:
	widl: Mark non-returning functions as noreturn.

2008-05-06  Aleksey Bragin <aleksey@reactos.org>

	* dlls/atl/registrar.c:
	atl: Remove freeing of an invalid pointer.

2008-05-06  Francois Gouget <fgouget@free.fr>

	* dlls/comctl32/comboex.c, dlls/comctl32/listview.c, dlls/dmime/segment.c,
	  dlls/dmstyle/styletrack.c, dlls/kernel32/module.c, dlls/msi/action.c,
	  dlls/quartz/mpegsplit.c, dlls/quartz/pin.h, dlls/quartz/waveparser.c,
	  dlls/rsaenh/mpi.c, dlls/shell32/tests/shelllink.c,
	  dlls/shell32/tests/shellpath.c, dlls/twain_32/dsm_ctrl.c,
	  dlls/wined3d/state.c, dlls/wined3d/swapchain.c,
	  dlls/winmm/lolvldrv.c, dlls/winmm/mmsystem.c, dlls/winmm/playsound.c,
	  tools/widl/parser.y:
	Assorted spelling fixes.

	* dlls/winex11.drv/ime.c:
	winex11: Standardize a stub trace and add a trailing '\n'.

2008-05-06  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/advapi32/tests/service.c:
	advapi32/tests: Add another test.

2008-05-06  Francois Gouget <fgouget@free.fr>

	* dlls/msi/tokenize.c, dlls/opengl32/opengl_ext.c, tools/widl/parser.l,
	  tools/widl/typelib.c:
	Add a comment warning when a table must be kept sorted for later use with
	bsearch().

	* dlls/comctl32/tests/header.c, dlls/ctapi32/ctapi32.c,
	  dlls/ddraw/ddraw.c, dlls/ddraw/device.c, dlls/ddraw/surface.c,
	  dlls/dinput/device.c, dlls/dmime/tempotrack.c,
	  dlls/mshtml/nsiface.idl, dlls/msi/msi.c, dlls/ole32/moniker.c,
	  dlls/quartz/avisplit.c, dlls/riched20/tests/editor.c,
	  dlls/rpcrt4/tests/ndr_marshall.c, dlls/wined3d/device.c,
	  dlls/wined3d/wined3d_private.h, dlls/ws2_32/async.c,
	  programs/rpcss/np_server.c, tools/winemaker, tools/wrc/parser.y:
	Assorted spelling fixes.

	* dlls/mshtml/htmlcomment.c, dlls/mshtml/htmldoc.c,
	  dlls/mshtml/htmlelem.c, dlls/mshtml/htmlimg.c,
	  dlls/mshtml/htmlinput.c, dlls/mshtml/htmlnode.c,
	  dlls/mshtml/htmloption.c, dlls/mshtml/htmlstyle.c,
	  dlls/mshtml/htmltextnode.c, dlls/mshtml/htmlwindow.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/omnavigator.c:
	mshtml: gcc 2.95 does not allow an array of undefined dimension in a struct. So
	fix dispex_static_data_t accordingly.

	* dlls/cryptdlg/main.c:
	cryptdlg: Fix the GetFriendlyNameOfCert[AW] call convention.

	* dlls/d3d9/tests/visual.c:
	d3d9/tests: Fix compilation on systems that don't support nameless unions.

	* dlls/msxml3/tests/domdoc.c:
	msxml3/tests: Add a trailing '\n' to an ok() call.

	* dlls/gdi32/tests/clipping.c, dlls/gdi32/tests/metafile.c:
	gdi32/tests: Add a trailing '\n' to a couple of ok() calls.

	* dlls/fusion/assembly.c:
	fusion: Fix compilation on systems that don't support nameless unions.

	* include/objbase.h:
	ole32: Fix spelling of pCapabilities.

2008-05-06  Alexandre Julliard <julliard@winehq.org>

	* dlls/kernel32/process.c, dlls/userenv/tests/userenv.c,
	  tools/wine.inf.in:
	kernel32: Set the USERPROFILE and ALLUSERSPROFILE environment variables based
	on the ProfileList registry keys.

	* dlls/shell32/shellpath.c:
	shell32: Set the correct default for shell folders relative to the windows
	directory.

2008-05-06  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/ddraw/tests/d3d.c:
	ddraw/tests: Add tests for IDirect3DDevice7_Load.

	* dlls/ddraw/surface.c:
	ddraw: Return DDERR_NOCOLORKEY when there is no colorkey.

	* dlls/ddraw/device.c:
	ddraw: Add full implementation of IDirect3DDevice7_Load.

2008-05-06  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/kernel32/process.c:
	kernel32: Print in the trace pid and tid of the created process.

2008-05-06  Paul Vriens <paul.vriens.wine@gmail.com>

	* programs/services/services.c:
	services.exe: Move a trace to a more appropriate place.

2008-05-05  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* programs/winetest/main.c:
	winetest: Fix CreateProcess so that debugger tests run without timing out.

	* dlls/netapi32/tests/wksta.c:
	netapi32: Fix test crash occuring when NetWkstaUserGetInfo fails.

	* dlls/winmm/tests/mixer.c:
	winmm: Make mixer test less strict so it passes with SoundMAX drivers on XP.

	* dlls/gdi32/tests/mapping.c:
	gdi32: Make mapping test slightly less strict so it passes on windows XP.

2008-05-06  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/comctl32/tab.c:
	comctl32: tab: Fix drawing of the icons.
	This patch partially reverts aa57ad37. It's not correct. The top/left
	is added later on.

2008-05-05  Michael Stefaniuc <mstefani@redhat.de>

	* dlls/ws2_32/tests/sock.c:
	ws2_32: Fix test output string to match the test.

2008-05-05  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/netapi32/tests/access.c:
	netapi32: Make the tests pass under XP that enforces a strict password policy.

2008-05-05  Dylan Smith <dylan.ah.smith@gmail.com>

	* dlls/riched20/editor.c:
	richedit: The wrong bits were cleared from wBorders in PARAFORMAT2.

2008-05-02  Dylan Smith <dylan.ah.smith@gmail.com>

	* dlls/riched20/paint.c, dlls/riched20/wrap.c:
	richedit: Removed useless code.

2008-05-03  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c, dlls/wined3d/directx.c,
	  dlls/wined3d/wined3d_private.h:
	wined3d: Allow stencil support when it wasn't requested on broken drivers.

2008-05-05  Alexandre Julliard <julliard@winehq.org>

	* server/winstation.c:
	server: Don't touch the users count when a system process switches desktops.

2008-05-05  Kai Blin <kai.blin@gmail.com>

	* dlls/ws2_32/tests/sock.c:
	ws2_32: On Win98, SO_MAX_MSG_SIZE is 65527, not 65507.

	* dlls/secur32/tests/secur32.c:
	secur32: Remove test for sft->Reserved8 field.
	This seems to be set on Win98.

2008-05-05  Maarten Lankhorst <crumb@virgo23.smo.corp.google.com>

	* dlls/winex11.drv/graphics.c:
	winex11.drv: Fix a compiler warning.

2008-05-05  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/ddraw/device.c:
	ddraw: Fix some texture blending modes.

	* dlls/ddraw/ddraw_private.h, dlls/ddraw/device.c, dlls/ddraw/direct3d.c:
	ddraw: Move handling of D3DRENDERSTATE_TEXTUREMAPBLEND from d3ddevice2 to
	d3ddevice3.

2008-05-04  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/ddraw/device.c:
	ddraw: Move handling of D3DRENDERSTATE_TEXTUREHANDLE from d3ddevice7 to
	d3ddevice3.
	As supported by tests, there is no reason for this state to be handled by
	d3ddevice7, and moving it to d3ddevice3 prepares for the changes in next patch
	(setting TEXTUREHANDLE state can then go through SetTexture of d3ddevice3).

	* dlls/ddraw/tests/d3d.c:
	ddraw/tests: Add test for deprecated render states in d3d7.

2008-05-06  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/kernel32/kernel16.c:
	winoldap.mod: Wait until the 32-bit process starts up.

2008-05-05  Hwang YunSong(황윤성 <hys545@dreamwiz.com>

	* programs/winecfg/Ko.rc:
	winecfg: Updated Korean resource.

	* programs/winhelp/Ko.rc:
	winhelp: Updated Korean resource.

2008-05-05  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/d3d8/device.c:
	d3d8: Dangling pointers fix.

	* dlls/hlink/hlink_main.c:
	hlink: Remove unneeded address-of operators from function names.

	* dlls/advapi32/crypt.c:
	advapi32: Avoid giving variables same name as library functions.

2008-05-05  Alexandre Julliard <julliard@winehq.org>

	* dlls/quartz/pin.c:
	Revert "quartz: Clean up pullpin code."
	This reverts commit 3066116f76c0c44950fde3552485b37dce24d1f8.

	* loader/preloader.c:
	preloader: Silence the warning for the low 64k.

	* dlls/winex11.drv/xim.c:
	winex11: The XIM callback is called with the X11 lock held.

2008-05-04  Jens Albretsen <jens@albretsen.dk>

	* dlls/shell32/shell32_Da.rc:
	shell32: Added missing Danish translations.

	* programs/wordpad/Da.rc, programs/wordpad/rsrc.rc:
	wordpad: Added Danish translation.

	* dlls/shlwapi/shlwapi.rc, dlls/shlwapi/shlwapi_Da.rc:
	shlwapi: Added Danish translation.

	* dlls/comdlg32/cdlg_Da.rc:
	comdlg: Added missing Danish translations.

	* dlls/wineps.drv/rsrc.rc, dlls/wineps.drv/wps_Da.rc:
	wineps.drv: Added Danish translation.

	* dlls/credui/credui.rc, dlls/credui/credui_Da.rc:
	credui: Added Danish translation.

	* dlls/avifil32/avifile_Da.rc, dlls/avifil32/rsrc.rc:
	avifil32: Added Danish translation.

	* programs/net/Da.rc, programs/net/rsrc.rc:
	net: Added Danish translation.

	* programs/cmd/Da.rc, programs/cmd/wcmdrc.rc:
	cmd: Added Danish translation.

	* programs/winecfg/Da.rc, programs/winecfg/winecfg.rc:
	winecfg: Added Danish translation.

	* programs/xcopy/Da.rc, programs/xcopy/rsrc.rc:
	xcopy: Added Danish translation.

2008-05-04  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/cabinet/fdi.c:
	cabinet: Indentation fix.

2008-05-02  Gerald Pfeifer <gerald@pfeifer.com>

	* programs/winecfg/appdefaults.c:
	winecfg: Add variable initialization in get_registry_version().

2008-05-03  Gerald Pfeifer <gerald@pfeifer.com>

	* programs/winhelp/winhelp.c:
	winhelp: Remove extraneous positiveness check for unsigned variable in
	WINHELP_HandleTextMouse().

2008-05-04  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/dialog.c:
	msi: Use the handle to the treeview item if the item text is not returned.

2008-05-03  James Hawkins <jhawkins@codeweavers.com>

	* dlls/fusion/assembly.c:
	fusion: The Strings stream can be without a #.

	* dlls/fusion/assembly.c, dlls/fusion/fusionpriv.h:
	fusion: Add the missing assembly table structs.

	* dlls/fusion/fusionpriv.h:
	fusion: Fix the type of an assembly struct member.

2008-05-05  Alexandre Julliard <julliard@winehq.org>

	* programs/winevdm/winevdm.c:
	winevdm: Move the DOS memory range check to not trigger for Win16 apps.

	* programs/services/rpc.c:
	services: Fixed the result check for the control mutex wait.

	* programs/services/rpc.c:
	services: Use the correct invalid handle value for the control pipe.

2008-05-04  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/tests/dom.c:
	mshtml: Added IMG element tests.

	* dlls/mshtml/tests/script.c:
	mshtml: Added more script tests.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml: Added DispHTMLSelectElement declaration.

2008-05-05  Alexandre Julliard <julliard@winehq.org>

	* programs/spoolsv/main.c:
	spoolsv: Improve the service stub so that it can be started and stopped.

2008-05-05  Dmitry Timoshkov <dmitry@codeweavers.com>

	* programs/winecfg/Fr.rc:
	winecfg: Fix coordinates and sizes of controls in French Graphics dialog.

2008-05-04  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/mshtml/mshtml.inf:
	mshtml: Don't overwrite file types that could be changed by user.

2008-05-04  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/sysparams.c:
	user32: Set the size of returned DEVMODE to least common one as XP does.

	* dlls/winex11.drv/settings.c:
	winex11.drv: Set the size of returned DEVMODE to least common one as XP does.

2008-05-03  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/helpers.c:
	msi: Fix a typo.

2008-05-03  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c:
	wined3d: At the start of RemoveContextFromArray numContexts is decreased by 1,
	the loop which loops through the whole array doesn't take this into account.
	Discovered by Peter Oberndorfer.

2008-05-04  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Clean up properly on win9x.

2008-05-03  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/setupapi/tests/devinst.c:
	setupapi/tests: Skip some tests on win9x.

2008-05-03  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/wnaspi32/winaspi16.c, dlls/wnaspi32/winaspi32.c:
	wnaspi32: Remove unused variables.

	* dlls/inetcomm/internettransport.c, dlls/inetcomm/mimeole.c:
	inetcomm: Remove unused variables.

	* dlls/wininet/ftp.c, dlls/wininet/http.c, dlls/wininet/urlcache.c:
	wininet: Remove unused variables.

2008-05-02  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/dbghelp/stabs.c:
	dbghelp: Include port.h for possible alternative to strtoull().

2008-05-02  Hans Leidekker <hans@it.vu.nl>

	* dlls/wininet/http.c, dlls/wininet/tests/http.c:
	wininet: Don't add the user agent header until HttpSendRequest is called.

2008-05-02  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, ChangeLog, VERSION, configure:
	Release 0.9.61.

----------------------------------------------------------------
2008-05-02  Alexandre Julliard <julliard@winehq.org>

	* AUTHORS:
	Updated the authors list.

2008-05-02  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/kernel32/tests/console.c:
	kernel32/tests: Skip some tests on win98.

2008-05-02  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/winex11.drv/dib.c, dlls/winex11.drv/dib_dst_swap.c,
	  dlls/winex11.drv/event.c, dlls/winex11.drv/mouse.c,
	  dlls/winex11.drv/opengl.c, dlls/winex11.drv/systray.c,
	  dlls/winex11.drv/window.c, dlls/winex11.drv/xfont.c:
	winex11.drv: Remove unused variables.

2008-05-02  Huw Davies <huw@codeweavers.com>

	* dlls/winex11.drv/brush.c, dlls/winex11.drv/dib.c,
	  dlls/winex11.drv/x11drv.h:
	winex11.drv: Rename X11DRV_DIB_BitmapInfoSize to bitmap_info_size and fix to
	take into account bit field masks.

	* dlls/gdi32/brush.c, dlls/gdi32/dib.c, dlls/gdi32/enhmfdrv/bitblt.c,
	  dlls/gdi32/enhmfdrv/objects.c, dlls/gdi32/gdi_private.h,
	  dlls/gdi32/metafile.c, dlls/gdi32/mfdrv/bitblt.c,
	  dlls/gdi32/mfdrv/objects.c:
	gdi32: Rename DIB_BitmapInfoSize to bitmap_info_size and fix to take into
	account bit field masks.

	* dlls/user32/cursoricon.c:
	user32: Fix bitmap_info_size to take into account bit field masks.

2008-05-02  Gerald Pfeifer <gerald@pfeifer.com>

	* tools/widl/parser.y:
	widl: Fix syntax to also work with older versions of bison.

2008-05-02  Mathias Gottschlag <mathias-go@web.de>

	* programs/taskmgr/De.rc:
	taskmgr: Fix some German translation errors.

	* programs/winecfg/De.rc:
	winecfg: Fix some errors in the German translation.

2008-05-02  Alexandre Julliard <julliard@winehq.org>

	* dlls/urlmon/tests/misc.c:
	urlmon: Avoid sizeof in traces.

	* dlls/riched20/tests/editor.c, dlls/riched32/tests/editor.c:
	richedit: Avoid strlen in traces.

2008-05-02  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/kernel32/tests/console.c:
	kernel32/tests: Don't run tests on win9x if we are out of memory.

2008-05-02  Herve Chanal <chanal_herve@yahoo.fr>

	* programs/winhelp/Makefile.in, programs/winhelp/winhelp.ico,
	  programs/winhelp/winhelp.svg:
	winhelp: A nicer icon.

2008-05-02  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/listbox.c:
	user32: Add an exception handler around LB_GETTEXT to hide a Delphi bug.

2008-05-02  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/imm32/imm.c:
	imm32: Implementation of the ImmRequestMessage{A|W}.

	* dlls/imm32/imm.c:
	imm32: Updated implementation of the ImmGetConversionList{A|W}.

	* dlls/imm32/imm.c:
	imm32: Updated implementation of the ImmGetCandidateListCount{A|W}.

	* dlls/imm32/imm.c:
	imm32: Updated implementation of the ImmGetCandidateList{A|W}.

	* dlls/imm32/imm.c:
	imm32: Updated implementation of the ImmEnumRegisterWord{A|W}.

2008-05-01  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/ddraw/ddraw.c:
	ddraw: Enable EnableAutoDepthStencil to receive depth support.

2008-05-02  James Hawkins <jhawkins@codeweavers.com>

	* dlls/itss/tests/protocol.c:
	itss: Remove a test that we expect to fail sometimes.

	* dlls/msi/classes.c:
	msi: A progid who is its own parent cannot have a clsid.

	* dlls/ntdll/tests/path.c:
	ntdll: Fix two tests that fail on all NT platforms.

2008-05-01  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/wineps.drv/text.c, dlls/wineps.drv/type42.c:
	wineps.drv: Remove unused code.

2008-05-01  Kai Blin <kai.blin@gmail.com>

	* dlls/secur32/dispatcher.c:
	secur32: Don't call waitpid() in dispatcher.
	As Wine ignores SIGCHLD, waitpid() works on Linux only by accident. On
	FreeBSD it doesn't work.

2008-05-01  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/winhelp.c:
	winhelp: Added support for relative offsets in richedit rendered pages.

	* programs/winhelp/En.rc, programs/winhelp/Fr.rc,
	  programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/winhelp.c, programs/winhelp/winhelp.h,
	  programs/winhelp/winhelp_res.h:
	winhelp: Added support for font scaling when using RichEdit.

	* programs/winhelp/hlpfile.c:
	winhelp: We can now get rid of the tests about a NULL rtfData block.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h:
	winhelp: Remove the internal data used for the old rendering.

	* programs/winhelp/string.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h:
	winhelp: Get rid of the old internal rendering.

2008-05-01  Dylan Smith <dylan.ah.smith@gmail.com>

	* dlls/riched20/editor.h:
	richedit: Updated editor.h to reflect the contents of source files.

2008-05-01  Hans Leidekker <hans@it.vu.nl>

	* dlls/usp10/tests/usp10.c, dlls/usp10/usp10.c:
	usp10: Fix a few failing tests and make them pass on Wine.

	* dlls/usp10/usp10.c:
	usp10: Remove redundant code from ScriptTextOut.

2008-05-01  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlimg.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added IDispatchEx support to HTMLImgElement.

	* dlls/mshtml/Makefile.in, dlls/mshtml/htmlelem.c, dlls/mshtml/htmlimg.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added IHTMLImgElement stub implementation.

2008-05-01  Rob Shearman <rob@codeweavers.com>

	* tools/widl/header.c, tools/widl/header.h, tools/widl/parser.y:
	widl: Consolidate writing of COM and dispatch interfaces into one function to
	remove duplicated code.
	Split up the writing into start and end to eventually support the style
	MIDL uses where it writes declared types, etc. between the start and end
	of the interface.
	Make internal header functions take the file pointer to print to.
	Don't write interface IDs for non-object interfaces and always write
	handle declarations even if the interface has no methods, like MIDL does.

2008-05-01  Paul Vriens <paul.vriens.wine@gmail.com>

	* programs/winecfg/Nl.rc:
	winecfg: Better alignment of text and combobox.

	* dlls/user32/tests/win.c:
	user32/tests: Run tests again on win95.

	* dlls/urlmon/tests/url.c:
	urlmon/tests: Fix timeout for tests on win9x.

2008-05-01  Eric Pouech <eric.pouech@orange.fr>

	* programs/winedbg/memory.c:
	winedbg: Added ability to print properly float/double values.

2008-05-01  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c:
	wined3d: We don't want double buffering in pbuffer mode.

	* dlls/wined3d/context.c:
	wined3d: In window mode (!pbuffer) we want both a window drawable format and
	double buffering.

	* dlls/wined3d/directx.c:
	wined3d: Fix typo in pixel format trace.

2008-05-01  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/window.c:
	winex11: Only unmap a window when explicitly hidden, not just when WS_VISIBLE
	is cleared.

	* dlls/winex11.drv/window.c:
	winex11: Ignore the specified owner if it's a zero-size window.
	Go back to not mapping zero-size windows.

	* dlls/winex11.drv/dib.c:
	winex11: Don't free the pixmap in X11DRV_DIB_CreateDIBFromPixmap since we
	don't own it.

	* dlls/Makefile.in, tools/make_makefiles:
	make_makefiles: Avoid duplicate rules for static import libs on PE builds.

	* configure, configure.ac, dlls/glu32/Makefile.in, dlls/opengl32/wgl.c:
	opengl32: Dynamically load libGLU.
	Based on a patch by Roderick Colenbrander.

	* dlls/msftedit/msftedit.spec, dlls/msftedit/msftedit_main.c:
	msftedit: Export a few more IIDs.

2008-04-30  Rico Schüller <kgbricola@web.de>

	* dlls/msftedit/Makefile.in, dlls/msftedit/msftedit.spec,
	  dlls/msftedit/msftedit_main.c, dlls/msftedit/version.rc:
	msftedit: Add DllGetVersion.

2008-05-01  Alexandre Julliard <julliard@winehq.org>

	* configure, configure.ac, dlls/opengl32/wgl.c, include/config.h.in:
	configure: Improve the check for the GLU library.

2008-05-01  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/kernel32/tests/toolhelp.c:
	kernel32/tests: Fix tests on win9x.

2008-04-30  Dan Hipschman <dsh@linux.ucla.edu>

	* dlls/gdi32/freetype.c:
	gdi32: Add font faces to families in a specific order.

2008-05-01  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/ime.c:
	winex11: Avoid printing traces without a \n.

2008-04-29  Guy Albertelli <galberte@neo.rr.com>

	* dlls/usp10/tests/usp10.c, dlls/usp10/usp10.c:
	usp10: Use passed hdc instead of cached one for ScriptTextOut with test to check.

2008-04-30  Lei Zhang <thestig@google.com>

	* dlls/userenv/tests/userenv.c:
	userenv: Add a test for variable inheritance for CreateEnvironmentBlock.

	* dlls/userenv/tests/userenv.c:
	userenv: Add more tests for environment variables for CreateEnvironmentBlock.

	* dlls/userenv/tests/userenv.c:
	userenv: Add tests for environment variables for CreateEnvironmentBlock.

2008-04-30  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* include/vfw.h:
	headers: Add some extra defines to vfw.h.

	* dlls/quartz/parser.c:
	quartz: Silence a fixme that isn't.

	* dlls/quartz/waveparser.c:
	quartz: Get rid of the sample holding code in the wave parser.

	* dlls/quartz/mpegsplit.c:
	quartz: Get rid of the sample holding code in the mpeg splitter.
	Instead just revert the position slightly, this is a lot easier to maintain.

	* dlls/quartz/pin.c:
	quartz: Clean up pullpin code.

	* dlls/quartz/filesource.c:
	quartz: More filesource fixes.
	After a flush call there should be no more samples in the buffer.

	* dlls/quartz/acmwrapper.c:
	Revert "quartz: Handle failures better in acmwrapper.".
	This reverts commit 1ba8ece76e1b87f43270edb1324c31b818e8162e.
	Code for holding sample doesn't make sense and shouldn't be there
	because it should really be handled by keeping track of the last
	successful position of a frame sent and aborting the whole processing
	as soon as rejection occurs.

2008-05-01  James Hawkins <jhawkins@codeweavers.com>

	* dlls/urlmon/tests/misc.c:
	urlmon: Fix a test that fails in win2k3.

	* dlls/user32/tests/sysparams.c:
	user32: Fix a test that fails in win2k3.

	* dlls/gdi32/tests/bitmap.c:
	gdi32: Remove a dependency on the amount of available memory.

2008-04-30  Rob Shearman <rob@codeweavers.com>

	* dlls/advapi32/cred.c:
	advapi32: Make sure not to return a credential with a NULL UserName field when
	a Mac Keychain doesn't have an account name attribute.

2008-04-30  Eric Pouech <eric.pouech@orange.fr>

	* dlls/dbghelp/dwarf.c, dlls/dbghelp/dwarf.h:
	dbghelp: Some cleanup in dwarf include files.

	* dlls/dbghelp/stabs.c:
	dbghelp: Revert commit ae1791b0b8d181e0d01f8db1cae4eba48edefbac and correctly
	fix what this patch was trying to do.

	* dlls/dbghelp/msc.c:
	dbghelp: Prevent debug overflow of internal buffer while tracing.

	* programs/winedbg/dbg.y, programs/winedbg/debugger.h,
	  programs/winedbg/source.c, programs/winedbg/winedbg.c:
	winedbg: Attach the source files to a given process, and unload them at
	process end.

	* programs/winedbg/gdbproxy.c:
	winedbg: Added implementation of qSupported request.

	* programs/winedbg/source.c:
	winedbg: Try harder to locate a source file.

	* include/wine/mscvpdb.h, tools/winedump/pdb.c:
	winedump: Added support for latest versions of Codeview (VC70).

	* tools/winedump/pdb.c:
	winedump: Print more meaningful information about module list.

2008-05-01  Alexandre Julliard <julliard@winehq.org>

	* include/wine/exception.h:
	exception.h: Preserve registers when calling RtlUnwind.

	* include/wine/exception.h:
	exception.h: Only push the exception frame after sigsetjmp.
	Otherwise on Windows longjmp may want to mess with the exception frame.

	* dlls/ntdll/exception.c, dlls/ntdll/ntdll.spec, include/wine/exception.h:
	ntdll: Make the exception handling functions inline.

	* dlls/winex11.drv/ime.c, dlls/winex11.drv/x11drv.h,
	  dlls/winex11.drv/x11drv_main.c:
	winex11: Register IME classes only when needed.

2008-04-30  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/user32/defwnd.c, dlls/user32/tests/msg.c:
	user32: Post the WM_KEY{DOWN|UP} message whenWM_IME_KEY{DOWN|UP} message is
	generated by IME.

2008-04-30  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/opengl32/opengl_ext.h, dlls/opengl32/wgl.c,
	  dlls/winex11.drv/opengl.c:
	opengl32: Get rid of X/GLX leftovers.

2008-04-30  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlstyle.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/tests/dom.c:
	mshtml: Added IDispatchEx support to HTMLStyle.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlcomment.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/tests/dom.c:
	mshtml: Added IDispatchEx support to HTMLCommentElement.

	* include/mshtml.idl:
	mshtml.idl: Added DispHTMLCommentElement declaration.

	* dlls/mshtml/tests/dom.c:
	mshtml: Added comment and childNodes test.

	* dlls/mshtml/Makefile.in, dlls/mshtml/htmlcomment.c,
	  dlls/mshtml/htmlnode.c, dlls/mshtml/mshtml_private.h:
	mshtml: Added IHTMLCommentElement stub implementation.

	* dlls/mshtml/htmlelem.c:
	mshtml: Handle COMMENT_NODE like ELEMENT_NODE in element collection.

	* dlls/mshtml/htmlelem.c, dlls/mshtml/htmlelem2.c:
	mshtml: Don't assume that nselem is valid in HTMLElement.

	* dlls/mshtml/htmlelem.c, dlls/mshtml/htmlinput.c,
	  dlls/mshtml/htmloption.c:
	mshtml: Moved IDispatchEx initialization to HTMLElement_Init.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlnode.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added IDispatchEx support to HTMLDOMChildrenCollection.

	* dlls/mshtml/htmlnode.c:
	mshtml: Added IHTMLDOMChildrenCollection::item implementation.

	* dlls/mshtml/htmlnode.c:
	mshtml: Added IHTMLDOMChildrenCollection::get_length implementation.

	* dlls/mshtml/htmlnode.c:
	mshtml: Added get_childNodes implementation.

2008-04-30  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c,
	  dlls/riched32/tests/editor.c:
	richedit: Add tests for EM_FINDTEXT in 1.0 emulation, make them pass under Wine.

2008-04-30  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/font.c, dlls/gdiplus/gdiplus.spec, include/gdiplusflat.h:
	gdiplus: Implemented GdipCreateFontFromDC.

2008-04-30  Rob Shearman <rob@codeweavers.com>

	* dlls/wininet/tests/urlcache.c:
	wininet: Add tests for GetUrlCacheEntryInfoExA.
	Factorise out bits of the other tests so that the code is cleaner and
	can be re-used.

	* dlls/wininet/urlcache.c:
	wininet: Don't crash in GetUrlCacheEntryInfoA/W if lpdwCacheEntryInfoBufferSize
	is NULL.

	* dlls/cryptdlg/cryptdlg.spec, dlls/cryptdlg/main.c:
	cryptdlg: Add stubs for CertTrustInit, CertTrustCertPolicy, CertTrustCleanup
	and CertTrustFinalPolicy.

	* tools/widl/header.c, tools/widl/header.h, tools/widl/parser.l,
	  tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Add the parsing of storage classes into declaration-specifiers.
	Support the static and register keywords.
	This consolidates externdef and constdef rules into one declaration rule.

	* tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Prepare for supporting storage classes in declaration statements.
	Return a decl_spec_t structure from decl_spec rules so that the storage
	class and type qualifiers can both be returned.

2008-04-30  Alexandre Julliard <julliard@winehq.org>

	* dlls/dxerr9/dxerr9.c:
	dxerr9: Don't use Wine debugging macros in static libraries.

	* dlls/dxerr8/dxerr8.c:
	dxerr8: Don't use Wine debugging macros in static libraries.

	* dlls/advapi32/tests/Makefile.in, dlls/amstream/Makefile.in,
	  dlls/atl/Makefile.in, dlls/avifil32/Makefile.in,
	  dlls/browseui/Makefile.in, dlls/browseui/tests/Makefile.in,
	  dlls/comcat/Makefile.in, dlls/comcat/tests/Makefile.in,
	  dlls/comdlg32/Makefile.in, dlls/d3d10/Makefile.in,
	  dlls/d3d8/Makefile.in, dlls/d3d8/tests/Makefile.in,
	  dlls/d3d9/Makefile.in, dlls/d3d9/tests/Makefile.in,
	  dlls/d3drm/tests/Makefile.in, dlls/d3dx8/Makefile.in,
	  dlls/d3dx8/tests/Makefile.in, dlls/d3dxof/Makefile.in,
	  dlls/ddraw/Makefile.in, dlls/ddraw/tests/Makefile.in,
	  dlls/ddrawex/Makefile.in, dlls/devenum/Makefile.in,
	  dlls/dinput/Makefile.in, dlls/dinput/tests/Makefile.in,
	  dlls/dinput8/Makefile.in, dlls/dmband/Makefile.in,
	  dlls/dmcompos/Makefile.in, dlls/dmime/Makefile.in,
	  dlls/dmloader/Makefile.in, dlls/dmscript/Makefile.in,
	  dlls/dmstyle/Makefile.in, dlls/dmsynth/Makefile.in,
	  dlls/dmusic/Makefile.in, dlls/dmusic32/Makefile.in,
	  dlls/dplayx/Makefile.in, dlls/dplayx/tests/Makefile.in,
	  dlls/dpnet/Makefile.in, dlls/dsound/Makefile.in,
	  dlls/dsound/tests/Makefile.in, dlls/dswave/Makefile.in,
	  dlls/dxdiagn/Makefile.in, dlls/gdiplus/Makefile.in,
	  dlls/hhctrl.ocx/Makefile.in, dlls/hlink/Makefile.in,
	  dlls/hlink/tests/Makefile.in, dlls/inetcomm/Makefile.in,
	  dlls/inetcomm/tests/Makefile.in, dlls/infosoft/Makefile.in,
	  dlls/inseng/Makefile.in, dlls/itss/Makefile.in,
	  dlls/itss/tests/Makefile.in, dlls/jscript/tests/Makefile.in,
	  dlls/mapi32/Makefile.in, dlls/mapi32/tests/Makefile.in,
	  dlls/mlang/Makefile.in, dlls/mlang/tests/Makefile.in,
	  dlls/mountmgr.sys/Makefile.in, dlls/mscoree/Makefile.in,
	  dlls/msdmo/Makefile.in, dlls/msftedit/Makefile.in,
	  dlls/mshtml/Makefile.in, dlls/mshtml/tests/Makefile.in,
	  dlls/msi/Makefile.in, dlls/msi/tests/Makefile.in,
	  dlls/msimtf/Makefile.in, dlls/msisys.ocx/Makefile.in,
	  dlls/msxml3/Makefile.in, dlls/msxml3/tests/Makefile.in,
	  dlls/objsel/Makefile.in, dlls/odbccp32/Makefile.in,
	  dlls/ole32/Makefile.in, dlls/ole32/tests/Makefile.in,
	  dlls/oleaut32/Makefile.in, dlls/oleaut32/tests/Makefile.in,
	  dlls/pstorec/Makefile.in, dlls/qcap/Makefile.in,
	  dlls/qedit/Makefile.in, dlls/qedit/tests/Makefile.in,
	  dlls/qmgr/Makefile.in, dlls/quartz/Makefile.in,
	  dlls/quartz/tests/Makefile.in, dlls/query/Makefile.in,
	  dlls/riched20/Makefile.in, dlls/rpcrt4/Makefile.in,
	  dlls/rpcrt4/tests/Makefile.in, dlls/setupapi/Makefile.in,
	  dlls/shdocvw/Makefile.in, dlls/shdocvw/tests/Makefile.in,
	  dlls/shell32/Makefile.in, dlls/shell32/tests/Makefile.in,
	  dlls/shlwapi/Makefile.in, dlls/shlwapi/tests/Makefile.in,
	  dlls/urlmon/Makefile.in, dlls/urlmon/tests/Makefile.in,
	  dlls/winealsa.drv/Makefile.in, dlls/wineaudioio.drv/Makefile.in,
	  dlls/winecoreaudio.drv/Makefile.in, dlls/wined3d/Makefile.in,
	  dlls/wineesd.drv/Makefile.in, dlls/winejack.drv/Makefile.in,
	  dlls/winenas.drv/Makefile.in, dlls/wineoss.drv/Makefile.in,
	  programs/oleview/Makefile.in, programs/wineboot/Makefile.in,
	  programs/winecfg/Makefile.in, programs/winefile/Makefile.in,
	  programs/winemenubuilder/Makefile.in:
	makefiles: List the static libraries as normal imports instead of extra libs.

2008-04-29  Petr Sumbera <petr.sumbera@sun.com>

	* configure, configure.ac, include/config.h.in, include/wine/port.h,
	  libs/port/Makefile.in, libs/port/isinf.c:
	port: Add alternative for isinf.

2008-04-30  James Hawkins <jhawkins@codeweavers.com>

	* dlls/msi/action.c, dlls/msi/files.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h, include/msidefs.h:
	msi: Add initial implementation of MsiPublishAssemblies.

2008-04-30  Jacek Caban <jacek@codeweavers.com>

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLStyle declaration.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLImg implementation.

2008-04-30  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/opengl32/tests/opengl.c:
	opengl32: Drop the ChoosePixelFormat test as it is very unreliable.

2008-04-30  Eric Pouech <eric.pouech@orange.fr>

	* dlls/capi2032/cap20wxx.c, dlls/dmstyle/regsvr.c,
	  dlls/gphoto2.ds/ds_image.c, dlls/msxml3/domimpl.c,
	  dlls/winex11.drv/ime.c:
	janitorial: Prototype func() should be func(void).

	* dlls/msvcr71/msvcr71.spec, dlls/msvcrt/msvcrt.spec:
	msvcrt: Added __iob_func implementation.

	* programs/winhelp/hlpfile.c:
	winhelp: Added support for transparent bitmaps.

	* programs/winhelp/hlpfile.c:
	winhelp: Generate the proper RTF data for a table formatting.

2008-04-30  Alexandre Julliard <julliard@winehq.org>

	* dlls/itss/itss.c:
	itss: Fix function prototype now that widl does the right thing with const.

2008-04-29  Lei Zhang <thestig@google.com>

	* dlls/userenv/Makefile.in, dlls/userenv/tests/userenv.c,
	  dlls/userenv/userenv_main.c:
	userenv: Initial implementation of CreateEnvironmentBlock.

	* .gitignore, Makefile.in, configure, configure.ac, dlls/Makefile.in,
	  dlls/userenv/Makefile.in, dlls/userenv/tests/Makefile.in,
	  dlls/userenv/tests/userenv.c, programs/winetest/Makefile.in,
	  programs/winetest/winetest.rc:
	userenv: Add initial tests for CreateEnvironmentBlock.

2008-04-29  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.l:
	widl: callback, code, comm_status and in_line are attribute names, not keywords.

	* tools/widl/parser.y:
	widl: Allow pointer attributes to be applied to function pointers.

	* tools/widl/parser.y:
	widl: Make constdef and externdef take a declarator instead of an ident so
	that functions and arrays can be defined using the statements.

	* tools/widl/header.c, tools/widl/parser.l, tools/widl/parser.y,
	  tools/widl/widltypes.h:
	widl: Add support for "inline" on function definitions.
	Fix applying calling convention to function type.

	* tools/widl/header.c, tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Keep const attributes applied to pointers when writing out the type.
	Use an attribute to store the const qualifier for the pointer and type.
	Allow multiple type-qualifiers to be applied to a type by adding a
	declaration-specifier rule that encompasses type-qualifiers and types.

2008-04-29  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/winex11.drv/opengl.c, include/wine/wgl.h:
	wgl: We were already advertising GL_EXT_framebuffer_sRGB but not the
	corresponding WGL_FRAMEBUFFER_SRGB_CAPABLE_EXT.

2008-04-30  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec, include/gdiplusflat.h:
	gdiplus: Implemented GdipSetPathGradientCenterPointI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipMultiplyWorldTransform.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/matrix.c, include/gdiplusflat.h:
	gdiplus: Implemented GdipIsMatrixIdentity.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/matrix.c, include/gdiplusflat.h:
	gdiplus: Implemented GdipIsMatrixEqual.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c:
	gdiplus: Implemented GdipGetPathWorldBoundsI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipGetPathPointsI.

2008-04-29  Austin English <austinenglish@gmail.com>

	* dlls/shell32/xdg.c:
	shell32: Fix a typo.

2008-04-30  Hwang YunSong(황윤성) <hys545@dreamwiz.com>

	* programs/start/Ko.rc:
	start: Updated Korean resource.

2008-04-29  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/advapi32/advapi.c:
	advapi32: Use correct function pointer cast.

	* dlls/wined3d/arb_program_shader.c, dlls/wined3d/device.c,
	  dlls/wined3d/drawprim.c, dlls/wined3d/surface.c:
	wined3d: Remove unused variables.

	* dlls/uxtheme/draw.c:
	uxtheme: Remove unused variable.

	* dlls/user32/caret.c, dlls/user32/cursoricon.c, dlls/user32/dde_server.c,
	  dlls/user32/edit.c, dlls/user32/menu.c, dlls/user32/message.c,
	  dlls/user32/user16.c, dlls/user32/winpos.c:
	user32: Remove unused variables.

2008-04-29  Markus Weiland <kde@graph-ix.net>

	* dlls/dxdiagn/provider.c:
	dxdiagn: Implemented ullPhysicalMemory property for DXDiagSystemInfoContainer.

2008-04-28  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c, dlls/wined3d/directx.c,
	  dlls/wined3d/wined3d_private.h, include/wine/wined3d_gl.h:
	wined3d: Add multisampling support.

2008-04-30  Dmitry Timoshkov <dmitry@codeweavers.com>

	* programs/winecfg/Bg.rc, programs/winecfg/Cs.rc, programs/winecfg/De.rc,
	  programs/winecfg/En.rc, programs/winecfg/Es.rc,
	  programs/winecfg/Fi.rc, programs/winecfg/Fr.rc,
	  programs/winecfg/Hu.rc, programs/winecfg/It.rc,
	  programs/winecfg/Ja.rc, programs/winecfg/Ko.rc,
	  programs/winecfg/Nl.rc, programs/winecfg/No.rc,
	  programs/winecfg/Pl.rc, programs/winecfg/Pt.rc,
	  programs/winecfg/Ro.rc, programs/winecfg/Ru.rc,
	  programs/winecfg/Si.rc, programs/winecfg/Sv.rc,
	  programs/winecfg/Tr.rc, programs/winecfg/Zh.rc,
	  programs/winecfg/resource.h, programs/winecfg/x11drvdlg.c:
	winecfg: Add a font size preview, update all language resources to reflect
	this change.

2008-04-29  Elias Benali <elptr@users.sourceforge.net>

	* programs/winhelp/winhelp.c:
	winhelp: Check against a NULL pointer dereference.

2008-04-28  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c,
	  dlls/riched32/tests/editor.c:
	richedit: On failure to parse incoming text as RTF, EM_STREAMIN must set
	dwError to -16.

2008-04-29  Alexandre Julliard <julliard@winehq.org>

	* loader/pthread.c:
	loader: Add stub versions of the pthread functions.

	* dlls/advapi32/service.c, dlls/crypt32/msg.c, dlls/crypt32/serialize.c,
	  dlls/msi/custom.c, dlls/ole32/moniker.c, dlls/oleaut32/tmarshal.c,
	  dlls/rpcrt4/cstub.c, dlls/wintrust/asn.c,
	  programs/winedbg/tgt_minidump.c:
	Include wine/port.h everywhere we use exceptions.

	* dlls/msvcrt/file.c, dlls/msvcrt/msvcrt.spec:
	msvcrt: Rename a few functions to avoid conflicts with Windows headers.

	* dlls/gdiplus/gdiplus.spec:
	gdiplus: Fix the GdipFillRectangles spec entries.

	* dlls/ws2_32/tests/sock.c:
	ws2_32/tests: Fix the gethostname prototype.

	* dlls/ws2_32/protocol.c:
	ws2_32: Don't name a parameter errno.

	* dlls/winex11.drv/opengl.c:
	winex11: Fix debug trace using the removed opengl channel.

2008-04-29  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/comment.c, dlls/msxml3/tests/domdoc.c:
	msxml3: Implement IXMLDOMComment insertData.

	* dlls/msxml3/domdoc.c:
	msxml3: Implement IObjectSafety for IXMLDOMDocument2.

	* dlls/msxml3/main.c, dlls/msxml3/msxml_private.h, dlls/msxml3/node.c:
	msxml3: Implement IDispatch for IXMLDOMNode.

2008-04-28  Lei Zhang <thestig@google.com>

	* dlls/winmm/winmm.c:
	winmm: Do not unload drivers when the process is terminating.

2008-04-27  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/wrap.c:
	richedit: Paragraph may have multiple rows, which should possibly update nHeight.
	Otherwise, a paragraph with multiple rows might fail to make the
	scrollbar appear when displaying text.

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c:
	richedit: Private movement of cursors in text insertion should not cause
	WM_NOTIFY to be sent.
	As text is inserted, the cursor is moved to the end, and then back to
	offset 0. A reordering of operations prevents a WM_NOTIFY from being
	sent on cursor being moved to the end, and another by being moved
	back to the beginning. If the cursor was not at offset 0, then
	exactly one WM_NOTIFY must be sent, for the movement from previous
	position to the beginning.  With tests to prove this change and the
	previous one (modify flag should be off on WM_SETTEXT-caused
	WM_NOTIFY).

	* dlls/riched20/editor.c:
	richedit: WM_SETTEXT - Clear modify step flag before any notifications can
	be sent.
	Otherwise the app-defined WM_NOTIFY callback might see the modify flag
	set, even though WM_SETTEXT is supposed to clear it.

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c:
	richedit: Fix modify step setting in EM_SETCHARFORMAT.
	EM_SETCHARFORMAT with wParam==0 sets default char format and does NOT set
	modify step flag.
	EM_SETCHARFORMAT with wParam==SCF_SELECTION only sets modify step flag when
	selection is nonempty.
	EM_GETMODIFY returns -1, not 1, when modify flag is set.
	Tests for the above behavior.

	* dlls/riched20/caret.c, dlls/riched20/editor.c, dlls/riched20/editstr.h:
	richedit: Only notify selection change when selection has actually changed
	from previous notification.
	Otherwise, redundant and early notifications are sent to apps that do not
	expect them. Fixes crash #1 with Perfect! TextEdit.

	* dlls/riched20/editor.c, dlls/riched32/tests/editor.c:
	richedit: Implement rule that in 1.0 emulation, a single CR that terminates
	the text is NOT a line break.
	Fix riched32 test that now succeed.

2008-04-26  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/caret.c, dlls/riched20/editor.c, dlls/riched20/reader.c,
	  dlls/riched32/tests/editor.c:
	richedit: Flip the big switch and encode actual CR and LF into end-of-paragraph
	runs.
	Document remaining uses of bEmulateVersion10 and other checks for CRLF in
	editor.c.
	Make RTF reader emit a \r or a \r\n according to emulation, not a \n, which
	breaks streaming tests.
	Remove todo_wine from a bunch of riched32 tests that now succeed.

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c,
	  dlls/riched32/tests/editor.c:
	richedit: Remove indication for bCRLF, now that ME_GetTextW() knows how to
	honor CR and LF counters.
	EM_GETTEXTRANGE and EM_GETSELTEXT are affected by this, so include tests to
	ensure no behavior was broken.

	* dlls/riched20/caret.c, dlls/riched20/editor.c:
	richedit: Modify ME_GetTextW() to honor CR and LF encodings.
	ME_GetTextLengthEx should ignore GTL_USECRLF in 1.0 emulation mode.

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c,
	  dlls/riched32/tests/editor.c:
	richedit: EM_LINELENGTH: honor CR and LF counters.
	Add fixup to ME_FindItemAtOffset(), fixes crash by null-pointer access.
	Add tests for EM_LINELENGTH.

	* dlls/riched20/editor.c, dlls/riched32/tests/editor.c:
	richedit: EM_GETLINE: honor CR and LF counters.
	Add richedit 1.0 tests for EM_GETLINE.

	* dlls/riched20/caret.c:
	richedit: Remove reliance on bEmulateVersion10 for end-of-line handling in
	ME_InternalDeleteText.

	* dlls/riched20/editor.c, dlls/riched20/para.c, dlls/riched20/run.c,
	  dlls/riched20/tests/editor.c, dlls/riched20/writer.c,
	  dlls/riched32/tests/editor.c:
	richedit: Fixups to move over to reliance on CR and LF counters.
	Text streamout now honors CR and LF counters.
	Tests to pin down required EM_STREAMOUT behavior.

	* dlls/riched20/caret.c, dlls/riched20/editor.h, dlls/riched20/editstr.h,
	  dlls/riched20/list.c, dlls/riched20/para.c, dlls/riched20/undo.c:
	richedit: Add support for encoding number of CR and LF contained within a
	line break.

2008-04-28  Aric Stewart <aric@codeweavers.com>

	* dlls/hlink/extserv.c, include/hlguids.h, include/hlink.idl:
	hlink: Implement IExtensionServices.

2008-04-23  Jeremy White <jwhite@codeweavers.com>

	* dlls/gdi32/freetype.c:
	gdi32: Shift default height used in EnumStructs to the standard em size of 2048.
	As pointed out by Dmitry Timoshkov.

2008-04-29  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/winex11.drv/ime.c, dlls/winex11.drv/x11drv.h,
	  dlls/winex11.drv/xim.c:
	winex11: Allow XIM server to be started after Wine.

2008-04-28  Tijl Coosemans <tijl@ulyssis.org>

	* dlls/hhctrl.ocx/hhctrl.c:
	hhctrl: Fix NULL pointer dereference in some failure cases.

2008-04-29  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec, include/gdiplusflat.h:
	gdiplus: Implemented GdipGetPathGradientCenterPointI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipGetDpiX/GdipGetDpiY.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipFillRectangles/GdipFillRectanglesI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipFillEllipse/GdipFillEllipseI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipDrawImagePointsRectI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipDrawImage.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c:
	gdiplus: Implemented GdipDrawCurve/GdipDrawCurveI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c:
	gdiplus: Implemented GdipDrawCurve2I.

2008-04-28  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c:
	wined3d: Fix a few small bugs in WineD3D_ChoosePixelFormat.

2008-04-29  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/tests/bitmap.c:
	gdi32: Make the bitmap test pass under Windows 2000.

	* dlls/gdi32/enhmetafile.c:
	gdi32: info->state.next is always NULL, there is no need to save/restore it.

2008-04-29  Alexandre Julliard <julliard@winehq.org>

	* documentation/PACKAGING:
	documentation: Remove PACKAGING, this is maintained on the wiki now.

	* dlls/winex11.drv/window.c, dlls/winex11.drv/x11drv.h:
	winex11: Don't put window manager decorations on shaped windows.

2008-04-28  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/pin.c:
	quartz: Some state changes fixes.

	* dlls/quartz/acmwrapper.c:
	quartz: Handle failures better in acmwrapper.

	* dlls/quartz/videorenderer.c:
	quartz: Keep track of the time in the video renderer.

	* dlls/quartz/memallocator.c, dlls/quartz/tests/memallocator.c:
	quartz: Fix bug in memallocator with test.

2008-04-29  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/htmloption.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/tests/dom.c:
	mshtml: Added IDispatchEx support to HTMLOptionElement.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlinput.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added IDispatchEx support to HTMLInputElement.

	* dlls/mshtml/htmlelem.c:
	mshtml: Added indexed access to HTMLElementCollection object support.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmldoc.c, dlls/mshtml/htmlelem.c,
	  dlls/mshtml/htmltextnode.c, dlls/mshtml/htmlwindow.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/omnavigator.c:
	mshtml: Added support for custom DISPIDs.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml: Added IHTMLCommentElement declaration.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLOptionElement declaration.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added IHTMLDOMChildrenCollection and DispDOMChildrenCollection
	declaration.

2008-04-28  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/shlwapi/ordinal.c, dlls/shlwapi/reg.c, dlls/shlwapi/url.c:
	shlwapi: Remove unused variables.

2008-04-28  Tijl Coosemans <tijl@ulyssis.org>

	* dlls/hhctrl.ocx/hhctrl.c:
	hhctrl.ocx: Plug memory leak.

2008-04-28  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/winhelp.c:
	winhelp: Make richedit the default for rendering.

	* dlls/msvcrt/tests/cpp.c, dlls/msvcrt/undname.c:
	msvcrt: Fixed space in type with double indirection.
	Spotted by James Hawkins.

	* dlls/msvcrt/tests/cpp.c, dlls/msvcrt/undname.c:
	msvcrt: undname: correctly handle multi-dimensional arrays.
	Based on a patch from Ulrich Küttler.

	* dlls/msvcrt/tests/cpp.c, dlls/msvcrt/undname.c:
	msvcrt: Fixed symbol unmangling for template-parameter-?? form, as well as test.
	Spotted by James Hawkins.

2008-04-28  Rob Shearman <rob@codeweavers.com>

	* dlls/ole32/tests/moniker.c, programs/rpcss/irotp.c:
	rpcss: When registering a moniker that is already registered in the ROT another
	ROT entry should still be created and a distinct cookie returned.

	* dlls/ole32/compobj.c, dlls/ole32/compobj_private.h,
	  dlls/ole32/marshal.c, dlls/ole32/stubmanager.c,
	  dlls/ole32/tests/moniker.c:
	ole32: Keep track of the number of weak references to an object.
	This is so that an object will only be released when a weak-reference is
	used after the last weak reference has been released (either by
	CoReleaseMarshalData or CoUnmarshalInterface + Release).

	* dlls/ole32/tests/marshal.c:
	ole32: Add a test for marshaling an object as table-weak and as normal and
	then unmarshaling and testing that the object is released on the final release.

	* dlls/ole32/tests/moniker.c:
	ole32: Add tests for registering a moniker more than once in the ROT and then
	using it.

2008-04-28  Lei Zhang <thestig@google.com>

	* dlls/advapi32/crypt.c:
	advapi32: Replace UuidToStringW call with a sprintfW.

2008-04-28  Hwang YunSong(황윤성) <hys545@dreamwiz.com>

	* programs/winhelp/Ko.rc:
	winhelp: Updated Korean resource.

	* programs/reg/Ko.rc:
	reg: Updated Korean resource.

2008-04-28  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linux.c:
	dinput: Fix typo.

2008-04-28  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/Makefile.in, dlls/winex11.drv/clipping.c,
	  dlls/winex11.drv/graphics.c:
	winex11: Merge the contents of clipping.c into graphics.c.

2008-04-27  Michael Stefaniuc <mstefani@redhat.de>

	* programs/winecfg/driveui.c:
	winecfg: Transform the set_advanced() driveui function to unicode.

2008-04-25  James Hawkins <jhawkins@codeweavers.com>

	* dlls/user32/tests/msg.c:
	user32: Fix a test that fails on platforms without IME.

2008-04-20  Jens Albretsen <jens@albretsen.dk>

	* dlls/ddraw/direct3d.c:
	ddraw: Fixed device name.

2008-04-28  Kai Blin <kai.blin@gmail.com>

	* dlls/ws2_32/socket.c, dlls/ws2_32/tests/sock.c:
	ws2_32: Handle gethostbyname call failure, add tests.

2008-04-28  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/htmlinput.c, dlls/mshtml/tests/dom.c:
	mshtml: Added IHTMLInputElement::get_disabled implementation.

	* dlls/mshtml/htmlstyle.c:
	mshtml: Added put_backgroundImage implementation.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLInputElement declaration.

2008-04-27  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linux.c:
	dinput: Fix default axes mapping generation.

2008-04-27  Rob Shearman <rob@codeweavers.com>

	* dlls/ole32/moniker.c:
	ole32: Fix two comments about the running object table.

2008-04-27  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/comctl32/comboex.c, dlls/comctl32/trackbar.c,
	  dlls/comctl32/treeview.c:
	comctl32: Dangling pointers fix.

2008-04-28  Jeff Zaroyko <jeffz@jeffz.name>

	* tools/wine.inf.in:
	wine.inf: Use lowercase for some drivers32 entries and remove trailing
	whitespace.

2008-04-27  Jeff Zaroyko <jeffz@jeffz.name>

	* dlls/msacm32.drv/wavemap.c:
	msacm32.drv: Increase the reported vDriverVersion.

2008-04-27  David Adam <david.adam.cnrs@gmail.com>

	* dlls/amstream/main.c, dlls/amstream/regsvr.c:
	amstream: Register CLSID_AMDirectDrawStream.

	* dlls/amstream/mediastream.c:
	amstream: Fix the condition of existence of the IMediaStream interface.

2008-04-26  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/domdoc.c:
	msxml3: Added IObjectWithSite support in IXMLDOMDocument2.

2008-04-26  Bryan DeGrendel <sirnuke@gmail.com>

	* dlls/winex11.drv/systray.c:
	winex11: Rudimentary drawing support for display balloon tool tips in systray.

2008-04-26  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/imm32/imm.c:
	imm32: Updated implementation of the Imm{Get|Set}CompositionFont{A|W}.

	* dlls/imm32/imm.c:
	imm32: Implementation of the Imm{Get|Set}StatusWindowPos.

	* dlls/imm32/imm.c:
	imm32: Implementation of the Imm{Get|Set}CandidateWindow.

	* dlls/user32/message.c:
	user32: Set the vkey value to VK_PROCESSKEY when IME process key.

	* dlls/imm32/imm.c, include/ddk/imm.h:
	imm32: Add the updated ImmTranslateMessage declaration.

2008-04-25  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/enhmfdrv/init.c:
	gdi32: Add SetPixel to the EMF DC functions.

2008-04-26  Guy Albertelli <galberte@neo.rr.com>

	* dlls/comctl32/listview.c, dlls/comctl32/tests/listview.c:
	listview: Correct return value from LVM_GETORIGIN including tests for this.
	Tests to validate return value of the LVM_GETORIGIN message and fix our
	implementation.

	* dlls/comctl32/listview.c:
	listview: Implement 2 pixel decoration at top of report style with grid lines.
	The native control has a 2 pixel header. This implements that background pixel
	line and the gridline below it.

	* dlls/comctl32/listview.c:
	listview: Implement LVS_EX_GRIDLINES functionality.
	Implement basic LVS_EX_GRIDLINES functionality including support for no items.

2008-04-25  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/acmwrapper.c:
	quartz: Fix acmwrapper time regression.

	* dlls/quartz/avisplit.c, dlls/quartz/mpegsplit.c, dlls/quartz/parser.c,
	  dlls/quartz/parser.h, dlls/quartz/pin.c, dlls/quartz/pin.h,
	  dlls/quartz/waveparser.c:
	quartz: Add a function that can be called when stopping processing data.

	* dlls/quartz/parser.h:
	quartz: Make dwSamplesProcessed a longlong.

	* dlls/quartz/filesource.c:
	quartz: Optimize the file source to do its job better.

	* dlls/quartz/dsoundrender.c, dlls/quartz/enumpins.c,
	  dlls/quartz/filesource.c, dlls/quartz/nullrenderer.c,
	  dlls/quartz/parser.c, dlls/quartz/parser.h,
	  dlls/quartz/quartz_private.h, dlls/quartz/transform.c,
	  dlls/quartz/videorenderer.c:
	quartz: Make the EnumPins interface dynamic.
	Take a reference to the ibasefilter and request it for the pins and a
	cookie. This seems to be the easiest way to ensure correctness.

	* dlls/quartz/acmwrapper.c:
	quartz: Fix time discontinuities in the acm wrapper.

	* dlls/quartz/pin.c, dlls/quartz/tests/videorenderer.c:
	quartz: NotifyAllocator does not like a null argument.

2008-04-23  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/avisplit.c, dlls/quartz/mpegsplit.c, dlls/quartz/parser.c,
	  dlls/quartz/parser.h, dlls/quartz/waveparser.c:
	quartz: Add a vtable argument to Parser_Create that individual filters can
	override.

2008-04-25  Kirill K. Smirnov <lich@math.spbu.ru>

	* programs/winhelp/hlpfile.c:
	winhelp: Fix possible copy/paste error.

	* programs/winhelp/hlpfile.c:
	winhelp: Shift by 6 not 4 in case of old 3.0 file.
	This necessary piece of code was lost. Restore it.

	* programs/winhelp/hlpfile.c:
	winhelp: We can reference any page in HLPFILE_BrowsePage(). Perform similar
	change in HLPFILE_DoReadHlpFile() for the symmetry.

2008-04-27  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.l:
	widl: Accept integer constant suffixes in the lexer.

2008-04-26  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.l:
	widl: Support hex digits that use an uppercase 0X prefix.

	* tools/widl/parser.y, tools/widl/typelib.c, tools/widl/write_msft.c:
	widl: Add typedefs to typelibs which have the public or uuid attributes,
	not any other attribute.

2008-04-28  Dmitry Timoshkov <dmitry@codeweavers.com>

	* programs/winecfg/Ru.rc:
	winecfg: Update Russian translation.

2008-04-28  Rob Shearman <rob@codeweavers.com>

	* dlls/rpcrt4/ndr_marshall.c:
	rpcrt4: Use safe_copy_from_buffer instead of direct memory copy in
	NdrBaseTypeUnmarshall.
	This makes the code check that the buffer is big enough to read from
	before copying the data from it. The safe_buffer_increment call is still
	needed for the case where we point the memory to the buffer, so move the
	call there.

2008-04-28  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/enhmetafile.c, dlls/gdi32/tests/metafile.c:
	gdi32: Save/restore internal EMF playing state on EMR_SAVEDC/EMR_RESTOREDC,
	add a test for this.

	* dlls/gdi32/dc.c:
	gdi32: Do not reselect objects while recording a metafile, that's done at the
	playing time.

2008-04-26  Eric Pouech <eric.pouech@orange.fr>

	* programs/wordpad/wordpad.c:
	wordpad: Open the filename passed on command line if any.

2008-04-26  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/user32/tests/input.c, dlls/winex11.drv/keyboard.c:
	winex11: Fix MapVirtualKeyEx to properly map left-right modifier keys.

	* dlls/winex11.drv/keyboard.c:
	winex11: Use constants instead of magic numbers in GetKeyNameText.

	* dlls/winex11.drv/keyboard.c:
	winex11: Fix GetKeyNameText for Right Shift.

	* dlls/dinput/keyboard.c:
	dinput: Explicitly set extended key flag for Right Shift.

2008-04-26  Lionel Debroux <lionel_debroux@yahoo.fr>

	* dlls/dinput/tests/joystick.c:
	dinput: joystick test: Improve reporting when enumerated axes/buttons/POVs
	don't match capabilities.

2008-04-27  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/context.c:
	wined3d: Also use WineD3D_ChoosePixelFormat for pbuffers.

	* dlls/wined3d/context.c:
	wined3d: Let WineD3D_ChoosePixelFormat operate on the pixel format database
	we store at WineD3D startup.

	* dlls/wined3d/directx.c, dlls/wined3d/wined3d_private.h:
	wined3d: Store more information about pixel formats. This is needed for some
	WineD3D_ChoosePixelFormat restructuring.

	* dlls/wined3d/context.c:
	wined3d: Split WGL pixel format selection code off from CreateContext.

2008-04-26  James Hawkins <jhawkins@codeweavers.com>

	* dlls/schannel/tests/main.c:
	schannel: Fix a test that fails in win2k3.

2008-04-25  James Hawkins <jhawkins@codeweavers.com>

	* dlls/ddraw/tests/visual.c:
	ddraw: Remove a test that fails in VMs.

	* dlls/d3d9/tests/device.c:
	d3d9: Fix a few test failures in win2k3.

	* dlls/cabinet/fdi.c, dlls/cabinet/tests/fdi.c:
	cabinet: Revert "cabinet: Fix for FDICopy with an empty cabinet file.".
	This reverts commit 33e561f53cc510c6b5be3b4f1f3d2fbf8aa7486c.
	Fixed the test that fails on all platforms.

	* dlls/msi/tests/install.c:
	msi: Remove a debugging call.

2008-04-26  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/winex11.drv/xim.c:
	winex11: Remove unnecessary #include.

	* dlls/winex11.drv/ime.c:
	winex11: hCompStr should never be NULL because Wine expects it is not NULL.

2008-04-25  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec:
	gdiplus: Implemented GdipCreateLineBrushFromRect.

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec:
	gdiplus: Implemented GdipCreatePathGradientI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c:
	gdiplus: Implemented GdipAddPathEllipseI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipAddPathBeziersI.

2008-04-21  Matthias Derer <webmaster@tonstube.de>

	* dlls/winejack.drv/audio.c:
	winejack: Re-added line which has been accidently deleted.

2008-04-25  Alexander Morozov <amorozov@etersoft.ru>

	* dlls/ntoskrnl.exe/ntoskrnl.c, dlls/ntoskrnl.exe/ntoskrnl.exe.spec:
	ntoskrnl.exe: Change calling conventions for Interlocked* functions.

2008-04-25  Dmitry Timoshkov <dmitry@codeweavers.com>

	* fonts/tahomabd.sfd, fonts/tahomabd.ttf:
	fonts: Change encoding of tahomabd.sfd to unicode.

2008-04-25  Alexandre Julliard <julliard@winehq.org>

	* dlls/shell32/shellpath.c:
	shell32: Avoid traces that use size_t.

	* dlls/winex11.drv/wintab.c:
	winex11: Check if IsXExtensionPointer is defined before using it.

2008-04-24  Vitaly Perov <vitperov@etersoft.ru>

	* dlls/cabinet/fdi.c, dlls/cabinet/tests/fdi.c:
	cabinet: Fix for FDICopy with an empty cabinet file.

	* dlls/cabinet/tests/fdi.c:
	cabinet: Added a test for FDICopy with an empty cabinet file.

2008-04-24  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linux.c:
	dinput: Limit number of supported axis and buttons.

2008-04-25  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/imm32/imm.c:
	imm32: Fix typos.

	* dlls/winex11.drv/ime.c:
	winex11: Destroy the handle to the composition string after it is cancelled.

2008-04-24  Lei Zhang <thestig@google.com>

	* dlls/user32/edit.c:
	user32: Edit controls should ignore WM_KEYDOWN on control + enter.

2008-04-24  James Hawkins <jhawkins@codeweavers.com>

	* dlls/kernel32/tests/sync.c:
	kernel32: Fix a test that fails in win2k3.

	* dlls/ddraw/tests/dsurface.c:
	ddraw: Fix tests that fail with the reference rasterizer.

2008-04-24  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/node.c, dlls/msxml3/tests/domdoc.c:
	msxml3: Corrected transformNode.

2008-04-25  Jeff Zaroyko <jeffz@jeffz.name>

	* dlls/msadp32.acm/msadp32.c:
	msadp32.acm: Use the same szShortName value as windows.

2008-04-25  Alexandre Julliard <julliard@winehq.org>

	* programs/winecfg/x11drvdlg.c:
	winecfg: Allow to configure the desktop separately for each application.

	* programs/winecfg/winecfg.c, programs/winecfg/winecfg.h:
	winecfg: Add a couple of Unicode helper functions.

2008-04-25  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/imm32/imm.c:
	imm32: Fix a typo.

	* dlls/imm32/imm.c:
	imm32: ImmGetVirtualKey return orignal virtual key value.

	* dlls/imm32/imm.c:
	imm32: Reconstruct the ImmProcessKey, ImmTranslateMessage for the VK_PROCESSKEY.

2008-04-25  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/window.c:
	winex11: Don't force tool windows to unmanaged mode.
	The detection algorithm should be good enough for that case now.

2008-04-25  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.y:
	widl: Move the func_declarator rule entirely into direct_declarator.

	* tools/widl/header.c, tools/widl/header.h, tools/widl/parser.l,
	  tools/widl/parser.y:
	widl: Create a statement object for import statements.
	Move the writing of include directives into the generated header into
	header.c.

	* tools/widl/expr.c, tools/widl/parser.l, tools/widl/parser.y,
	  tools/widl/widltypes.h, tools/widl/write_msft.c:
	widl: Add support for string literals and wide-string literals in expressions.

	* tools/widl/parser.y:
	widl: Add support for declaring multiple fields of a structure in one statement.

	* tools/widl/parser.y:
	widl: Make the rules for parsing fields in structures, encapsulated unions
	and non-encapsulated unions more strict.
	Move the rules in fields that handle empty union cases into separate
	union rules so that they can't erroneously be accepted for structures or
	other types of unions.

	* tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Rename pident to declarator and parse the array declarations as part
	of declarators.
	This allows arrays to be used in typedefs and const statements.

	* tools/widl/parser.y:
	widl: Consolidate most of the inner loop of reg_typedefs into set_type.

2008-04-25  Alexandre Julliard <julliard@winehq.org>

	* dlls/oleaut32/tests/tmarshal.rc, dlls/oleaut32/tests/typelib.c:
	oleaut32/tests: Store the test typelib in resources instead of depending on
	an external file.

2008-04-24  Eric Pouech <eric.pouech@orange.fr>

	* dlls/riched20/editor.c:
	richedit: Ensure wrapping is done all the time after inserting an RTF stream.

	* dlls/riched20/paint.c:
	richedit: Properly handle the background in case of border in paragraph.

2008-04-22  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c:
	winex11: Add support for IsXExtensionPointer tablet devices.

2008-04-17  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c:
	winex11: Allow wizardpen to be detected as a stylus.

2008-04-16  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/winex11.drv/wintab.c:
	winex11: Allow wintab devices with less than 5 axes.

2008-04-25  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipDrawImageRect/GdipDrawImageRectI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipAddPathBezier.

2008-04-25  Erik de Castro Lopo <mle+win@mega-nerd.com>

	* dlls/dbghelp/dbghelp_private.h:
	dbghelp: Fix pointer cast.

	* dlls/ntdll/rtl.c:
	ntdll: Win64 fix for get_pointer_obfuscator.

	* dlls/crypt32/chain.c, dlls/crypt32/store.c:
	crypt32: Use LOWORD on LPCSTR type instead of casting to int.

	* dlls/user32/tests/edit.c:
	user32/tests: Use SetWindowLongPtr instead of SetWindowLong.

2008-04-25  James Hawkins <jhawkins@codeweavers.com>

	* dlls/winmm/tests/mixer.c:
	winmm: Remove a failing test that is driver-specific.

	* dlls/winspool.drv/tests/info.c:
	winspool.drv: Disable a test for capabilities not available on all printer
	drivers.

2008-04-24  James Hawkins <jhawkins@codeweavers.com>

	* dlls/gdi32/tests/bitmap.c:
	gdi32: Remove a dependence on the amount of available memory.

	* dlls/d3d8/tests/device.c:
	d3d8: Fix a few test failures in win2k3.

	* dlls/advapi32/tests/registry.c:
	advapi32: Fix a test that fails in win2k3 SP2.

2008-04-24  Robert Reif <reif@earthlink.net>

	* dlls/winmm/tests/wave.c:
	winmm: Fix a test failure on Windows with Terminal Server.

2008-04-24  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/secur32/ntlm.c:
	secur32: Remove unused variables.

	* dlls/setupapi/parser.c, dlls/setupapi/setupx_main.c:
	setupapi: Remove unused variables.

	* dlls/shell32/shlfileop.c, dlls/shell32/shlmenu.c:
	shell32: Remove unused variables.

	* dlls/rpcrt4/ndr_marshall.c:
	rpcrt4: Remove unused variables.

2008-04-24  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/hlpfile.c:
	winhelp: Emit the proper RTF stream for a metafile to RichEdit.

	* programs/winhelp/hlpfile.c:
	winhelp: Emit proper RTF tokens for a bitmap.

	* programs/winhelp/hlpfile.c:
	winhelp: Properly decode the keep bit in paragraph style.

	* programs/winhelp/hlpfile.c:
	winhelp: Set the borders of a paragraph in richedit.

	* programs/winhelp/hlpfile.c:
	winhelp: Set the alignment of paragraph in richedit.

	* programs/winhelp/hlpfile.c:
	winhelp: Added support for paragraph information.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h:
	winhelp: Added support for richedit tabs in paragraph format.

2008-04-24  Alexandre Julliard <julliard@winehq.org>

	* tools/makedep.c:
	makedep: Don't try to open .tlb files.

2008-04-24  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/brush.c, include/gdiplusflat.h:
	gdiplus: Implemented GdipSetLineColors.

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec, include/gdiplusflat.h:
	gdiplus: Implemented GdipGetLineColors.

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec, include/gdiplusflat.h:
	gdiplus: Implemented GdipGetLineRect/GdipGetLineRectI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c:
	gdiplus: Implemented GdipFillPieI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipDrawPolygon/GdipDrawPolygonI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c:
	gdiplus: Implemented GdipDrawRectanglesI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c:
	gdiplus: Implemented GdipDrawPieI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/matrix.c, include/gdiplusflat.h:
	gdiplus: Implemented GdipTransformMatrixPointsI.

2008-04-24  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Add typedef statements to the statement lists.

	* tools/widl/client.c, tools/widl/header.c, tools/widl/header.h,
	  tools/widl/parser.y, tools/widl/proxy.c, tools/widl/server.c,
	  tools/widl/typegen.c, tools/widl/typegen.h, tools/widl/typelib.c,
	  tools/widl/typelib.h, tools/widl/widl.c, tools/widl/widl.h,
	  tools/widl/widltypes.h, tools/widl/write_msft.c:
	widl: Create a list of statements in the whole IDL file, instead of just a
	list of interfaces.

	* tools/widl/parser.l, tools/widl/parser.y:
	widl: Allow NULL to be used in expressions.

	* tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Construct the pointer chain while parsing pointers, rather than storing
	a ptr_level.
	This method is more flexible and somewhat simpler.

	* tools/widl/parser.y, tools/widl/widltypes.h, tools/widl/write_msft.c:
	widl: Implement lcid property on library declarations.

2008-04-24  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlelem.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/tests/dom.c:
	mshtml: Added IDispatchEx support to HTMLElementCollection object.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLElementCollection declaration.

	* dlls/mshtml/htmlnode.c, dlls/mshtml/tests/dom.c:
	mshtml: Added get_nodeType implementation.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmltextnode.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/tests/dom.c:
	mshtml: Added IDispatchEx support to text node.

	* dlls/mshtml/Makefile.in, dlls/mshtml/htmlnode.c,
	  dlls/mshtml/htmltextnode.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/tests/dom.c:
	mshtml: Added IHTMLDOMTextNode stub implementation.

	* dlls/mshtml/htmlnode.c, dlls/mshtml/tests/dom.c:
	mshtml: Added get_firstChild implementation.

	* include/mshtml.idl:
	mshtml.idl: Added IHTMLDOMTextNode declaration.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLDOMText declaration.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlelem.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added IHTMLDOMNode2 to IDispatchEx support.

	* dlls/mshtml/htmlnode.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/tests/dom.c:
	mshtml: Added IHTMLDOMNode2 stub implementation.

	* dlls/mshtml/htmlelem.c, dlls/mshtml/tests/dom.c:
	mshtml: Return VT_NULL instead of empty string in getAttribute.

	* dlls/mshtml/tests/dom.c:
	mshtml: Added more IDispatchEx tests.

2008-04-24  Alexandre Julliard <julliard@winehq.org>

	* dlls/mshtml.tlb/rsrc.rc, dlls/msi/msi.rc, dlls/msxml3/version.rc,
	  dlls/oleaut32/tests/tmarshal.rc, dlls/shdocvw/shdocvw.rc,
	  dlls/stdole2.tlb/rsrc.rc, dlls/stdole32.tlb/rsrc.rc:
	Add makedep magic comments for typelibs in resource files.

	* Make.rules.in, configure, configure.ac, tools/makedep.c:
	makefiles: Add support for generating correct dependencies for tlb files.

2008-04-24  Aric Stewart <aric@codeweavers.com>

	* dlls/comctl32/toolbar.c:
	comctl32: Fix an off-by-one error in toolbar TOOLBAR_SetHotItem.

2008-04-24  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c,
	  dlls/riched32/tests/editor.c:
	riched20: Reject RTF that is recognized as invalid.

	* dlls/riched20/editor.c, dlls/riched32/tests/editor.c:
	riched20: Implement ignoring of last \par for EM_STREAMIN - 1.0 emulation.

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c:
	riched20: Implement ignoring of last \par for EM_STREAMIN.

2008-04-24  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/wined3d/ati_fragment_shader.c:
	wined3d: Remove an unused variable.

	* dlls/d3d9/tests/visual.c:
	d3d9: Dump the device information in the visual tests.

	* dlls/d3d9/tests/visual.c:
	d3d9: Check textures for srgb writing, not surfaces.

2008-04-23  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/wined3d/glsl_shader.c:
	wined3d: Fix DP2ADD in GLSL.
	DP2ADD returns a scalar, and fglrx (correctly) complains that it can't
	assign that to a 3 component vector.

	* dlls/wined3d/state.c:
	wined3d: Fix the GL_ATI_separate_stencil codepath.
	glStencilFuncSeparateATI does not take a face argument, instead it
	sets the front and back facing functions at once. This means the
	renderstate_stencil_twosided helper function is somewhat pointless for
	this extension.

	* dlls/wined3d/glsl_shader.c:
	wined3d: More fglrx spam.

	* dlls/d3d9/tests/visual.c:
	d3d9: Make the offscreen format test a bit more tolerant.

2008-04-24  Kai Blin <kai.blin@gmail.com>

	* dlls/ws2_32/socket.c:
	ws2_32: Work around the host name resolving to 127.x.x.x when using that
	for binding.

2008-04-24  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/user_main.c:
	user32: Allow the default desktop name to be specified on a per-app basis.

	* programs/explorer/desktop.c:
	explorer: Retrieve the default desktop name from the startup parameters or
	the registry.

	* programs/explorer/desktop.c:
	explorer: Allow specifying a default size for each desktop using the
	HKCU\Software\Wine\Explorer\Desktops registry key.

	* tools/wine.inf.in:
	wine.inf: Fix the service type of the spooler service.

	* programs/services/rpc.c:
	services.exe: Don't reject config changes if the display name corresponds to
	the service being changed.

	* programs/services/services.c:
	services.exe: Make the changed status event an auto-reset event.

2008-04-24  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/user32/tests/broadcast.c:
	user32/tests: Skip tests if function is not implemented.

	* dlls/oleaut32/tests/varformat.c:
	oleaut32/tests: Skip a test on win9x.

2008-04-24  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/imm32/tests/imm32.c:
	imm32: Fix a meaningless test.
	ImmSetCompositionString generates WM_IME_COMPOSITION. Therefore test always
	fails if messages are not flushed.

	* dlls/winex11.drv/ime.c:
	winex11: Generate WM_IME_ENDCOMPOSITION when composition string is canceled.

2008-04-24  Alexandre Julliard <julliard@winehq.org>

	* Make.rules.in:
	Make.rules: Move the all: target before the implicit rules to avoid confusing
	FreeBSD make.

2008-04-23  Lei Zhang <thestig@google.com>

	* dlls/winex11.drv/keyboard.c:
	winex11: control + enter should generate '\n' instead of '\r'.

2008-04-22  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/gdi32/driver.c, dlls/gdi32/gdi_private.h, dlls/gdi32/opengl.c,
	  dlls/wined3d/context.c, dlls/wined3d/directx.c,
	  dlls/winex11.drv/opengl.c, dlls/winex11.drv/window.c,
	  dlls/winex11.drv/winex11.drv.spec, include/wine/wined3d_gl.h:
	wgl: Add a wine specific WGL extension which allows you to change the pixel
	format multiple times.

2008-04-23  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/winex11.drv/opengl.c:
	wgl: Put the core functionality of X11DRV_SetPixelFormat in a separate function.
	This is needed for a new X11DRV_SetPixelFormatWINE function which allows you
	to change the pixel format multiple times.

2008-04-23  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/hlpfile.c, programs/winhelp/winhelp.c:
	winhelp: Setup a better font size for the richedit rendering.

	* programs/winhelp/winhelp.c:
	winhelp: Allow links inside popups to work properly.

	* programs/winhelp/winhelp.c:
	winhelp: Create the shadow window also for popups handled by RichEdit.

	* programs/winhelp/winhelp.c:
	winhelp: Correctly compute the popup size and manage the popup when richedit
	is used.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/winhelp.c, programs/winhelp/winhelp.h:
	winhelp: Implement the first round of support for links in RichEdit.

	* programs/winhelp/hlpfile.c:
	winhelp: Added proper RTF conversion for non breakable space and hyphen.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h:
	winhelp: Add proper support for charset from headers and escaped non ANSI
	characters in RTF stream.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/winhelp.c:
	winhelp: Start feeding the richedit control with relevant RTF stream.

	* programs/winhelp/Bg.rc, programs/winhelp/Cs.rc, programs/winhelp/Da.rc,
	  programs/winhelp/De.rc, programs/winhelp/En.rc,
	  programs/winhelp/Eo.rc, programs/winhelp/Es.rc,
	  programs/winhelp/Fi.rc, programs/winhelp/Fr.rc,
	  programs/winhelp/Hu.rc, programs/winhelp/It.rc,
	  programs/winhelp/Ko.rc, programs/winhelp/Nl.rc,
	  programs/winhelp/No.rc, programs/winhelp/Pl.rc,
	  programs/winhelp/Pt.rc, programs/winhelp/Rm.rc,
	  programs/winhelp/Ru.rc, programs/winhelp/Si.rc,
	  programs/winhelp/Sk.rc, programs/winhelp/Sv.rc,
	  programs/winhelp/Tr.rc, programs/winhelp/Wa.rc,
	  programs/winhelp/Zh.rc, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp_res.h:
	winhelp: Added as an option, to use richedit to render the text window.

2008-04-23  Dan Hipschman <dsh@linux.ucla.edu>

	* dlls/wininet/http.c:
	wininet: Don't forget the INTERNET_STATUS_REDIRECT callback in HttpEndRequest.

2008-04-23  Juan Lang <juan.lang@gmail.com>

	* dlls/cryptdlg/Makefile.in, dlls/cryptdlg/cryptdlg.spec,
	  dlls/cryptdlg/main.c:
	cryptdlg: Implement GetFriendlyNameOfCertA/W.

2008-04-23  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/script.c:
	mshtml: Return S_OK in QueryContinue.

	* dlls/mshtml/script.c:
	mshtml: Fixed typo.

	* dlls/oleaut32/recinfo.c:
	oleaut32: Handle VT_R4 in RecordClear (spotted by Konrad Rzepecki).

	* dlls/oleaut32/recinfo.c:
	oleaut32: Clear record in RecordDestroy.

	* dlls/oleaut32/recinfo.c:
	oleaut32: Properly clear VT_BSTR record.

	* dlls/urlmon/file.c:
	urlmon: Ignore query and hash part in file protocol URL.

2008-04-23  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/wined3d/ati_fragment_shader.c, dlls/wined3d/state.c,
	  dlls/wined3d/utils.c, dlls/wined3d/wined3d_private.h:
	wined3d: Call activate_dimensions from the atifs code.

2008-04-24  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/driver.c:
	user32: Make drivers non-const to avoid a compiler warning.

	* dlls/kernel32/process.c:
	kernel32: If necessary reload the environment after wineboot has run.

2008-04-23  Lei Zhang <thestig@google.com>

	* dlls/user32/edit.c, dlls/user32/tests/edit.c:
	user32: Handle VK_RETURN WM_KEYDOWN events better in edit controls.
	Elias Benali wrote the initial version of this patch.

	* dlls/user32/tests/edit.c:
	user32: Add a test for sending WM_KEYDOWN to a child edit control.

2008-04-23  James Hawkins <jhawkins@codeweavers.com>

	* dlls/uxtheme/tests/system.c:
	uxtheme: Fix a test that fails in win2k3.

	* dlls/shell32/tests/shlfileop.c:
	shell32: Fix a test that fails in win2k3.

	* dlls/riched20/tests/editor.c:
	riched20: Fix a few tests that fail in XP and up.

	* dlls/pdh/tests/pdh.c:
	pdh: Fix two tests that fail on win2k3.

2008-04-24  Michael Stefaniuc <mstefani@redhat.de>

	* programs/start/De.rc:
	start: Update the German translation.

2008-04-23  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/quartz/avidec.c, dlls/quartz/mpegsplit.c,
	  dlls/quartz/videorenderer.c:
	quartz: Remove unused variables.

	* dlls/riched20/editor.c, dlls/riched20/paint.c, dlls/riched20/style.c,
	  dlls/riched20/wrap.c:
	riched20: Remove unused variables.

	* dlls/qcap/yuv.c:
	qcap: Remove unused variable.

2008-04-23  Rob Shearman <rob@codeweavers.com>

	* dlls/wintrust/wintrust_main.c:
	wintrust: Check that provider functions are not NULL before using them.

	* dlls/wintrust/register.c, dlls/wintrust/wintrust.spec,
	  dlls/wintrust/wintrust_main.c, dlls/wintrust/wintrust_priv.h,
	  include/wintrust.h:
	wintrust: Implement WTHelperGetProvPrivateDataFromChain.
	Also fill in pfnAddPrivData2Chain in WintrustLoadFunctionPointers, which
	is the complement of WTHelperGetProvPrivateDataFromChain.

	* dlls/crypt32/msg.c:
	crypt32: Decode the message content on finishing in CDecodeMsg_Update for the
	streamed case as well as the non-streamed case.

2008-04-22  Reece Dunn <msclrhd@googlemail.com>

	* dlls/shlwapi/tests/url.c:
	shlwapi/tests: Add 'res:' protocol tests for UrlCanonicalize.

2008-04-23  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/tests/editor.c:
	riched20: Yet more tests for EM_STREAMIN.

	* dlls/uxtheme/draw.c:
	uxtheme: Skip creation of temporary bitmap when painting a single tile.

	* dlls/uxtheme/draw.c:
	uxtheme: Fix nasty regression with painting of themed progress bar.

2008-04-23  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlelem.c, dlls/mshtml/htmlnode.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added elements IDispatchEx implementation.

	* include/mshtmdid.h, include/mshtml.idl:
	mshtml.idl: Added DispHTMLUnknownElement declaration.

	* dlls/mshtml/htmlanchor.c, dlls/mshtml/htmlbody.c,
	  dlls/mshtml/htmlelem.c, dlls/mshtml/htmlinput.c,
	  dlls/mshtml/htmlnode.c, dlls/mshtml/htmloption.c,
	  dlls/mshtml/htmlscript.c, dlls/mshtml/htmlselect.c,
	  dlls/mshtml/htmltable.c, dlls/mshtml/htmltextarea.c:
	mshtml: Use heap_alloc_zero for allocating node objects.

	* dlls/mshtml/htmldoc3.c, dlls/mshtml/tests/dom.c:
	mshtml: Added IHTMLDocument3::getElementById implementation.

2008-04-23  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/d3d9/tests/visual.c, dlls/wined3d/surface.c:
	d3d9: Add a test for NP2 stretchrect.

	* dlls/wined3d/device.c, dlls/wined3d/surface.c,
	  dlls/wined3d/wined3d_private.h:
	wined3d: Support framebuffer reading from texture_rectangle sources.

2008-04-11  Stefan Dösinger <stefan@codeweavers.com>

	* dlls/wined3d/arb_program_shader.c, dlls/wined3d/ati_fragment_shader.c,
	  dlls/wined3d/baseshader.c, dlls/wined3d/context.c,
	  dlls/wined3d/glsl_shader.c, dlls/wined3d/wined3d_private.h:
	wined3d: Use the shader backend to enable / disable atifs and nvts.
	The previous logic assumed that if NVTS or ATIFS are available they
	will be used. This happens to be true for NVTS, but ATIFS is only used
	if neither ARBFP nor GLSL are supported. This breaks fixed function
	fragment processing on ATI r300 and newer cards

2008-04-23  Alexandre Julliard <julliard@winehq.org>

	* programs/explorer/Makefile.in, programs/explorer/desktop.c,
	  programs/explorer/explorer.c, programs/explorer/explorer_private.h:
	explorer: Convert the command line parsing to Unicode.

	* dlls/winex11.drv/window.c:
	winex11: Don't allow changing the X11 size of a maximized window.

	* dlls/winex11.drv/window.c:
	winex11: Make sure that the window gravity is always set.

	* dlls/winex11.drv/Makefile.in, dlls/winex11.drv/event.c,
	  dlls/winex11.drv/window.c, dlls/winex11.drv/winpos.c,
	  dlls/winex11.drv/x11drv.h:
	winex11: Merged the contents of winpos.c into window.c.

	* dlls/winex11.drv/desktop.c, dlls/winex11.drv/winpos.c,
	  dlls/winex11.drv/x11drv.h:
	winex11: Moved the X11DRV_resize_desktop function to desktop.c.

2008-04-22  Dan Kegel <dank@kegel.com>

	* dlls/gdiplus/image.c:
	gdiplus: GdipLoadImageFromStream: initialize variable.

2008-04-23  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/font.c, dlls/gdiplus/gdiplus.spec, include/gdiplusflat.h:
	gdiplus: Implemented GdipCloneFont.

2008-04-22  Reece Dunn <msclrhd@googlemail.com>

	* dlls/shlwapi/tests/url.c:
	shlwapi/tests: Improve the way that the UrlCanonicalize tests report failure.

2008-04-21  James Hawkins <jhawkins@codeweavers.com>

	* dlls/kernel32/tests/time.c:
	kernel32: Fix a test that fails on win9x.

2008-04-21  James Hawkins <truiken@gmail.com>

	* dlls/version/tests/info.c:
	version: Fix tests that fail in win9x and win2k.

2008-04-23  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/imm32/imm.c:
	imm32: More implementation of the ImmGetConversionStatus().
	Match the ImmSetConversionStatus() function.

	* dlls/imm32/imm.c:
	imm32: Pass the old conversion status value to the IME.

	* dlls/imm32/imm.c:
	imm32: Examine whether the fOpen value differs with its old value.

2008-04-22  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/user32/defwnd.c:
	user32: Pass the WM_IME_NOTIFY message to the default IME window.

	* dlls/imm32/imm.c, dlls/imm32/imm32.spec, include/ddk/imm.h:
	imm32: Add stub and header of Imm{Create|Show|Destroy}SoftKeyboard.

	* dlls/imm32/imm.c, dlls/imm32/imm32.spec, include/ddk/imm.h,
	  include/imm.h:
	imm32: Add stub and header of ImmRequestMessage.

2008-04-22  Tomasz Jezierski <developers@tefnet.pl>

	* dlls/shell32/shlexec.c:
	shell32: Secure filename copy to fixed size variable wfileName.

2008-04-22  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/dsound/tests/dsound.c:
	dsound: Skip WAVE_FORMAT_EXTENSIBLE tests on directx < 8.

	* dlls/quartz/filesource.c:
	quartz: Make the file source support multiple samples by preallocating enough
	handles.

	* dlls/quartz/avisplit.c, dlls/quartz/mpegsplit.c, dlls/quartz/parser.c,
	  dlls/quartz/parser.h, dlls/quartz/pin.c, dlls/quartz/pin.h,
	  dlls/quartz/waveparser.c:
	quartz: Make wave parser and mpeg splitter zero copy by getting rid of the
	seperate allocator for the output pin.

	* dlls/quartz/filesource.c:
	quartz: Add some sanity checks to file splitter.

	* dlls/quartz/acmwrapper.c:
	quartz: Copy discontinuity status in acmwrapper.

	* dlls/quartz/memallocator.c:
	quartz: Fix inverted logic in memallocator.

2008-04-19  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/tests/filtergraph.c:
	quartz: Fix error message names in tests.

2008-04-18  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/avisplit.c, dlls/quartz/mpegsplit.c, dlls/quartz/parser.c,
	  dlls/quartz/parser.h, dlls/quartz/pin.c, dlls/quartz/pin.h,
	  dlls/quartz/waveparser.c:
	quartz: Optimize the processing thread to fetch one sample while processing
	another.

2008-04-23  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/dc.c:
	gdi32: Reselect objects into the DC only if scaling factors change.

2008-04-23  Austin English <austinenglish@gmail.com>

	* dlls/comctl32/pager.c, dlls/comctl32/toolbar.c, dlls/kernel32/comm.c,
	  dlls/kernel32/console.c, dlls/ole32/compobj.c,
	  dlls/ole32/stubmanager.c, dlls/oleaut32/typelib.c,
	  dlls/wined3d/directx.c, dlls/wined3d/glsl_shader.c,
	  dlls/wined3d/utils.c, dlls/winex11.drv/xfont.c:
	Spelling fixes.

2008-04-22  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/winhelp.c:
	winhelp: Be sure to raise a newly (re)created window in all cases.

	* programs/winhelp/hlpfile.c:
	winhelp: Fix the link kind (and color) of the 0xEA-0xEF family.

	* programs/winhelp/winhelp.c:
	winhelp: Popup's background color should be inherited from parent.

	* programs/winhelp/winhelp.c, programs/winhelp/winhelp.h:
	winhelp: Store reference to the popup (if any) as a WINHELP_WINDOW pointer.

	* programs/winhelp/hlpfile.c, programs/winhelp/macro.c,
	  programs/winhelp/winhelp.c, programs/winhelp/winhelp.h:
	winhelp: Simplify most of the helpers dealing with window creation.

	* programs/winhelp/winhelp.c:
	winhelp: Also store the relative offsets of a page in the history and back
	information sets.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/macro.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h:
	winhelp: Added ability to locate information within a page (and to store it
	inside WNDPAGE).

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/winhelp.c:
	winhelp: Now use the icon out of hlpfile if any.

	* programs/winhelp/winhelp.c, programs/winhelp/winhelp.h:
	winhelp: Simplified message box handling.

	* programs/winhelp/macro.c, programs/winhelp/winhelp.c:
	winhelp: Enable/Disable prev/next buttons if there's a prev/next page.

	* programs/winhelp/macro.c, programs/winhelp/macro.h:
	winhelp: Fixed JumpId and JumpKeyword with correct signature and implementation.

	* programs/winhelp/macro.c:
	winhelp: Replaced an erroneous FIXME by a TRACE in MACRO_DisableButton().

	* programs/winhelp/macro.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h:
	winhelp: Don't add a page to the history when using the back button.

	* programs/winhelp/winhelp.c:
	winhelp: Properly display the page title.

	* programs/winhelp/hlpfile.c:
	winhelp: Fix the loading of a row in a table (especially, for multiple paragraphs
	in a single cell).

	* programs/winhelp/hlpfile.c:
	winhelp: Fix window caption index in |SYSTEM.

	* programs/winhelp/macro.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h:
	winhelp: Properly handle the back button (in multiple windows, in empty
	stack...).

	* programs/winhelp/winhelp.c:
	winhelp: Present correctly the history when dealing with multiple files.

	* programs/winhelp/winhelp.c:
	winhelp: Store the history in correct order.

	* programs/winhelp/macro.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h:
	winhelp: Added the notion of WINHELP_WNDPAGE and use it to move the history
	to the global variables.

	* programs/winhelp/winhelp.c:
	winhelp: Get rid of the reuse concept for Windows and refactor the code a bit
	for window creation / deletion.

2008-04-22  Dan Kegel <dank@kegel.com>

	* programs/winecfg/x11drvdlg.c:
	winecfg: Restrict dpi slider to sane values.

2008-04-22  Dan Hipschman <dsh@linux.ucla.edu>

	* dlls/wininet/http.c:
	wininet: Remove custom content-length/type headers from redirects.

2008-04-22  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/netapi32/wksta.c:
	netapi32: Remove unused variable.

	* dlls/ntdll/cdrom.c, dlls/ntdll/loadorder.c, dlls/ntdll/path.c:
	ntdll: Remove unused variables.

	* dlls/oleaut32/typelib.c, dlls/oleaut32/varformat.c:
	oleaut32: Remove unused variables.

	* dlls/msvcrt/undname.c:
	msvcrt: Remove unused variable.

	* dlls/msvfw32/drawdib.c:
	msvfw32: Remove unused variable.

2008-04-22  Paul Vriens <paul.vriens.wine@gmail.com>

	* dlls/gdi32/tests/font.c:
	gdi32/tests: Run tests on win9x again.

2008-04-22  Joris Huizer <jorishuizer@debian>

	* dlls/mshtml/htmldoc.c:
	mshtml: Fixed copy/paste mistake.

2008-04-22  Frans Kool <Frans.Kool@gmail.com>

	* programs/start/Nl.rc:
	start: Fixed Dutch translations.

2008-04-22  Jeff Latimer <lats@yless4u.com.au>

	* dlls/user32/tests/broadcast.c:
	user32/tests: Fix typedefs & function definitions so that the code compiles
	in visual C++ 2005.

2008-04-22  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/shdoclc/Ko.rc:
	shdoclc: Update Korean translation.

	* programs/net/Ko.rc:
	net: Update Korean translation.

	* programs/reg/Ko.rc, programs/reg/rsrc.rc:
	reg: Add Korean translation.

	* programs/start/Ko.rc:
	start: Update Korean translation.

2008-04-22  Erik de Castro Lopo <mle+win@mega-nerd.com>

	* include/wine/list.h:
	include: Fix "warning: cast from pointer to integer of different size".

2008-04-22  Alexandre Julliard <julliard@winehq.org>

	* dlls/localspl/localspl_main.c:
	localspl: Avoid creating zero-length string values in the registry.

	* dlls/msi/action.c, dlls/msi/registry.c, dlls/msi/source.c:
	msi: Avoid creating zero-length string values in the registry.

	* dlls/winex11.drv/event.c, dlls/winex11.drv/winpos.c,
	  dlls/winex11.drv/x11drv.h:
	winex11: Moved the ConfigureNotify handler to event.c.

2008-04-22  Rob Shearman <rob@codeweavers.com>

	* tools/widl/expr.c, tools/widl/expr.h, tools/widl/header.c,
	  tools/widl/proxy.c, tools/widl/typegen.c:
	widl: Remove duplicated code in the form of the write_struct_expr function by
	enhancing write_expr to allow toplevel identifiers to be prefixed by a string,
	if specified.

	* tools/widl/typegen.c:
	widl: Use expr_resolve_type to get the type of the identifier in
	write_conf_or_var_desc.
	Remove the conversion of pointer types into base types as this was only
	needed due to lack of proper type resolving.

	* tools/widl/Makefile.in, tools/widl/client.c, tools/widl/expr.c,
	  tools/widl/expr.h, tools/widl/header.c, tools/widl/header.h,
	  tools/widl/parser.y, tools/widl/proxy.c, tools/widl/typegen.c,
	  tools/widl/widltypes.h:
	widl: Move expression functions to a new file, expr.c.

	* tools/widl/parser.y:
	widl: Check that expressions resolve so that expressions in generated code
	will compile.
	Also check that expressions return the correct type for the attribute.

	* tools/widl/parser.y:
	widl: Pass the actual type into check_remoting_fields and check_field_common
	instead of the type name.

	* tools/widl/parser.l:
	widl: Don't free input_name in pop_import as we keep pointers to it in the
	var_t type now.

	* tools/widl/header.c, tools/widl/parser.y, tools/widl/typegen.c,
	  tools/widl/widltypes.h:
	widl: Remove EXPR_MEMBERPTR and implement it using EXPR_PPTR and EXPR_MEMBER
	instead.

	* tools/widl/header.c, tools/widl/parser.l, tools/widl/parser.y,
	  tools/widl/typegen.c, tools/widl/widltypes.h:
	widl: Add support for comparison, exclusive or, logical not and positive
	operators in expressions.

	* tools/widl/parser.y:
	widl: Require a constant expression for case statements.

	* tools/widl/parser.y:
	widl: Fix operator precedence in expressions.

2008-03-03  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/mountmgr.sys/Makefile.in, dlls/mountmgr.sys/device.c,
	  dlls/mountmgr.sys/diskarb.c, dlls/mountmgr.sys/hal.c,
	  dlls/mountmgr.sys/mountmgr.c, dlls/mountmgr.sys/mountmgr.h,
	  programs/explorer/Makefile.in, programs/explorer/desktop.c,
	  programs/explorer/device.c, programs/explorer/diskarb.c,
	  programs/explorer/hal.c:
	explorer/mountmgr.sys: Move device hotplug code over to mount manager.

2008-04-22  Austin English <austinenglish@gmail.com>

	* dlls/user32/button.c, dlls/user32/combo.c, dlls/user32/dde_private.h,
	  dlls/user32/edit.c, dlls/user32/painting.c, dlls/user32/spy.c,
	  dlls/user32/tests/class.c, dlls/user32/tests/combo.c,
	  dlls/user32/tests/input.c, dlls/user32/tests/menu.c,
	  dlls/user32/uitools.c, dlls/user32/winhelp.c, dlls/user32/winproc.c,
	  dlls/uxtheme/draw.c, dlls/uxtheme/system.c,
	  dlls/winealsa.drv/waveinit.c, dlls/wineaudioio.drv/audio.c,
	  dlls/wined3d/arb_program_shader.c,
	  dlls/wined3d/ati_fragment_shader.c, dlls/wined3d/context.c,
	  dlls/wined3d/device.c, dlls/wined3d/directx.c,
	  dlls/wined3d/drawprim.c, dlls/wined3d/glsl_shader.c,
	  dlls/wined3d/state.c, dlls/wined3d/stateblock.c,
	  dlls/wined3d/surface.c, dlls/wined3d/surface_base.c,
	  dlls/wined3d/surface_gdi.c, dlls/wined3d/wined3d_private.h,
	  dlls/winedos/int31.c, dlls/winex11.drv/bitblt.c, dlls/wininet/http.c,
	  dlls/winmm/winmm.c, dlls/wintrust/tests/crypt.c, include/custcntl.h,
	  include/ddraw.h, include/dmusicf.h, include/mapidefs.h,
	  include/mapitags.h, include/msvcrt/share.h, include/rpcdcep.h,
	  include/shlobj.h, include/twain.h, include/wine/mscvpdb.h,
	  include/wine/wined3d_types.h, include/winsock.h,
	  programs/cmd/directory.c, programs/services/rpc.c,
	  programs/wineconsole/user.c, programs/winhelp/hlpfile.c,
	  tools/wmc/write.c:
	Spelling fixes.

2008-04-21  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/uxtheme/draw.c:
	uxtheme: Speed up UXTHEME_SizedBlt in the ST_TILE by building an
	appropriately-sized memory bitmap out of the tile instead of iterating with
	UXTHEME_Blt() directly.

2008-04-21  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/xcopy/No.rc, programs/xcopy/rsrc.rc:
	xcopy: Add Norwegian Bokmål resource.

	* programs/start/No.rc:
	start: Update Norwegian Bokmål resource.

2008-04-21  Lei Zhang <thestig@google.com>

	* dlls/gdiplus/tests/graphics.c:
	gdiplus: Do not access freed memory in a test.

	* dlls/gdiplus/tests/graphics.c:
	gdiplus: Initialize variables in the graphics test.

2008-04-22  Michael Stefaniuc <mstefani@redhat.de>

	* programs/winecfg/Ro.rc:
	winecfg: Update and fix the Romanian translation.

	* programs/winecfg/En.rc:
	winecfg: Fix typos in the En(US) resource.

2008-04-21  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/editor.c:
	richedit: Accept RTF stream that does not start with {\rtf1 in 1.0 emulation.

	* dlls/riched20/tests/editor.c:
	richedit: EM_STREAMIN tests for richedit 2.0.

	* dlls/riched32/tests/editor.c:
	richedit: EM_STREAMIN tests for richedit 1.0 emulation.

2008-04-21  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/mpr/nps.c:
	mpr: Remove unused variables.

	* dlls/mshtml/install.c:
	mshtml: Remove unused variable.

	* dlls/msi/action.c, dlls/msi/msiquery.c, dlls/msi/source.c,
	  dlls/msi/sql.y, dlls/msi/suminfo.c:
	msi: Remove unused variables.

	* dlls/mciseq/mcimidi.c:
	mciseq: Remove unused variable.

2008-04-21  Tomasz Nowiński <arctgx@mat.uni.torun.pl>

	* dlls/shell32/shell32_Pl.rc, programs/cmd/Pl.rc, programs/cmdlgtst/Pl.rc,
	  programs/net/Pl.rc, programs/start/Pl.rc, programs/taskmgr/Pl.rc,
	  programs/winecfg/Pl.rc, programs/winefile/Pl.rc,
	  programs/wordpad/Pl.rc:
	Fixed typos in the Polish translations.

2008-04-21  Alexandre Julliard <julliard@winehq.org>

	* programs/winemenubuilder/winemenubuilder.c:
	winemenubuilder: Process messages while waiting for the semaphore or the
	parent process.

	* dlls/winex11.drv/opengl.c:
	winex11: Get rid of the unnecessary opengl debug channel.

	* dlls/winex11.drv/window.c:
	winex11: Set type to dialog for owned popup windows.

	* dlls/user32/user32.spec, dlls/winex11.drv/window.c,
	  dlls/winex11.drv/x11drv.h:
	winex11: Use SetWindowPos to invalidate DCEs when changing the pixel format.

	* dlls/user32/winpos.c:
	user32: Invalide DCEs also when resizing a hidden window, or when minimizing.

	* dlls/user32/winpos.c:
	user32: Dump more SetWindowPos flags.

	* programs/winecfg/driveui.c:
	winecfg: Don't allow editing the configuration of the C drive.

2008-04-21  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/riched20/caret.c, dlls/riched32/tests/editor.c:
	riched32: Implement a portion of suggested interpretation of CRLF handling
	for richedit 1.0 emulation.
	Fixes a few todos introduced by previous patch.

	* dlls/riched32/tests/editor.c:
	riched32: Add more todo tests for CR and LF behavior for richedit 1.0.

	* dlls/riched20/editor.c, dlls/riched20/tests/editor.c:
	riched20: EM_SETTEXTEX supports RTF strings, with tests.

	* dlls/riched20/paint.c, dlls/riched20/tests/editor.c:
	riched20: Fix behavior of EM_REPLACESEL with painting disabled.

2008-04-21  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/htmldoc.c:
	mshtml: Forward IHTMLDocument2's IDispatch methods to IDispatchEx implementation.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmldoc.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added HTMLDocument's IDispatchEx implementation.

	* dlls/mshtml/htmldoc.c:
	mshtml: Make IHTMLDocument2 iterface offset independent.

	* dlls/mshtml/htmlwindow.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/task.c:
	mshtml: Added setTimeout implementation.

	* dlls/mshtml/htmlwindow.c:
	mshtml: Forward IHTMLWindow2::setTimeout to IHTMLWindow3::setTimeout.

	* dlls/mshtml/htmlwindow.c, dlls/mshtml/tests/dom.c:
	mshtml: Added IHTMLWindow2::get_document implementation.

	* dlls/mshtml/tests/dom.c:
	mshtml: Added navigator's IDispatchEx test.

2008-04-21  Steven Edwards <winehacker@gmail.com>

	* dlls/rpcrt4/cstub.c:
	rpcrt4: Correct the number of aguments for fill_method on unsupported
	architectures.

2008-04-21  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/enhmetafile.c, dlls/gdi32/tests/metafile.c:
	gdi32: Add a test for EMR_EXTSELECTCLIPRGN, make it pass under Wine.

2008-04-21  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/brush.c, dlls/gdiplus/gdiplus.spec:
	gdiplus: GdipCreateLineBrushI implemented using float args version.

2008-04-20  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphics.c:
	gdiplus: Implemented GdipDrawRectangle.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c:
	gdiplus: Implemented GdipAddPathLine.

2008-04-19  David Adam <david.adam.cnrs@gmail.com>

	* dlls/d3d8/tests/device.c, dlls/d3d9/tests/device.c,
	  dlls/wined3d/device.c:
	wined3d: Fix a possible null dereference.

2008-04-21  Alexandre Julliard <julliard@winehq.org>

	* libs/wine/config.c:
	libwine: Allow to specify a non-existing directory as WINEPREFIX.

	* tools/wineprefixcreate.in:
	wineprefixcreate: Use wineboot --update to run wine.inf.

	* dlls/ntdll/server.c, programs/wineboot/wineboot.c:
	wineboot: Automatically update the prefix directory if wine.inf changes.

2008-04-17  Alexandre Julliard <julliard@winehq.org>

	* programs/wineboot/Makefile.in, programs/wineboot/wineboot.c:
	wineboot: Add an option to update the prefix directory by re-executing wine.inf.

2008-04-21  Alexandre Julliard <julliard@winehq.org>

	* dlls/ntdll/server.c:
	ntdll: Automatically setup the dosdevices directory if it doesn't exist.

2008-04-21  Austin English <austinenglish@gmail.com>

	* dlls/mciwave/mciwave.c, dlls/msvcrt/dir.c, dlls/ntdll/tests/rtl.c,
	  dlls/ntdll/tests/string.c, dlls/odbccp32/tests/misc.c,
	  dlls/oleaut32/variant.c, dlls/oleaut32/vartype.c,
	  dlls/quartz/avisplit.c, dlls/quartz/dsoundrender.c,
	  dlls/riched20/style.c, dlls/rpcrt4/ndr_marshall.c,
	  dlls/serialui/confdlg.c, dlls/setupapi/devinst.c,
	  dlls/setupapi/tests/stringtable.c, dlls/setupapi/virtcopy.c,
	  dlls/shell32/shell.c, dlls/shell32/shlfileop.c,
	  dlls/shell32/tests/shlfileop.c, dlls/shlwapi/ordinal.c,
	  dlls/shlwapi/path.c, dlls/shlwapi/reg.c, dlls/shlwapi/resource.h,
	  dlls/shlwapi/string.c, dlls/shlwapi/url.c,
	  dlls/spoolss/tests/spoolss.c:
	Spelling fixes.

2008-04-19  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/wined3d/drawprim.c:
	wined3d: Prevent console spamming in drawPrimitive.

	* dlls/wined3d/surface.c:
	wined3d: Add missing check for p8 primary in surface_download_data.

2008-04-19  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/matrix.c, include/gdiplusflat.h:
	gdiplus: Implemented GdipVectorTransformMatrixPointsI.

2008-04-18  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/winex11.drv/ime.c:
	winex11.drv: Generate WM_IME_ENDCOMPOSITION when preedit ends.

2008-04-17  Stefan Leichter <Stefan.Leichter@camline.com>

	* dlls/shell32/shell32.spec, dlls/shell32/shellpath.c, include/shlobj.h:
	shell32: Implement SHGetFolderPathAndSubDirA/W.

2008-04-19  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/dsoundrender.c, dlls/quartz/enumpins.c,
	  dlls/quartz/nullrenderer.c, dlls/quartz/tests/filtergraph.c,
	  dlls/quartz/tests/videorenderer.c, dlls/quartz/transform.c,
	  dlls/quartz/videorenderer.c:
	quartz: Add some more tests and fix wine to pass them.

2008-04-18  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/dsoundrender.c, dlls/quartz/filtergraph.c,
	  dlls/quartz/waveparser.c:
	quartz: Change longlong printfs.

	* dlls/quartz/mpegsplit.c:
	quartz: Add more seek entries and fix a time continuity bug.

	* dlls/quartz/dsoundrender.c:
	quartz: Only drop Preroll samples after obtaining its time.

	* dlls/quartz/dsoundrender.c:
	quartz: Drop preroll frames in directsound renderer too.

	* dlls/quartz/acmwrapper.c:
	quartz: No longer drop packets on discontinuities.

	* dlls/quartz/filesource.c:
	quartz: Set media time in the file source.

	* dlls/quartz/acmwrapper.c:
	quartz: Make acmwrapper respect preroll samples.

2008-04-17  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/pin.c:
	quartz: Flux AsyncReader in PullPin_BeginFlush.

	* dlls/quartz/filesource.c:
	quartz: Fix sample leak in file source on failure path.

	* dlls/quartz/avisplit.c:
	quartz: Fix theoretical memory leak.

	* dlls/quartz/videorenderer.c:
	quartz: Make the video renderer drop preroll samples.

2008-04-18  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/hlpfile.c:
	winhelp: Silencing the copyright system record entry while parsing help files.

	* programs/winhelp/winhelp.c:
	winhelp: When no help file is passed on command line,  we should open then
	file pickup dialog.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h,
	  programs/winhelp/winhelp.c:
	winhelp: Instead of loading all pages at once, allow to browse them one by one.

	* programs/winhelp/winhelp.c, programs/winhelp/winhelp.h:
	winhelp: Removed a couple of internal windows' handle and replaced them with
	control IDs.

	* programs/winhelp/winhelp.c:
	winhelp: No longer store the WINHELP_WINDOW* inside the button box.

	* programs/winhelp/winhelp.c:
	winhelp: Always create a main window, even for popups.

	* programs/winhelp/hlpfile.c:
	winhelp: Fixed the parsing of a link containing both a .hlp file and a window
	name.

	* programs/winhelp/winhelp.c, programs/winhelp/winhelp.h:
	winhelp: Removed no longer needed field (wStringTableOffset) in Globals.

	* programs/winhelp/hlpfile.c, programs/winhelp/hlpfile.h:
	winhelp: Moved all static data used when parsing HLP files into the internal
	structures.

	* programs/winhelp/macro.c, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.h:
	winhelp: Get rid of the WM_USER message.

	* programs/winhelp/rsrc.rc, programs/winhelp/winhelp.c,
	  programs/winhelp/winhelp.ico, programs/winhelp/winhelp_res.h:
	winhelp: Add an (ugly) icon.

2008-04-21  ByeongSik Jeon <bsjeon@hanmail.net>

	* programs/winecfg/Ko.rc:
	winecfg: Update Korean translation.

2008-04-20  Roderick Colenbrander <thunderbird2k@gmx.net>

	* dlls/wined3d/surface.c:
	wined3d: Add palette re-upload support for cards with hardware palette support.
	Before it was broken and when it worked it was slow due to unneeded
	gpu -> cpu -> gpu copying.

2008-04-20  Rob Shearman <rob@codeweavers.com>

	* tools/widl/header.c, tools/widl/parser.y, tools/widl/typegen.c,
	  tools/widl/widltypes.h:
	widl: Add support for '%' operator in expressions.

	* tools/widl/header.c, tools/widl/parser.y, tools/widl/typegen.c,
	  tools/widl/widltypes.h:
	widl: Add support for arrays in expressions.

	* tools/widl/header.c, tools/widl/parser.l, tools/widl/parser.y,
	  tools/widl/typegen.c, tools/widl/widltypes.h:
	widl: Add support for "->" and "." operators in expressions.

	* tools/widl/parser.y:
	widl: Issue an error instead of crashing for dividing by zero in a constant
	expression.

	* tools/widl/client.c, tools/widl/header.c, tools/widl/header.h,
	  tools/widl/parser.y:
	widl: Automatically add "handle_t IDL_handle" parameter to functions with no
	explicit handle specified whose containing interface has the explicit_handle
	attribute.

	* tools/widl/client.c, tools/widl/header.c, tools/widl/server.c:
	widl: The implicit_handle attribute is allowed with a handle explicitly
	specified in the function parameters.
	In that case, that handle is used instead of the implicit handle.
	Fix the check for the explicit_handle attribute being specified without
	a handle being specified in the function parameters, even though issuing
	an error is wrong. (Thanks to Marcus Meissner & Coverity for spotting
	that the check didn't do what it was supposed to do.)

	* tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Check that fields in structures and unions referenced by non-local
	functions can be marshalled and that their attributes are consistent.

	* tools/widl/parser.y:
	widl: Stop looping in check_remoting_args when a context_handle or wire_marshal
	type is found as they are in effect fundamental types.

2008-04-20  James Hawkins <jhawkins@codeweavers.com>

	* dlls/shdocvw/tests/shortcut.c:
	shdocvw: Fix a test that fails on all platforms.

	* dlls/imm32/tests/imm32.c:
	imm32: Fix a test that fails on all systems.

	* dlls/kernel32/tests/change.c:
	kernel32: Fix two tests that fail in win9x.

	* dlls/kernel32/tests/atom.c:
	kernel32: Fix a test that fails in win9x.

	* dlls/advapi32/tests/registry.c:
	advapi32: Fix a test that fails in win2k3.

2008-04-20  James Hawkins <truiken@gmail.com>

	* dlls/msi/tests/install.c:
	msi: Fix a few tests that fail in win9x.

2008-04-19  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/dsound/dsound_main.c, dlls/dsound/tests/dsound.c:
	dsound: Skip the sound checks on the primary module and change its driver
	module to "".

2008-04-20  James Hawkins <jhawkins@codeweavers.com>

	* dlls/kernel32/tests/console.c:
	kernel32: Skip the screen buffer tests if codepage 866 is not available.

2008-04-19  James Hawkins <jhawkins@codeweavers.com>

	* dlls/inetcomm/tests/mimeole.c:
	inetcomm: Fix a test that fails on all systems.

	* dlls/crypt32/tests/cert.c:
	crypt32: Remove tests for properties not present on all systems.

	* dlls/advpack/tests/files.c:
	advpack: Fix a few failing tests in win95.

2008-04-18  James Hawkins <jhawkins@codeweavers.com>

	* dlls/advapi32/tests/crypt.c:
	advapi32: Remove a test that fails on some systems.

	* dlls/advapi32/tests/registry.c:
	advapi32: Fix a test that fails on some versions of win2k.

	* dlls/advpack/tests/files.c:
	advpack: Remove a test that fails inconsistently on several platforms.

2008-04-21  Paul Vriens <paul.vriens.wine@gmail.com>

	* tools/wine.inf.in:
	tools/wine.inf.in: Fix a typo.

2008-04-20  Vitaliy Margolen <wine-patches@kievinfo.com>

	* programs/cmdlgtst/Ru.rc, programs/wineconsole/wineconsole_Ru.rc:
	Update Russian translation.

	* dlls/shdoclc/Ru.rc, dlls/shdoclc/rsrc.rc:
	shdoclc: Add Russian translation.

2008-04-20  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/comment.c:
	msxml3: Corrected IXMLDOMComment appendData with a broken xmlTextConcat function.

2008-04-18  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/node.c:
	msxml3: Implement get_prefix.

2008-04-19  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/tests/domdoc.c:
	msxml3: Add tests for get_prefix and get_namespaceURI.

2008-04-18  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/node.c:
	msxml3: Implement get_namespaceURI.

2008-04-21  Alexandre Julliard <julliard@winehq.org>

	* dlls/user32/edit.c:
	user32: Remove redundant LocalUnlock calls.

	* dlls/gdi32/dib.c, dlls/gdi32/tests/bitmap.c:
	gdi32: Return bitmask for 32-bit bitmaps too in GetDIBits.

2008-04-19  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/mcicda/mcicda.c:
	mcicda: Remove unused variable.

	* dlls/mciavi32/mmoutput.c:
	mciavi32: Remove unused variables.

	* dlls/mciseq/mcimidi.c:
	mciseq: Remove unused variable.

	* dlls/kernel32/local16.c, dlls/kernel32/ne_module.c:
	kernel32: Remove unused variables.

2008-04-18  Alam Arias <Alam.GBC@gmail.com>

	* include/wingdi.h:
	include: Fix wingdi.h to define AW version of wglUseFontBitmaps and
	wglUseFontOutlines.

2008-04-18  Reece Dunn <msclrhd@googlemail.com>

	* dlls/shlwapi/tests/istream.c:
	shlwapi/tests: Fix the return codes for Windows 2000 (without IE6 installed).

2008-04-19  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/htmlwindow.c:
	mshtml: Forward window IDispatch methods.

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlwindow.c,
	  dlls/mshtml/mshtml_private.h:
	mshtml: Added window IDispatchEx implementation.

2008-04-18  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/omnavigator.c:
	mshtml: Forward IOmNavigator's IDispatch method to IDispatchEx implementation.

	* dlls/mshtml/dispex.c:
	mshtml: Added IDispatchEx::GetIDsOfNames implementation.

	* dlls/mshtml/dispex.c:
	mshtml: Added IDispatchEx::Invoke implementation.

	* dlls/mshtml/dispex.c:
	mshtml: Added IDispatchEx::InvokeEx implementation.

2008-04-19  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/omnavigator.c:
	mshtml: Added IDispEx::GetDispID implementation.

2008-04-21  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/htmlevent.c, dlls/mshtml/htmlwindow.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/nsevents.c:
	mshtml: Added load event support.

2008-04-18  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/Makefile.in, dlls/mshtml/htmlevent.c,
	  dlls/mshtml/htmlnode.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/nsevents.c, dlls/mshtml/script.c:
	mshtml: Parse and store onload attributes.

2008-04-18  Frans Kool <Frans.Kool@gmail.com>

	* programs/winecfg/Nl.rc:
	winecfg: Added missing Dutch translation.

2008-04-18  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/region.c, dlls/gdi32/tests/clipping.c:
	gdi32: Add a test for ExtCreateRegion, make it pass under Wine.

	* tools/winedump/emf.c:
	winedump: Print contents of EMR_INTERSECTCLIPRECT and EMR_EXTSELECTCLIPRGN.

2008-04-18  Alexandre Julliard <julliard@winehq.org>

	* ANNOUNCE, ChangeLog, VERSION, configure:
	Release 0.9.60.

----------------------------------------------------------------
2008-04-18  Louis Lenders <xerox_xerox2000@yahoo.co.uk>

	* dlls/wininet/urlcache.c:
	wininet: Improve stub for FindNextUrlCacheEntryW a tiny bit.

2008-04-16  Marcus Meissner <marcus@jet.franken.de>

	* dlls/advapi32/service.c:
	advapi32: Initialize hLock.

2008-04-18  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/matrix.c, include/gdiplusflat.h:
	gdiplus: Implemented GdipVectorTransformMatrixPoints.

2008-04-17  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/customlinecap.c, dlls/gdiplus/gdiplus.spec,
	  include/gdiplusflat.h:
	gdiplus: Implemented GdipGetCustomLineCapBaseCap.

2008-04-17  Anatoly Lyutin <vostok@etersoft.ru>

	* dlls/user32/tests/msg.c:
	user32/tests: Add test for switching not maximized mdi children.

	* dlls/user32/tests/msg.c:
	user32/tests: Get rid of magic number.

2008-04-17  Lei Zhang <thestig@google.com>

	* configure, configure.ac, dlls/msxml3/main.c, include/config.h.in:
	msxml3: Check for xsltInit before calling it.

2008-04-18  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* dlls/winex11.drv/ime.c, dlls/winex11.drv/x11drv.h,
	  dlls/winex11.drv/xim.c:
	winex11: Update caret position.

	* dlls/user32/edit.c:
	user32: Handle IME messages more gracefully.

2008-04-18  Alexandre Julliard <julliard@winehq.org>

	* dlls/gdi32/dib.c, dlls/gdi32/tests/bitmap.c:
	gdi32: Fixed initialization of bit masks in GetDIBits for 16-bit bitmaps.
	Fix and improve the test cases.

2008-04-17  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/ddraw/executebuffer.c:
	ddraw: Remove unused variables.

2008-04-18  Sergey Khodych <khodych@gmail.com>

	* dlls/dinput/tests/keyboard.c:
	dinput/tests: Add test to show dinput does not use user defined data format
	for keyboard.

2008-04-18  Hwang YunSong(황윤성 <hys545@dreamwiz.com>

	* programs/winefile/Ko.rc:
	winefile: Updated Korean resource.

	* programs/winecfg/Ko.rc:
	winecfg: Updated Korean resource.

	* dlls/user32/resources/user32_Ko.rc:
	user32: Updated Korean resource.

	* dlls/shell32/shell32_Ko.rc:
	shell32: Updated Korean resource.

	* dlls/comdlg32/cdlg_Ko.rc:
	comdlg32: Updated Korean resource.

2008-04-17  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/script.c:
	mshtml: Store IActiveScriptParseProcedure in ScriptHost.

	* dlls/mshtml/htmlwindow.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/tests/dom.c:
	mshtml: Added IHTMLWindow3 stub implementation.

	* dlls/mshtml/htmldoc.c, dlls/mshtml/htmldoc3.c, dlls/mshtml/htmlelem.c,
	  dlls/mshtml/htmlnode.c, dlls/mshtml/htmloption.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/txtrange.c:
	mshtml: Added possibility to get node object from nsIDOMNode only if available.

2008-04-17  Eric Pouech <eric.pouech@orange.fr>

	* programs/winhelp/hlpfile.c:
	winhelp: Fix regression introduced by Win64 warning fixes.

2008-04-17  Aric Stewart <aric@codeweavers.com>

	* dlls/wininet/http.c:
	wininet: Correct the case where Content-Length is set as well as
	Transfer-Encoding == chunked.

2008-04-18  Rhys McGuckin <rhysmcguckin@yahoo.com.au>

	* dlls/wintrust/wintrust_main.c:
	wintrust: Check for null CleanupPolicy function pointer.

2008-04-17  Alexandre Julliard <julliard@winehq.org>

	* dlls/ntdll/server.c:
	ntdll: Don't create a temporary dir, run wineprefixcreate directly in the
	final dir.

	* tools/wine.inf.in, tools/wineprefixcreate.in:
	wineprefixcreate: Moved creation of directories to wine.inf.

	* dlls/setupapi/fakedll.c:
	setupapi: Add support for creating directories from the FakeDlls section.

	* dlls/kernel32/process.c:
	kernel32: Create the windows and system directories if necessary.

2008-04-17  Alexander Morozov <amorozov@etersoft.ru>

	* dlls/setupapi/devinst.c, dlls/setupapi/tests/devinst.c:
	setupapi: SetupDiGetDeviceRegistryProperty should return ERROR_INVALID_DATA
	when buffer size is not 0 but buffer is NULL.

	* dlls/setupapi/devinst.c, dlls/setupapi/tests/devinst.c:
	setupapi: SetupDiGetDeviceRegistryProperty should return
	ERROR_INSUFFICIENT_BUFFER when buffer size is insufficient.

	* dlls/setupapi/tests/devinst.c:
	setupapi: Add a test for SetupDiGetDeviceRegistryProperty and
	SetupDiSetDeviceRegistryProperty.

2008-04-17  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/hhctrl.ocx/chm.c:
	hhctrl.ocx: Remove unused variable.

	* dlls/gphoto2.ds/ui.c:
	gphoto2.ds: Remove unused variable.

	* dlls/gdi32/path.c:
	gdi32: Remove unused variable.

2008-04-17  Dmitry Timoshkov <dmitry@codeweavers.com>

	* tools/winedump/emf.c:
	winedump: Decipher contents of a couple EMF records.

2008-04-17  Alexandre Julliard <julliard@winehq.org>

	* dlls/quartz/avisplit.c:
	quartz: Avoid sizeof in traces.

	* dlls/user32/static.c:
	user32: Added support for WS_EX_RIGHT in the static control.

	* dlls/user32/edit.c:
	user32: Added support for WS_EX_RIGHT in the edit control.

	* dlls/user32/button.c:
	user32: Added support for WS_EX_RIGHT in the button control.

	* dlls/winex11.drv/window.c, dlls/winex11.drv/winpos.c:
	winex11: Moved the WM_SYSCOMMAND handling to window.c.

	* dlls/winex11.drv/event.c, dlls/winex11.drv/winpos.c,
	  dlls/winex11.drv/x11drv.h:
	winex11: Moved the MapNotify handler to event.c.

	* dlls/winex11.drv/event.c, dlls/winex11.drv/winpos.c,
	  dlls/winex11.drv/x11drv.h:
	winex11: Moved the ExposeEvent handler to event.c.
	Use consistent naming for all event handlers.

2008-04-15  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* server/winstation.c:
	server: Make enum_desktop enumerate all the desktops on the window station
	with the DESKTOP_ENUMERATE right.

	* server/winstation.c:
	server: Make enum_winstations enumerate all the window stations with
	WINSTA_ENUMERATE right.

2008-04-13  Reece Dunn <msclrhd@googlemail.com>

	* dlls/shlwapi/tests/istream.c:
	shlwapi/tests: Enumerate the STGM sharing modes in the SHCreateStreamOnFile
	tests.

2008-04-15  Reece Dunn <msclrhd@googlemail.com>

	* dlls/shlwapi/istream.c, dlls/shlwapi/tests/istream.c:
	shlwapi: Fixed the todo blocks in the SHCreateStreamOnFile tests.

2008-04-17  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  include/gdiplusflat.h:
	gdiplus: Implement GdipCreatePath2I.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/matrix.c, include/gdiplusflat.h:
	gdiplus: Implement GdipCreateMatrix3I.

2008-04-16  Nikolay Sivov <bunglehead@gmail.com>

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  include/gdiplusflat.h:
	gdiplus: Implement GdipAddPathArcI.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/graphicspath.c,
	  include/gdiplusflat.h:
	gdiplus: Implement GdipAddPathLine2I.

	* dlls/gdiplus/gdiplus.spec, dlls/gdiplus/stringformat.c,
	  include/gdiplusflat.h:
	gdiplus: Implement GdipCloneStringFormat.

2008-04-16  James Hawkins <jhawkins@codeweavers.com>

	* dlls/oleaut32/tests/vartest.c:
	oleaut32: Fix a few tests that fail in win2k.

	* dlls/ole32/tests/marshal.c:
	ole32: Fix a few tests that fail in win2k.

	* dlls/kernel32/tests/volume.c:
	kernel32: Fix a test that fails in win2k and up.

	* dlls/kernel32/tests/locale.c:
	kernel32: Fix a test that fails in win2k.

2008-04-17  Alexandre Julliard <julliard@winehq.org>

	* server/registry.c, server/request.c, server/request.h:
	server: Keep a file descriptor open to the config directory to make sure we
	don't write the registry in the wrong place.

2008-04-16  James Hawkins <jhawkins@codeweavers.com>

	* dlls/fusion/assembly.c:
	fusion: Explicitly check for -1 for a missing table.

2008-04-17  Dmitry Timoshkov <dmitry@codeweavers.com>

	* tools/winedump/emf.c:
	winedump: Print names for all known EMF records.

2008-04-16  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/winex11.drv/window.c:
	winex11.drv: Map zero-sized windows but don't add WM decoration to them.

2008-04-14  Hin-Tak Leung <hintak_leung@yahoo.co.uk>

	* dlls/hhctrl.ocx/help.c:
	hhctrl.ocx: Look up in chm if url doesn't contain "://".

2008-04-16  Hin-Tak Leung <htl10@users.sourceforge.net>

	* dlls/hhctrl.ocx/hhctrl.c:
	hhctrl.ocx: Return help window handle to caller.

2008-04-12  Vincent Povirk <madewokherd+d41d@gmail.com>

	* tools/wine.desktop:
	tools: Modify wine.desktop to use start.exe /unix.

	* programs/start/En.rc, programs/start/resources.h,
	  programs/start/start.c:
	start.exe: Add /Unix switch for native file managers.

2008-04-10  Austin English <austinenglish@gmail.com>

	* dlls/opengl32/tests/opengl.c, dlls/quartz/control.c,
	  dlls/quartz/filesource.c, dlls/quartz/mpegsplit.c,
	  dlls/quartz/videorenderer.c, dlls/riched20/paint.c,
	  dlls/riched20/style.c, dlls/riched20/tests/editor.c,
	  dlls/riched20/undo.c, dlls/rpcrt4/ndr_marshall.c,
	  dlls/rpcrt4/ndr_stubless.c, dlls/rpcrt4/ndr_stubless.h,
	  dlls/rpcrt4/rpcrt4_main.c, dlls/rpcrt4/rpcss_np_client.h,
	  dlls/rpcrt4/tests/ndr_marshall.c, dlls/rsaenh/mpi.c,
	  dlls/rsaenh/rc2.c, dlls/sane.ds/capability.c, dlls/sane.ds/sane_i.h:
	Spelling fixes.

2008-04-15  Tony Wasserka <tony.wasserka@freenet.de>

	* include/Makefile.in, include/d3dx9.h, include/d3dx9tex.h:
	d3dx9: Add d3dx9tex.h.

2008-03-26  Alistair Leslie-Hughes <leslie_alistair@hotmail.com>

	* dlls/msxml3/main.c, dlls/msxml3/node.c, dlls/msxml3/tests/domdoc.c:
	msxml3: Implement transformNode.

2008-04-13  Louis Lenders <xerox_xerox2000@yahoo.co.uk>

	* dlls/urlmon/internet.c, dlls/urlmon/urlmon.spec, include/urlmon.idl:
	urlmon: Add stub for CoInternetSetFeatureEnabled.

2008-04-16  Michael Hoffman <blackdragon1157@gmail.com>

	* dlls/powrprof/powrprof.c:
	powrprof: Implement IsPwrHibernateAllowed.

	* dlls/powrprof/powrprof.c:
	powrprof: Implement IsPwrShutdownAllowed.

	* dlls/powrprof/powrprof.c:
	powrprof: Implement IsPwrSuspendAllowed.

2008-04-17  Jacek Caban <jacek@codeweavers.com>

	* dlls/mshtml/dispex.c, dlls/mshtml/main.c, dlls/mshtml/mshtml_private.h:
	mshtml: Move get_typeinfo to dispex.c.

	* dlls/mshtml/Makefile.in, dlls/mshtml/dispex.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/omnavigator.c:
	mshtml: Added generic IDispatchEx implementation and use it in OnNavigator.

	* dlls/mshtml/script.c:
	mshtml: Added IActiveScriptDebug32 stub implementation.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/navigate.c,
	  dlls/mshtml/script.c:
	mshtml: Make sure to null terminate buffer in parse_extern_script.

2008-04-16  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/avisplit.c:
	quartz: Obtain the duration using the index in avisplitter.

	* dlls/quartz/avisplit.c:
	quartz: Store the stream index in the avi stream for files that have them.

	* dlls/quartz/dsoundrender.c:
	quartz: Check for discontinuities in the directsound renderer.

	* dlls/quartz/pin.c:
	quartz: Make sure at least 1 sample is processed before returning.

	* dlls/quartz/transform.c:
	quartz: Reject samples in transform filter only when stopped.
	Use S_FALSE for saying sample is rejected.

	* dlls/quartz/videorenderer.c:
	quartz: Reject samples in video renderer when stopped.
	When stopped video renderer no longer updates, so don't even try.

	* dlls/quartz/memallocator.c:
	quartz: Fix IMediaSample2 SetPreroll and SetSyncPoint.

	* dlls/quartz/waveparser.c:
	quartz: Fix discontinuities in wave parser.

2008-04-16  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/dplayx/dplay.c:
	dplayx: Remove unused variables.

	* dlls/dsound/mixer.c:
	dsound: Remove unused variable.

	* dlls/comdlg32/filedlg31.c:
	comdlg32: Remove unused variable.

2008-04-16  Marcus Meissner <marcus@jet.franken.de>

	* dlls/winex11.drv/dib.c:
	winex11: Move code behind error return.

	* dlls/wined3d/basetexture.c:
	wined3d: Handle out of array bounds state.

2008-04-16  James Hawkins <jhawkins@codeweavers.com>

	* dlls/kernel32/tests/environ.c:
	kernel32: Remove an invalid trace and comment.

	* dlls/kernel32/tests/environ.c:
	kernel32: Fix a few failing tests in win2k.

	* dlls/kernel32/tests/environ.c:
	kernel32: Split the GetComputerName/Ex tests into their own test functions.

	* dlls/user32/tests/sysparams.c:
	user32: Fix a test that fails in XP and win2k3.

2008-04-16  Rob Shearman <rob@codeweavers.com>

	* dlls/msi/format.c, dlls/msi/msiserver.idl, dlls/msi/package.c:
	msi: Fix the value parameter of IWineMsiRemotePackage::FormatRecord to have
	the right level of indirection for an [out] parameter.
	Remove the redundant size parameter and simplify the client code such
	that the remote function is only called once, with the value being
	automatically allocated. Add corresponding code on the server side to
	automatically allocate said value.

2008-04-16  Aric Stewart <aric@codeweavers.com>

	* dlls/imm32/imm.c:
	imm32: Create the IME UI window with the IME instance so the registered class
	can be found.

2008-04-16  ByeongSik Jeon <bsjeon@hanmail.net>

	* dlls/imm32/imm.c:
	imm32: Implement ImmSetConversionStatus.

	* dlls/winex11.drv/keyboard.c:
	winex11: Add VK_HANGUL, VK_HANJA for Korean Native IME.

2008-04-16  Alexandre Julliard <julliard@winehq.org>

	* dlls/comdlg32/filedlg.c:
	comdlg32: CDM_GETSPEC and CDM_GETFILEPATH should preserve double quotes in
	file lists.

2008-04-16  Kusanagi Kouichi <slash@ma.neweb.ne.jp>

	* configure, configure.ac, dlls/winex11.drv/xim.c, include/config.h.in:
	winex11.drv: Fix Solaris build error.
	Solaris doesn't define XICCallback.

2008-04-15  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/avisplit.c, dlls/quartz/mpegsplit.c, dlls/quartz/parser.c,
	  dlls/quartz/parser.h, dlls/quartz/waveparser.c:
	quartz: Add a Disconnect function to the parser and use it to clean up allocated
	memory in avisplitter.

2008-04-11  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/avisplit.c:
	quartz: Parse old style avi index.

	* dlls/quartz/avisplit.c:
	quartz: Make the avi splitter skip index headers.

	* dlls/quartz/avisplit.c:
	quartz: Dump opendml indexes and header.

2008-04-16  Marcus Meissner <marcus@jet.franken.de>

	* dlls/rpcrt4/rpc_binding.c:
	rpcrt4: Handle exit path where bind not allocated yet.

2008-04-14  Tomasz Jezierski <developers@tefnet.pl>

	* dlls/hhctrl.ocx/chm.c:
	hhctrl.ocx: Apparently it is possible to have chm file without #STRINGS in it,
	so we should not stop processing file at it.

2008-04-16  Michael Stefaniuc <mstefani@redhat.de>

	* fonts/tahoma.sfd, fonts/tahoma.ttf:
	fonts: Add the Romanian glyphs SsTt with "comma below" to the tahoma font.

2008-04-15  Dan Hipschman <dsh@linux.ucla.edu>

	* dlls/qmgr/tests/enum_jobs.c, dlls/qmgr/tests/job.c:
	qmgr/tests: Fix minor potential memory leaks.

2008-04-15  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/dmime/graph.c, dlls/dmime/performance.c, dlls/dmime/segment.c:
	dmime: Remove unused variables.

	* dlls/comctl32/syslink.c, dlls/comctl32/toolbar.c:
	comctl32: Remove unused variables.

	* dlls/dinput/joystick_linux.c:
	dinput: Fix handle leak.

	* dlls/browseui/progressdlg.c:
	browseui: Fix handle leak.

2008-04-15  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.y:
	widl: Change alls calls to error in the parser to error_loc so that line number
	information is printed.

	* dlls/rpcrt4/rpcrt4_main.c, dlls/rpcrt4/tests/rpc.c:
	rpcrt4: Test and fix I_RpcExceptionFilter.

	* dlls/ole32/tests/clipboard.c:
	ole32: Add tests for clipboard's implementation of IDataObject_GetData.

	* dlls/ole32/clipboard.c, dlls/ole32/tests/clipboard.c:
	ole32: Fix OLEClipbrd_IDataObject_QueryGetData to conform to the tests.

	* dlls/ole32/tests/clipboard.c:
	ole32: Add some tests for OleGetClipboard.
	Test the IDataObject_QueryGetData function of the returned object.

	* include/shobjidl.idl:
	include: Make IContextMenu interface in shobjidl.idl local since some parameters
	are pointers to structures with fields that can't be marshalled.

2008-04-15  Huw Davies <huw@codeweavers.com>

	* dlls/gdi32/painting.c, dlls/gdi32/tests/path.c:
	gdi32: LineDDA shouldn't include the end point.  Add some tests.

2008-04-16  Alexandre Julliard <julliard@winehq.org>

	* dlls/fusion/assembly.c:
	fusion: Fix a number of leaks in assembly_create.

	* tools/wine.inf.in:
	wine.inf: Use a proper services section to install services.

	* dlls/setupapi/install.c, dlls/setupapi/tests/install.c:
	setupapi: Install services in InstallHinfSection.

	* dlls/setupapi/install.c, dlls/setupapi/tests/install.c:
	setupapi: Implemented SetupInstallServicesFromInfSectionW.

	* dlls/setupapi/queue.c, dlls/setupapi/setupapi_private.h:
	setupapi: Move strdupW and strdupWtoA to the setupapi_private.h header.

	* include/setupapi.h:
	include: Add the SPSVCINST_* setupapi flags.

2008-04-13  James Hawkins <jhawkins@codeweavers.com>

	* dlls/fusion/Makefile.in, dlls/fusion/asmcache.c, dlls/fusion/assembly.c,
	  dlls/fusion/fusionpriv.h, dlls/fusion/tests/asmcache.c:
	fusion: Implement IAssemblyCache::InstallAssembly.

2008-04-14  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/crypt32/oid.c, dlls/crypt32/store.c:
	crypt32: Remove unused variables.

	* dlls/comdlg32/printdlg.c:
	comdlg32: Remove unused variables.

	* dlls/crypt32/encode.c:
	crypt32: Remove unwanted shadow variable.

2008-04-15  Marcus Meissner <marcus@jet.franken.de>

	* dlls/d3d9/tests/visual.c:
	d3d9: Initialized 2 variables with NULL.

2008-04-02  Marcus Meissner <marcus@jet.franken.de>

	* dlls/shell32/shell32_De.rc:
	shell32: Correct casing for "Wine".

2008-04-14  Lei Zhang <thestig@google.com>

	* dlls/user32/edit.c:
	user32: Handle ctrl + end in edit control.

	* dlls/user32/edit.c:
	user32: Handle ctrl + home in edit control.

	* dlls/user32/edit.c:
	user32: Do checks in the right order in EDIT_BuildLineDefs_ML.

2008-04-15  Jacek Caban <jacek@codeweavers.com>

	* include/mshtml.idl:
	mshtml.idl: Added IHTMLWindow3 declaration.

	* include/mshtmdid.h:
	mshtmdid.h: Fixed IHTMLWindow2 dispids.

2008-04-10  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/avisplit.c, dlls/quartz/fourcc.h, dlls/quartz/waveparser.c,
	  include/aviriff.h:
	include: Update aviriff header.

2008-04-14  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/filtergraph.c:
	quartz: Update start_time if the current position is changed.

2008-04-11  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/videorenderer.c:
	quartz: Add VIDEOINFOHEADER2 support to VideoRenderer.

2008-04-14  Jonathan Ernst <jonathan@ernstfamily.ch>

	* programs/winhelp/Fr.rc:
	winhelp: Updated French translation.

	* programs/winefile/Fr.rc:
	winefile: Updated French translation.

	* programs/winecfg/Fr.rc:
	winecfg: Updated French translation.

	* dlls/comdlg32/cdlg_Fr.rc:
	comdlg32: Updated French translation.

2008-04-14  Jörg Höhle <hoehle@users.sourceforge.net>

	* dlls/wined3d/basetexture.c:
	wined3d: Fix missing break inside switch in SetAutoGenFilterType.

2008-04-14  Aric Stewart <aric@codeweavers.com>

	* dlls/user32/message.c, include/imm.h:
	user32: Call ImmProcessKey in TranslateMessage to allow IMEs to handle key
	processing if they choose to.

2008-04-14  Hwang YunSong(황윤성 <hys545@dreamwiz.com>

	* dlls/user32/resources/user32_Ko.rc:
	user32: Updated Korean resource.

	* programs/winecfg/Ko.rc:
	winecfg: Updated Korean resource.

	* programs/winemine/Ko.rc:
	winemine: Updated Korean resource.

2008-04-14  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/winhelp/No.rc:
	winhelp: Update Norwegian Bokmål resource.

	* programs/regedit/No.rc:
	regedit: Update Norwegian Bokmål resource.

2008-04-11  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* include/Makefile.in, include/dvdmedia.h:
	include: Add dvdmedia stub header.

2008-04-12  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/waveparser.c:
	quartz: Bring waveparser to the same level as the mpeg splitter.

	* dlls/quartz/transform.c:
	quartz: Silence seeking fixmes on transform filter.

2008-04-10  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/dsoundrender.c, dlls/quartz/filesource.c,
	  dlls/quartz/nullrenderer.c, dlls/quartz/parser.c,
	  dlls/quartz/transform.c:
	quartz: Silence requests for IVideoWindow.

2008-04-12  Maarten Lankhorst <m.b.lankhorst@gmail.com>

	* dlls/quartz/pin.c:
	quartz: Set sane defaults for pin stream rate.

	* dlls/quartz/avidec.c:
	quartz: Don't clean up in avi decoder if driver isn't opened.

2008-04-14  Eric Pouech <eric.pouech@orange.fr>

	* dlls/riched20/editor.c:
	richedit: Force window update when the word wrap option has changed.

2008-04-14  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/freetype.c:
	gdi32: Map glyph to Symbol range only if the font supports symbol encoding.

2008-04-10  Austin English <austinenglish@gmail.com>

	* dlls/oleaut32/dispatch.c, dlls/oleaut32/olepicture.c,
	  dlls/oleaut32/recinfo.c, dlls/oleaut32/safearray.c,
	  dlls/oleaut32/tests/vartest.c, dlls/oleaut32/tests/vartype.c,
	  dlls/oleaut32/typelib.c, dlls/oleaut32/ungif.c,
	  dlls/oleaut32/ungif.h, dlls/oleaut32/varformat.c,
	  dlls/oleaut32/variant.c, dlls/oleaut32/vartype.c:
	oleaut32: Spelling fixes.

2008-04-14  Alexandre Julliard <julliard@winehq.org>

	* dlls/winedos/dosmem.c, programs/winevdm/winevdm.c:
	winedos: Handle memory reservation errors more gracefully.

	* dlls/kernel32/dosmem.c:
	kernel32: Reserve the low 64Kb area separately from the rest of the DOS memory.

	* loader/preloader.c:
	preloader: Reserve low memory areas in separate chunks.

	* dlls/shdocvw/shdocvw.inf:
	shdocvw: Fixed typo in CLSID_InternetShortcut.

2008-04-14  Rob Shearman <rob@codeweavers.com>

	* tools/widl/parser.y:
	widl: Add checking to arguments of non-local functions.
	Check that out arguments have enough levels of indirection and that they
	don't derive from void * or a function pointer.

	* tools/widl/parser.y, tools/widl/utils.c, tools/widl/utils.h,
	  tools/widl/widltypes.h:
	widl: Add functions to print an error or warning message using location
	information to enable these to be printed accurately when a check is done
	after an element is parsed.
	Add location information to variable automatically, since this is will
	be useful for type checking of arguments.

	* tools/widl/write_msft.c:
	widl: Write out TYPEFLAG, FUNCFLAG and VARFLAG flags for all attribute we
	currently parse.
	Add FIXMEs for the remaining ones and remove the warning for
	unimplemented attribute types since we now support all the attributes
	that we parse.

	* tools/widl/client.c, tools/widl/parser.y, tools/widl/widltypes.h:
	widl: Add support for the broadcast and idempotent operation attributes.

	* tools/widl/parser.y:
	widl: Output a warning if duplicate attributes are specified.

	* tools/widl/parser.y:
	widl: Check that attributes are applicable for libraries,  modules,
	dispinterfaces and coclasses and otherwise issue an error.

	* tools/widl/parser.y:
	widl: The odl attribute is valid for dispinterfaces.

	* tools/widl/typelib.c, tools/widl/typelib.h, tools/widl/widltypes.h:
	widl: Make the attrs parameter passed to start_typelib const.

	* tools/widl/parser.y:
	widl: Check that attributes applied to typedefs and fields are applicable and
	issue an error otherwise.

	* tools/widl/parser.y:
	widl: Check that attributes applied to interfaces, functions and arguments
	are applicable and issue an error if not.

	* dlls/pstorec/pstorec.c, include/pstore.idl:
	pstorec: Fix incorrectly spelt PPST_PROMPTIFO type in pstorec.c and pstore.idl.

	* include/amvideo.idl, include/axextend.idl, include/dimm.idl,
	  include/shobjidl.idl:
	include: Add local to interfaces or functions that take a void * parameter
	and so aren't designed to work remotely.

	* include/tom.idl:
	include: Fix a typo in a level of indirection in tom.idl.
	The parameter for ITextPara::GetDuplicate should have two levels of
	indirection.

	* include/indexsrv.idl:
	include: The unique attribute doesn't make any sense in the interface header,
	so remove it.
	It is only accepted by MIDL as a synonym for pointer_default(unique),
	but it isn't a synonym in widl so remove it.

2008-04-14  Alexandre Julliard <julliard@winehq.org>

	* dlls/winex11.drv/window.c:
	winex11: Fix the type hint for the desktop window.

	* dlls/winex11.drv/window.c:
	winex11: Make WS_EX_APPWINDOW windows have normal type.

	* dlls/winex11.drv/winpos.c:
	winex11: Don't set full screen style on minimized windows.

2008-04-12  Kai Blin <kai.blin@gmail.com>

	* dlls/dpnhpast/dpnhpast.spec, dlls/dpnhpast/main.c, include/dpnathlp.h:
	dpnhpast: Implement a stub for DirectPlayNATHelpCreate.

2008-04-12  Rok Mandeljc <rok.mandeljc@email.si>

	* dlls/shell32/shell32_Si.rc:
	shell32: Updated Slovenian translation to reflect changes in About dialog.

	* programs/winecfg/Si.rc:
	winecfg: Update Slovenian translation to reflect recently introduced changes.

	* dlls/comdlg32/cdlg_Si.rc:
	comdlg32: Fix a mistake in Slovenian translation.

	* dlls/winmm/winmm_Si.rc:
	winmm: Slovenian translation: Add a string that got lost during last update.

2008-04-12  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/comctl32/propsheet.c, dlls/comctl32/toolbar.c,
	  dlls/comctl32/trackbar.c, dlls/comctl32/treeview.c:
	comctl32: Remove unused variables.

2008-04-11  Aric Stewart <aric@codeweavers.com>

	* dlls/imm32/imm.c, dlls/imm32/imm32.spec:
	imm32: Implement ImmProcessKey and ImmTranslateMessage.

	* dlls/imm32/imm.c, include/ddk/imm.h:
	imm32: All HIMCC in the InputContext should be initialized at creation.

2008-04-09  John Klehm <xixsimplicityxix@gmail.com>

	* dlls/wintab32/context.c:
	wintab32: Implement WTSetA/W.

2008-04-13  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/gphoto2.ds/gphoto2_Ru.rc, dlls/gphoto2.ds/rsrc.rc:
	gphoto2.ds: Add Russian translation.

	* programs/notepad/Ru.rc, programs/wineconsole/wineconsole_Ru.rc:
	Update Russian translation.

	* dlls/winex11.drv/keyboard.c:
	winex11.drv: Send scan code when adjusting modifier key states.

2008-04-13  Alexander Nicolaysen Sørnes <alex@thehandofagony.com>

	* programs/winecfg/No.rc:
	winecfg: Update Norwegian Bokmål resource.

2008-04-13  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/gdi32/tests/font.c:
	gdi32: Clarify which font doesn't contain 'x'.

2008-04-14  Francois Gouget <fgouget@free.fr>

	* libs/wine/ldt.c, loader/preloader.c:
	Spelling fix in the ldt bitfields.

	* dlls/ddraw/tests/visual.c:
	ddraw/tests: Fix compilation on systems that don't support nameless unions.

	* dlls/jscript/tests/jscript.c:
	jscript/tests: Fix the '\n's in an ok() call.

	* dlls/wldap32/wldap32_Fr.rc:
	wldap32: Fix typo in the French resources.

	* dlls/mshtml/tests/htmldoc.c, dlls/shdocvw/tests/webbrowser.c:
	Fix spelling of dwAssign.

	* dlls/ole32/antimoniker.c, dlls/ole32/classmoniker.c,
	  dlls/ole32/filemoniker.c, dlls/ole32/itemmoniker.c:
	ole32: Fix spelling of GetComparisonData().

2008-04-12  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/dinput/joystick_linuxinput.c:
	dinput: Don't use dead-zone from the device.

	* dlls/dinput/joystick_linuxinput.c:
	dinput: Joysticks are not supported for DX v3.

	* dlls/dinput/joystick_linux.c, dlls/dinput/joystick_linuxinput.c:
	dinput: Assign button GUID to joystick buttons.

2008-04-11  Piotr Caban <piotr.caban@gmail.com>

	* programs/oleview/typelib.c:
	oleview: Fixed incorrect brackets bug.

	* programs/oleview/typelib.c:
	oleview: Add dual interfaces support to coclasses.

2008-04-12  Eric Pouech <eric.pouech@orange.fr>

	* dlls/dbghelp/pe_module.c:
	dbghelp: Fix invalid pointer dereference.

2008-04-12  Rob Shearman <rob@codeweavers.com>

	* dlls/rpcrt4/ndr_marshall.c:
	rpcrt4: Add buffer size checks to base type unmarshalling.
	Reimplement NdrSimpleTypeUnmarshall using similar macros to
	NdrBaseTypeUnmarshalling without buffer checks, due to
	NdrSimpleTypeUnmarshall not doing any safety checks.

	* dlls/qmgr/Makefile.in, dlls/qmgr/qmgr_main.c:
	qmgr: Dynamically link to advpack.dll.
	Use RegInstall instead of RegInstallA as RegInstallA isn't available in
	some native versions of advpack commonly installed by programs.

2008-04-12  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/comctl32/comboex.c, dlls/comctl32/listview.c,
	  dlls/comctl32/monthcal.c, dlls/comctl32/rebar.c:
	comctl32: Remove unused variables.

2008-04-11  Andrew Talbot <andrew.talbot@talbotville.com>

	* dlls/dnsapi/record.c:
	dnsapi: Remove unused variables.

2008-04-11  Alex Villacís Lasso <a_villacis@palosanto.com>

	* dlls/user32/cursoricon.c, dlls/user32/tests/cursoricon.c:
	user32: LoadImage(IMAGE_BITMAP) should reject invalid BMP files (with tests).

2008-04-14  Alexandre Julliard <julliard@winehq.org>

	* dlls/gdi32/dc.c, dlls/gdi32/tests/dc.c:
	gdi32: Fix CreateCompatibleDC to reject invalid DCs.

	* programs/wordpad/print.c:
	wordpad: Don't pass an invalid DC to CreateCompatibleDC.

2008-04-11  Colin Finck <mail@colinfinck.de>

	* dlls/gdi32/tests/dc.c:
	gdi32: Add a test to demonstrate a CreateCompatibleDC problem.

2008-04-11  Aric Stewart <aric@codeweavers.com>

	* dlls/user32/combo.c:
	user32: Make sure there is space for at least 6 items in a combo dropdown
	without forcing it to be at most 6 items as well.

	* dlls/imm32/imm.c:
	imm32: Remember to unset the hwnd for a context when that hwnd is associated
	with a different context.

2008-04-11  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/message.c:
	user32: Use appropriate type for lresult.

2008-04-11  Alexandre Julliard <julliard@winehq.org>

	* .gitignore, tools/Makefile.in, tools/wine.inf, tools/wine.inf.in,
	  tools/wineprefixcreate.in:
	wine.inf: Add a version number to make sure the file changes between versions.

2008-04-10  Matthew D'Asaro <matthew@thinkpad.home>

	* programs/winecfg/En.rc, programs/winecfg/resource.h,
	  programs/winecfg/x11drvdlg.c:
	winecfg: Add option to let wine decorate windows.

	* dlls/winex11.drv/window.c, dlls/winex11.drv/x11drv.h,
	  dlls/winex11.drv/x11drv_main.c:
	winex11: Add registry option to let wine decorate windows.

2008-04-10  James Hawkins <jhawkins@codeweavers.com>

	* dlls/shell32/tests/shlfileop.c:
	shell32: Fix a few tests that fail in win2k.

2008-04-10  Alexander Dorofeyev <alexd4@inbox.lv>

	* dlls/ddraw/tests/visual.c:
	ddraw/tests: Add colorkeyed blit to p8_primary_test.

	* dlls/ddraw/tests/visual.c:
	ddraw/tests: Add viewport clearing tests.

	* dlls/ddraw/viewport.c:
	ddraw: Temporarily activate viewport when clearing.

	* dlls/ddraw/device.c, dlls/ddraw/viewport.c:
	ddraw: Set active_device in AddViewport.

	* dlls/ddraw/ddraw_private.h, dlls/ddraw/device.c,
	  dlls/ddraw/executebuffer.c, dlls/ddraw/viewport.c:
	ddraw: Add possibility to ignore lights in viewport_activate.
	Mostly NOP regarding existing functionality, but makes it possible to skip light
	activation when it's not needed (like when clearing).

	* include/d3d.h:
	include/d3d.h: Fix method calling macros.

2008-04-11  Rob Shearman <rob@codeweavers.com>

	* tools/widl/client.c, tools/widl/header.c:
	widl: Support non-default calling conventions for non-object functions.

	* tools/widl/header.c, tools/widl/proxy.c:
	widl: Support non-default calling conventions for object methods.

	* dlls/advapi32/service.c:
	advapi32: Add exception handling around all service RPC calls.

	* dlls/ole32/moniker.c:
	ole32: Use I_RpcExceptionFilter instead of custom exception filter for RPC calls.

	* programs/services/rpc.c, programs/services/services.c,
	  programs/services/services.h, programs/wineboot/wineboot.c:
	services: Automatically start boot-start, system-start and auto-start services
	when services.exe is started, instead of in wineboot.exe.

	* programs/services/rpc.c, programs/services/services.c,
	  programs/services/services.h:
	services: Split RPC_MainLoop into initialisation and the actual loop.

	* dlls/rpcrt4/rpcrt4.spec, dlls/rpcrt4/rpcrt4_main.c:
	rpcrt4: Implement I_RpcExceptionFilter.

2008-04-11  Dmitry Timoshkov <dmitry@codeweavers.com>

	* dlls/user32/exticon.c, dlls/user32/listbox.c, dlls/user32/sysparams.c:
	user32: Fix Win64 warnings.

2008-04-11  Peter Urbanec <winehq.org@urbanec.net>

	* dlls/comctl32/updown.c:
	comctl32: Mousewheel support for updown control.

2008-04-10  Vitaliy Margolen <wine-patches@kievinfo.com>

	* dlls/wininet/utility.c:
	wininet: Properly initialize struct.

2008-04-09  Jeremy White <jwhite@winehq.org>

	* include/wine/winbase16.h:
	include: Add a resource type for scalable font resource (.fot) files.

2008-04-11  Dmitry Timoshkov <dmitry@codeweavers.com>

	* tools/fnt2bdf.h, tools/fnt2fon.c:
